<?php

/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// No direct access
defined('_JEXEC') or die;

/**
 * Easytimetable helper.
 */
class EasytimetableHelper {

    /**
     * Configure the Linkbar.
     */
    public static function addSubmenu($vName = '') {
    	JHtmlSidebar::addEntry(
			JText::_('COM_EASYTIMETABLE_TITLE_DASHBOARD'),
			'index.php?option=com_easytimetable&view=dashboard',
			$vName == 'dashboard'
		);
        JHtmlSidebar::addEntry(
            JText::_('COM_EASYTIMETABLE_TITLE_PLANNINGS'),
            'index.php?option=com_easytimetable&view=plannings',
            $vName == 'plannings'
        );
		
        JHtmlSidebar::addEntry(
			JText::_('COM_EASYTIMETABLE_TITLE_ACTIVITIES'),
			'index.php?option=com_easytimetable&view=activities',
			$vName == 'activities'
		);
		
		
        JHtmlSidebar::addEntry(
            JText::_('COM_EASYTIMETABLE_TITLE_PLANNEDACTIVITIES'),
            'index.php?option=com_easytimetable&view=plannedactivities',
            $vName == 'plannedactivities'
        );
        JHtmlSidebar::addEntry(
            JText::_('COM_EASYTIMETABLE_TITLE_FIELDS'),
            'index.php?option=com_easytimetable&view=fields',
            $vName == 'fields'
        );
    }

    /**
     * Gets a list of the actions that can be performed.
     *
     * @return	JObject
     * @since	1.6
     */
    public static function getActions() {
        $user = JFactory::getUser();
        $result = new JObject;

        $assetName = 'com_easytimetable';

        $actions = array(
            'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
        );

        foreach ($actions as $action) {
            $result->set($action, $user->authorise($action, $assetName));
        }

        return $result;
    }


}
