<?php
/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */

// No direct access.
defined('_JEXEC') or die;

jimport('joomla.application.component.modeladmin');

/**
 * Easytimetable model.
 */
class EasytimetableModelActivity extends JModelAdmin
{
	/**
	 * @var		string	The prefix to use with controller messages.
	 * @since	1.6
	 */
	protected $text_prefix = 'COM_EASYTIMETABLE';


	/**
	 * Returns a reference to the a Table object, always creating it.
	 *
	 * @param	type	The table type to instantiate
	 * @param	string	A prefix for the table class name. Optional.
	 * @param	array	Configuration array for model. Optional.
	 * @return	JTable	A database object
	 * @since	1.6
	 */
	public function getTable($type = 'Activity', $prefix = 'EasytimetableTable', $config = array())
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	/**
	 * Method to get the record form.
	 *
	 * @param	array	$data		An optional array of data for the form to interogate.
	 * @param	boolean	$loadData	True if the form is to load its own data (default case), false if not.
	 * @return	JForm	A JForm object on success, false on failure
	 * @since	1.6
	 */
	public function getForm($data = array(), $loadData = true)
	{
		// Initialise variables.
		$app	= JFactory::getApplication();

		// Get the form.
		$form = $this->loadForm('com_easytimetable.activity', 'activity', array('control' => 'jform', 'load_data' => $loadData));
        
        
		if (empty($form)) {
			return false;
		}

		return $form;
	}

	/**
	 * Method to get the data that should be injected in the form.
	 *
	 * @return	mixed	The data for the form.
	 * @since	1.6
	 */
	protected function loadFormData()
	{
		// Check the session for previously entered form data.
		$data = JFactory::getApplication()->getUserState('com_easytimetable.edit.activity.data', array());

		if (empty($data)) {
			$data = $this->getItem();
            
		}

		return $data;
	}

	/**
	 * Method to get a single record.
	 *
	 * @param	integer	The id of the primary key.
	 *
	 * @return	mixed	Object on success, false on failure.
	 * @since	1.6
	 */
	public function getItem($pk = null)
	{
		if ($item = parent::getItem($pk)) {
			//Do any procesing on fields here if needed	
		}
		return $item;
	}

	public function getItemz($pk = null)
	{
		$data = JFactory::getApplication()->getUserState('com_easytimetable.edit.activity.data', array());
		if ($item = parent::getItem($pk)) {
			//Do any procesing on fields here if needed
			$duration= (int)$data['duration'];	

			$act_name= '"'.$data['act_name'].'"';

			$timetable = '"'.$data['timetable'][0].'"';


			$db = JFactory::getDbo();
			$query = $db->getQuery(true);
			$query->select($db->quoteName('id'));
			$query->from($db->quoteName('#__com_easytimetable_activity'));
			$query->where($db->quoteName('timetable').'='.$timetable);
			$query->where($db->quoteName('duration').'='.$duration);
			$query->where($db->quoteName('act_name').'='.$act_name);

			$db->setQuery($query);
			$item->id = $db->loadResult();




		}

		return $item->id;
		$data = JFactory::getApplication()->setUserState('com_easytimetable.edit.activity.data', null);
	}

	/**
	 * Prepare and sanitise the table prior to saving.
	 *
	 * @since	1.6
	 */
	protected function prepareTable($table)
	{
		jimport('joomla.filter.output');

		if (empty($table->id)) {

			// Set ordering to the last item if not set
			if (@$table->ordering === '') {
				$db = JFactory::getDbo();
				$db->setQuery('SELECT MAX(ordering) FROM #__com_easytimetable_activity');
				$max = $db->loadResult();
				$table->ordering = $max+1;
			}

		}
	}

	public function getTimetableId($id) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
                ->select('timetable')
                ->from('#__com_easytimetable_activity')
                ->where('id = ' . $id);
        $db->setQuery($query);
        return $db->loadObject();
    }

    public function getLinkedOp($id) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
                ->select('*')
                ->from('#__com_easytimetable_activity')
                ->where('id = ' . $id);
        $db->setQuery($query);
        return $db->loadObject();
    }


    function setAssetRules($id) {
		$db = JFactory::getDbo();
	    $rules = '{"core.admin":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}';
		$fields = array(
		    $db->quoteName('rules') . ' = ' . $db->quote('{"core.admin":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}')   
		);
		$name = '"'.'com_easytimetable.activity.'.(int)$id.'"';
        $query = $db->getQuery(true);
        $query
                ->update($db->quoteName('#__assets'))
                ->set($fields)
                ->where('name = ' . $name);   
        $db->setQuery($query);
        $result = $db->execute();
	}

}