<?php
/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */

// No direct access.
defined('_JEXEC') or die;

jimport('joomla.application.component.modeladmin');

/**
 * Easytimetable model.
 */
class EasytimetableModelPlannedactivity extends JModelAdmin
{
	/**
	 * @var		string	The prefix to use with controller messages.
	 * @since	1.6
	 */
	protected $text_prefix = 'COM_EASYTIMETABLE';


	/**
	 * Returns a reference to the a Table object, always creating it.
	 *
	 * @param	type	The table type to instantiate
	 * @param	string	A prefix for the table class name. Optional.
	 * @param	array	Configuration array for model. Optional.
	 * @return	JTable	A database object
	 * @since	1.6
	 */
	public function getTable($type = 'Plannedactivity', $prefix = 'EasytimetableTable', $config = array())
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	/**
	 * Method to get the record form.
	 *
	 * @param	array	$data		An optional array of data for the form to interogate.
	 * @param	boolean	$loadData	True if the form is to load its own data (default case), false if not.
	 * @return	JForm	A JForm object on success, false on failure
	 * @since	1.6
	 */
	public function getForm($data = array(), $loadData = true)
	{
		// Initialise variables.
		$app	= JFactory::getApplication();

		// Get the form.
		$form = $this->loadForm('com_easytimetable.plannedactivity', 'plannedactivity', array('control' => 'jform', 'load_data' => $loadData));
        
        
			if($form->getFieldAttribute('start_t', 'default') == 'NOW'){
				$form->setFieldAttribute('start_t', 'default', date('H:i:s'));
			}
			if($form->getFieldAttribute('end_t', 'default') == 'NOW'){
				$form->setFieldAttribute('end_t', 'default', date('H:i:s'));
			}
		if (empty($form)) {
			return false;
		}

		return $form;
	}

	/**
	 * Method to get the data that should be injected in the form.
	 *
	 * @return	mixed	The data for the form.
	 * @since	1.6
	 */
	protected function loadFormData()
	{
		// Check the session for previously entered form data.
		$data = JFactory::getApplication()->getUserState('com_easytimetable.edit.plannedactivity.data', array());

		if (empty($data)) {
			$data = $this->getItem();
            
		}

		return $data;
	}

	/**
	 * Method to get a single record.
	 *
	 * @param	integer	The id of the primary key.
	 *
	 * @return	mixed	Object on success, false on failure.
	 * @since	1.6
	 */
	public function getItem($pk = null)
	{
		if ($item = parent::getItem($pk)) {
			//Do any procesing on fields here if needed
			
		}

		
		return $item;
		
	}

	/**
	 * Method to get a single record.
	 *
	 * @param	integer	The id of the primary key.
	 *
	 * @return	mixed	Object on success, false on failure.
	 * @since	1.6
	 */
	public function getItemz($pk = null)
	{
		$data = JFactory::getApplication()->getUserState('com_easytimetable.edit.plannedactivity.data', array());

		if ($item = parent::getItem($pk)) {
			//Do any procesing on fields here if needed
			$idplanning = (int)$data['id_planning'];
			$idcell = (int)$data['id_cell'];
			if (isset($data['actcount']))
			{
				$actcount = (int)$data['actcount'];
			}
			
			$db = JFactory::getDbo();
			$query = $db->getQuery(true);
			$query->select($db->quoteName('id'));
			$query->from($db->quoteName('#__com_easytimetable_acti_planning'));
			$query->where($db->quoteName('id_planning').'='.$idplanning);
			$query->where($db->quoteName('id_cell').'='.$idcell);
			if (isset($data['actcount']))
			{
				$query->where($db->quoteName('actcount').'='.$actcount);
			}
			

			$db->setQuery($query);
			$item->id = $db->loadResult();
		}

		
		return $item->id;
		$data = JFactory::getApplication()->setUserState('com_easytimetable.edit.plannedactivity.data', null);
	}

	/**
	 * Prepare and sanitise the table prior to saving.
	 *
	 * @since	1.6
	 */
	protected function prepareTable($table)
	{
		jimport('joomla.filter.output');

		if (empty($table->id)) {

			// Set ordering to the last item if not set
			if (@$table->ordering === '') {
				$db = JFactory::getDbo();
				$db->setQuery('SELECT MAX(ordering) FROM #__com_easytimetable_acti_planning');
				$max = $db->loadResult();
				$table->ordering = $max+1;
			}

		}
	}

}