<?php
/**
 * @version     1.8.3
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */

//edit activity admin
// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.keepalive');

//User management
$user   = JFactory::getUser();
$userId = $user->get('id');
$name = $user->name;
$extension  = 'com_easytimetable';
jimport( 'joomla.access.access' );
$groups = JAccess::getGroupsByUser($userId, false);
$canEdit    = $user->authorise('core.edit',       $extension . '.activity.' . $this->item->id);
$canEditItem = $user->authorise('core.edit', $extension .'.activity.'. $this->item->id);
$canEditOwn = $user->authorise('core.edit.own',   $extension . '.activity.' . $this->item->id) && $this->item->created_by == $userId;

if (($canEdit  && $canEditItem) || ($canEditOwn && $this->item->checked_out == "0") || in_array(8, $groups) || in_array(7, $groups)) {

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/views/activity/tmpl/css/activityedit.css'); 
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/assets/css/easytimetable.css');
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/assets/css/colpick.css');
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/assets/js/colpick.js');
$document = JFactory::getDocument();
$document->addScript('https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js');
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/views/activity/tmpl/js/addfield.js');
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/views/activity/tmpl/js/fieldsorder.js');
?>
<script type="text/javascript">
    js = jQuery.noConflict();
    js(document).ready(function() {

    	js('input:hidden.timetable').each(function(){
			var name = js(this).attr('name');
			if(name.indexOf('timetablehidden')){
				js('#jform_timetable option[value="'+js(this).val()+'"]').attr('selected',true);
			}
		});
		js("#jform_timetable").trigger("liszt:updated");

    	jQuery("#jform_color, #jform_overcolor, #jform_fontcolor, #jform_fontovercolor").colpick({
        	layout:'hex',
		submit:0,
		colorScheme:'dark',
		onChange:function(hsb,hex,rgb,el,bySetColor) {
			jQuery(el).css('border-color','#'+hex);
			// Fill the text box just if the color was set using the picker, and not the colpickSetColor function.
			if(!bySetColor) jQuery(el).val(hex);
		},
        onShow:function(hsb,hex,rgb,el,bySetColor) {
            var currentColor = "#" + jQuery(this).val();
            jQuery(this).css("border-color","#"+currentColor);
            jQuery(this).colpickSetColor(this.value);
        }
		}).keyup(function(){
			jQuery(this).colpickSetColor(this.value);
        });

        // display external link field
        jQuery('#jform_linked0').on('click', function(){
        	jQuery('.sy-extlink').css('display', 'none');
        	jQuery('.sy-menulink').css('display', 'none');
        })

        jQuery('#jform_linked1').on('click', function(){
        	jQuery('.sy-menulink').css('display', 'none');
        	jQuery('.sy-extlink').css('display', 'none');
        })

        jQuery('#jform_linked2').on('click', function(){
        	jQuery('.sy-menulink').css('display', 'none');
        	jQuery('.sy-extlink').css('display', 'block');
        })

        jQuery('#jform_linked3').on('click', function(){
        	jQuery('.sy-menulink').css('display', 'block');
        	jQuery('.sy-extlink').css('display', 'none');
        })

        jQuery('#jform_linked').change(function(){
        	var linkedval = jQuery(this).val();
        	if(linkedval == 2)
        	{
        		jQuery('.sy-extlink').fadeIn();
        		jQuery('.sy-menulink').hide();
        	}
        	else if(linkedval == 3){
        		jQuery('.sy-extlink').hide();
        		jQuery('.sy-menulink').fadeIn();
        	}
        	else
        	{
        		jQuery('.sy-extlink').hide();
        		jQuery('.sy-menulink').hide();
        	}
        })
        
    });

    Joomla.submitbutton = function(task)
    {
        if (task == 'activity.cancel') {
            Joomla.submitform(task, document.getElementById('activity-form'));
        }
        else {
            
            if (task != 'activity.cancel' && document.formvalidator.isValid(document.id('activity-form'))) {

            	if(js('#jform_timetable option:selected').length == 0){
					js("#jform_timetable option[value=0]").attr('selected','selected');
				}
                
                Joomla.submitform(task, document.getElementById('activity-form'));
            }
            else {
                alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>');
            }
        }
    }
</script>

<form action="<?php echo JRoute::_('index.php?option=com_easytimetable&layout=edit&id=' . (int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="activity-form" class="form-validate">

    <div class="form-horizontal">
        <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>

        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_EASYTIMETABLE_TITLE_ACTIVITY', true)); ?>
        <div class="row-fluid">
            <div class="span10 form-horizontal">
                <fieldset class="adminform">
                	<div class="sy-formlayout">
                		<div class="firstblock">
                			<div class="sy-title"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_BASIC') ?></div>
		                	<div class="sy-firstone">
								<?php echo $this->form->renderField('id'); ?>
								<?php echo $this->form->renderField('act_name'); ?>
								<?php echo $this->form->renderField('timetable'); ?>
								<?php echo $this->form->renderField('categories'); ?>
								<?php echo $this->form->renderField('act_limit'); ?>
								<?php echo $this->form->renderField('linked'); ?>
								<?php echo $this->form->renderField('targetmodal'); ?>
								<?php echo $this->form->renderField('target'); ?>
								<?php echo $this->form->renderField('ext_link'); ?>
								<?php echo $this->form->renderField('menu_link'); ?>
								<?php echo $this->form->renderField('duration'); ?>
								<?php echo $this->form->renderField('tooltipclickhover'); ?>
								<?php echo $this->form->renderField('activityfilters'); ?>
								<?php echo $this->form->renderField('state'); ?>
							</div>	
						</div>
						<div class="secondblock">
							<div class="sy-title"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_TOOLTIP') ?></div>
							<div class="sy-firstone tooltip-desktop">
								<?php echo $this->form->renderField('titletooltip'); ?>
								<?php echo $this->form->renderField('titlecell'); ?>
								<?php echo $this->form->renderField('timetooltip'); ?>
								<?php echo $this->form->renderField('timecell'); ?>
								<?php echo $this->form->renderField('image_tip'); ?>
							</div>
							<div class="sy-little-separator"></div>
							<div class="sy-title"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_TOOLTIPRES') ?></div>
							<div class="sy-firstone tooltip-desktop">
								<?php echo $this->form->renderField('titletooltipres'); ?>
								<?php echo $this->form->renderField('titlecellres'); ?>
								<?php echo $this->form->renderField('timetooltipres'); ?>
								<?php echo $this->form->renderField('timecellres'); ?>
								<?php echo $this->form->renderField('image_tipres'); ?>
								
							</div>
						</div>
						<div class="thirdblock">
							<div class="sy-title"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_COLORS') ?></div>
							<div class="sy-firstone">
								<?php echo $this->form->renderField('color'); ?>
								<?php echo $this->form->renderField('overcolor'); ?>
								<?php echo $this->form->renderField('fontcolor'); ?>
								<?php echo $this->form->renderField('fontovercolor'); ?>
							</div>

						</div>
					</div>
                </fieldset>
            </div>
        </div>
        <?php echo JHtml::_('bootstrap.endTab'); ?>

        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'description', JText::_('COM_EASYTIMETABLE_PLANNINGFORM_DESC', true)); ?>
        <div class="sy-formlayout">
    		<div class="firstblock descblock">
    			<div class="sy-title">
    				<?php echo JText::_('COM_EASYTIMETABLE_ACTIVITY_DESCRIPTION_IMAGE') ?>

    			</div>
    			<div class="sy-firstone sy-texts">
    				<?php echo $this->form->renderField('image'); ?>
                    <div class="syet_edit_editor_style">
                        <?php echo $this->form->renderField('description'); ?>
                    
                        <?php echo $this->form->renderField('tooltiptextabove'); ?>
                        
                        <?php echo $this->form->renderField('tooltiptextunder'); ?>
                    </div>
	    			
				</div>
    		</div>
    	</div>			
        <?php echo JHtml::_('bootstrap.endTab'); ?>

        <?php if ($this->item->id != 0): ?>
	        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'field', JText::_('COM_EASYTIMETABLE_ACTIVITY_FIELD', true)); ?>
	        <div id="cont-trash">
		        <div id="trash" class="trash"><div><?php echo JText::_('COM_EASYTIMETABLE_ACTIVITY_FIELD_TRASH') ?></div></div>
		    </div>
	        <div class="sy-firstone">
		        <div style="padding:10px 20px;">
					<div id="createfield" class="createfield button btn-primary btn"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_FIELD') ?></div>
				</div>
				<div class="alert alert-warning"><?php  echo JText::_('COM_EASYTIMETABLE_EDIT_ACTIVITY_FIELDS_INFO') ?></div>
				<div class="sy-fieldlist">
					<ul class="sy-fieldsall" data-item-id="<?php echo $this->item->id ?>">
						<li class="sy-liheading">
							<div class="sy-headorder"><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_ORDERING') ?></div>
							<div class="sy-headtitle"><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_TITLE') ?></div>
							<div class="sy-headtext"><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_TEXT_FIELD') ?></div>
							<div class="sy-headedit"></div>
							<!--<div class="sy-headimage"><?php // echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_IMAGE') ?></div>-->
							
						</li>
					<?php
					// define which activity to load
					    $count = 0;
					    $tabFields = array();
					    $display_mode;
					    // define a counter
					    foreach ($this->field as $field) {
					    	$count = $count+1;
					    	$display_mode = $field->display_mode;	
					    } 
					    $b = 0;
					    // use counter to searche activities
					    for ($i=0;$i< $count; $i++) {
					    	// search for fields according to activity
					    	$activities = explode(',',$this->fieldRaw[$this->field[$i]->id]->activity);
					    	if (in_array($this->item->id, $activities)) {
					    		// transform object to array
					    		$oneArray = (array)$this->field[$i];
					    		//put item array in an array
					    		array_push($tabFields,$oneArray);
					   		}
					    }

					    // Define the sort function based on the field index
					    function custom_sort($a,$b) {
					        return strcmp($a["field_index"], $b["field_index"]);
					    }
					    // Sort the item array
					    usort($tabFields, "custom_sort");
					    ////////dump($tabFields);


						foreach ($tabFields as $key=>$field) {
							////////dump($field['id']);
								 ?>
									<li id="field-<?php echo $field['id']  ?>" class="sy-fieldone" data-item-id="<?php echo $field['id'] ?>" data-display-mode="<?php echo $this->fieldRaw[$field['id']]->display_mode ?>">
										<!--<div class="sy-fieldid"><?php // echo $field['id'] ?></div>-->
										<div class="sy-fieldorder"><?php echo $field['field_index'] ?></div>
									<?php if (isset($field['title'])): ?>
										<div class="sy-fieldtitle"><?php echo $field['title'] ?></div>
									<?php endif ?>
									<?php if (isset($field['text_field'])): ?>
										<div class="sy-fieldtext"><?php echo $field['text_field'] ?></div>
									<?php endif ?>
									<div class="sy-editfield"><a href="index.php?option=com_easytimetable&view=field&layout=edit&id=<?php echo $field['id'] ?>" target="_blank"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_ITEM') ?></a></div>
									<!--<?php // if (isset($field['image'])): ?>
										<div class="sy-fieldimage"><?php // echo $field['image'] ?></div>
									<?php // endif ?>-->
									
									</li>
				    			<?php 	
				    		}
						?>
					</ul>
				</div>
			</div>
	        <?php echo JHtml::_('bootstrap.endTab'); ?>
	    <?php endif ?>
        
        <?php if (JFactory::getUser()->authorise('core.admin','easytimetable')) : ?>
	<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'permissions', JText::_('JGLOBAL_ACTION_PERMISSIONS_LABEL', true)); ?>
		<?php echo $this->form->getInput('rules'); ?>
	<?php echo JHtml::_('bootstrap.endTab'); ?>
<?php endif; ?>

        <?php echo JHtml::_('bootstrap.endTabSet'); ?>

        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>

    </div>
</form>

<div id="field-form" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_FIELD') ?>" class="invisible">
        <p class="validateTips">All form fields are required.</p>
        <form id="fieldform">
            <fieldset class="newfieldform">
                <label for="fieldid" ></label>
                <input id="fieldid" type="hidden" value="0" name="fieldid">
                <input id="fieldactivity" type="hidden" value="<?php echo $this->item->id ?>" name="fieldactivity">               
                <input id="fielditemtype" type="hidden" value="0" name="fielditemtype">               
                <div class="sy-first">
	                <div class="sy-fieldname">
	                	<label for="fieldname" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_TITLE') ?></label>
	                	<input id="fieldname" type="text" value="" name="fieldname">
	                </div>
	                <div class="sy-displaytitle">
	                	<label for="displaytitle" ><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_DISPLAY_TITLE') ?></label>
		                <select id="displaytitle" type="select" value="" name="displaytitle">
		                	<option value="0"><?php echo JText::_('COM_EASYTIMETABLE_NO') ?></option>
		                	<option value="1"><?php echo JText::_('COM_EASYTIMETABLE_YES') ?></option>
		                </select>
	                </div>
	                <div class="sy-displaymode">
	                	<label for="displaymode" ><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_DISPLAY_MODE') ?></label>
		                <select id="displaymode" type="select" value="" name="displaymode" multiple>
		                	<option value="0"><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_DISPLAY_MODE_OPTION_0') ?></option>
		                	<option value="1"><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_DISPLAY_MODE_OPTION_1') ?></option>
		                	<option value="2"><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_DISPLAY_MODE_OPTION_2') ?></option>
		                </select>
	                </div>
	                <div class="control-group sy-access">
						<div class="control-label"><?php echo $this->fieldForm->getLabel('access'); ?></div>
						<div class="controls"><?php echo $this->fieldForm->getInput('access'); ?></div>
					</div>
                </div>
                <div class="sy-fieldtype">
                	<input id="fieldtype" type="hidden" value="0" name="fieldtype">
                <!--<label for="fieldtype" ><?php // echo JText::_('COM_EASYTIMETABLE_FIELDS_FIELD_TYPE') ?></label>-->
	                <!--<select id="fieldtype" type="select" value="" name="fieldtype">
	                	<option value="0"><?php // echo JText::_('COM_EASYTIMETABLE_FIELDS_FIELD_TYPE_OPTION_0') ?></option>
	                	<option value="2"><?php // echo JText::_('COM_EASYTIMETABLE_FIELDS_FIELD_TYPE_OPTION_2') ?></option>
	                </select>-->
                </div>
                
                <div class="sy-textfield">
	                <label for="fieldtext" ><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_TEXT_FIELD') ?></label>
	                <input id="fieldtext" type="text" value="" name="fieldtext">
                </div>
                <!--<div class="control-group invisible sy-imagefield">
					<div class="control-label"><?php // echo $this->fieldForm->getLabel('image'); ?></div>
					<div class="controls"><?php // echo $this->fieldForm->getInput('image'); ?></div>
				</div>-->

				
				<div class="sy-status">
					<input id="fieldstatus" type="hidden" value="1" name="fieldstatus">
					<!--<label for="fieldstatus" ><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_STATE') ?></label>
	                <select id="fieldstatus" type="select" value="" name="fieldstatus">
	                	<option value="0"><?php // echo JText::_('COM_EASYTIMETABLE_UNPUBLISH_ITEM') ?></option>
	                	<option value="1"><?php // echo JText::_('COM_EASYTIMETABLE_PUBLISH_ITEM') ?></option>
	                </select>-->
	            </div>
                <input id="fieldtoken" type="hidden" value="<?php echo JSession::getFormToken() ?>" name="fieldtoken">

               <!-- Allow form submission with keyboard without duplicating the dialog button -->
               <input type="submit" tabindex="-1" style="position:absolute; top:-1000px">
            </fieldset>
        </form>
    </div>
    <div id="sy-messages" style="display:none;">
	    <div id="sy-trash"><?php echo JText::_('COM_EASYTIMETABLE_ACTIVITY_FIELD_TRASH') ?></div>
	    <div id="sy-remove"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_REMOVE') ?></div>
	    <div id="sy-removed"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_REMOVED') ?></div>
	    <div id="sy-create"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE') ?></div>
	    <div id="sy-close"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CLOSE') ?></div>
	    <div id="sy-load"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_LOAD') ?></div>
	    <div id="sy-load"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_MANAGE_ACTIVITIES') ?></div>
	    <div id="sy-load"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_DAY') ?></div>
	    <div id="sy-edittext"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_ITEM') ?></div>
	</div>

<?php }
else {
    //Access not allowed
    $app =& JFactory::getApplication();
    $app->redirect('index.php?option=com_easytimetable&view=activities');
    
}