<?php

/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View to edit
 */
class EasytimetableViewActivity extends JViewLegacy {

    protected $state;
    protected $item;
    protected $form;

    /**
     * Display the view
     */
    public function display($tpl = null) {
        $this->state = $this->get('State');
        $this->item = $this->get('Item');
        $this->form = $this->get('Form');

        $fieldsModel = JModelList::getInstance('Fields', 'EasytimetableModel');
        $this->field = $fieldsModel->getItems();

        foreach ($this->field as $fieldvalue) {
            $id = $fieldvalue->id;    
            $this->fieldoption = $fieldsModel->getField($id);
            $this->fieldRaw[$id] =  $this->fieldoption;
        }


        $fieldFormModel = JModelList::getInstance('Field', 'EasytimetableModel');
        $this->fieldForm = $fieldFormModel->getForm();

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors));
        }

        $this->addToolbar();
        parent::display($tpl);
    }

    /**
     * Add the page title and toolbar.
     */
    protected function addToolbar() {
        JFactory::getApplication()->input->set('hidemainmenu', true);

        $user = JFactory::getUser();
        $isNew = ($this->item->id == 0);
        if (isset($this->item->checked_out)) {
            $checkedOut = !($this->item->checked_out == 0 || $this->item->checked_out == $user->get('id'));
        } else {
            $checkedOut = false;
        }
        $canDo = EasytimetableHelper::getActions();

        JToolBarHelper::title(JText::_('COM_EASYTIMETABLE_TITLE_ACTIVITY'), 'activity.png');

        // If not checked out, can save the item.
        if (!$checkedOut && ($canDo->get('core.edit') || ($canDo->get('core.create')))) {

            JToolBarHelper::apply('activity.apply', 'JTOOLBAR_APPLY');
            JToolBarHelper::save('activity.save', 'JTOOLBAR_SAVE');
        }
        if (!$checkedOut && ($canDo->get('core.create'))) {
            JToolBarHelper::custom('activity.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
        }
        // If an existing item, can save to a copy.
        if (!$isNew && $canDo->get('core.create')) {
            JToolBarHelper::custom('activity.save2copy', 'save-copy.png', 'save-copy_f2.png', 'JTOOLBAR_SAVE_AS_COPY', false);
        }
        if (empty($this->item->id)) {
            JToolBarHelper::cancel('activity.cancel', 'JTOOLBAR_CANCEL');
        } else {
            JToolBarHelper::cancel('activity.cancel', 'JTOOLBAR_CLOSE');
        }
    }

}
