<?php

/**
 * @version     1.0
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for Easytimetable Dashboard to display catégories, Activities and plannings.
 */
class EasytimetableViewDashboard extends JViewLegacy {

    protected $items;
    protected $pagination;
    protected $state;

    /**
     * Display the view
     */
    public function display($tpl = null) {
        $this->state = $this->get('State');
        $this->items = $this->get('Items');
        $this->model = $this->getModel();
        //$categories = $this->model->getCats();
        EasytimetableHelper::addSubmenu('dashboard');

        // Plannings List 
        $plModel = JModelList::getInstance('Plannings', 'EasytimetableModel');
        $this->planningData = $plModel->getItems();
        
        // Activities List 
        $actModel = JModelList::getInstance('Activities', 'EasytimetableModel');
        $this->activities = $actModel->getItems();


        $this->addToolbar();
        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }

    /**
     * Add the page title and toolbar.
     *
     * @since	1.6
     */
    protected function addToolbar() {
        require_once JPATH_COMPONENT . '/helpers/easytimetable.php';

        JToolBarHelper::title(JText::_('COM_EASYTIMETABLE_TITLE_EASYTIMETABLE'), 'logo-stereonomy-white.png'); // Title in the header bar

        JToolBarHelper::preferences('com_easytimetable'); // Parameter button
        

        //Set sidebar action - New in 3.0
        JHtmlSidebar::setAction('index.php?option=com_easytimetable&view=dashboard');

        $this->extra_sidebar = '';
    }
}
