<?php
/**
 * @version    1.5.0
 * @package    Com_Easytimetable
 * @author     Anthony Ceccarelli - Stereonomy <contact@stereonomy.com>
 * @copyright  Copyright (C) 2015. All rights reserved.
 * @license    GNU General Public License v2 or later ; See LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.keepalive');

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet(JPATH_ROOT . 'media/com_easytimetable/css/edit.css');
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/assets/css/easytimetable.css');
?>
<script type="text/javascript">
	js = jQuery.noConflict();
	js(document).ready(function () {
		
	js('input:hidden.activity').each(function(){
		var name = js(this).attr('name');
		if(name.indexOf('activityhidden')){
			js('#jform_activity option[value="'+js(this).val()+'"]').attr('selected',true);
		}
	});
	js("#jform_activity").trigger("liszt:updated");
	js('input:hidden.timetable').each(function(){
		var name = js(this).attr('name');
		if(name.indexOf('timetablehidden')){
			js('#jform_timetable option[value="'+js(this).val()+'"]').attr('selected',true);
		}
	});
	js("#jform_timetable").trigger("liszt:updated");
	js('input:hidden.planned_activity').each(function(){
		var name = js(this).attr('name');
		if(name.indexOf('planned_activityhidden')){
			js('#jform_planned_activity option[value="'+js(this).val()+'"]').attr('selected',true);
		}
	});
	js("#jform_planned_activity").trigger("liszt:updated");
	});

	Joomla.submitbutton = function (task) {
		if (task == 'field.cancel') {
			Joomla.submitform(task, document.getElementById('field-form'));
		}
		else {
			
			if (task != 'field.cancel' && document.formvalidator.isValid(document.id('field-form'))) {
				
	if(js('#jform_activity option:selected').length == 0){
		js("#jform_activity option[value=0]").attr('selected','selected');
	}
	if(js('#jform_timetable option:selected').length == 0){
		js("#jform_timetable option[value=0]").attr('selected','selected');
	}
	if(js('#jform_planned_activity option:selected').length == 0){
		js("#jform_planned_activity option[value=0]").attr('selected','selected');
	}
				Joomla.submitform(task, document.getElementById('field-form'));
			}
			else {
				alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>');
			}
		}
	}
</script>

<form
	action="<?php echo JRoute::_('index.php?option=com_easytimetable&layout=edit&id=' . (int) $this->item->id); ?>"
	method="post" enctype="multipart/form-data" name="adminForm" id="field-form" class="form-validate">

	<div class="form-horizontal">
		<?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>

		<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_EASYTIMETABLE_TITLE_FIELD', true)); ?>
		<div class="row-fluid">
			<div class="span10 form-horizontal">
				<fieldset class="adminform">
					<div class="sy-formlayout">	
						<div class="firstblock">
							<div class="sy-title"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_BASIC') ?></div>
		                	<div class="sy-firstone">
								<input type="hidden" name="jform[id]" value="<?php echo $this->item->id; ?>" />
								<div class="control-group">
									<div class="control-label"><?php echo $this->form->getLabel('title'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('title'); ?></div>
								</div>
								<div class="control-group" style="display:none;">
									<div class="control-label"><?php echo $this->form->getLabel('field_type'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('field_type'); ?></div>
								</div>
								<div class="control-group">
									<div class="control-label"><?php echo $this->form->getLabel('item_type'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('item_type'); ?></div>
								</div>
								<div class="control-group">
									<div class="control-label"><?php echo $this->form->getLabel('activity'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('activity'); ?></div>
								</div>

								<?php
									foreach((array)$this->item->activity as $value): 
										if(!is_array($value)):
											echo '<input type="hidden" class="activity" name="jform[activityhidden]['.$value.']" value="'.$value.'" />';
										endif;
									endforeach;
								?>	
								<!--<div class="control-group">
									<div class="control-label"><?php // echo $this->form->getLabel('timetable'); ?></div>
									<div class="controls"><?php // echo $this->form->getInput('timetable'); ?></div>
								</div>-->

								<?php
									/* foreach((array)$this->item->timetable as $value): 
										if(!is_array($value)):
											echo '<input type="hidden" class="timetable" name="jform[timetablehidden]['.$value.']" value="'.$value.'" />';
										endif;
									endforeach; */
								?>			
								<!--<div class="control-group">
									<div class="control-label"><?php // echo $this->form->getLabel('planned_activity'); ?></div>
									<div class="controls"><?php // echo $this->form->getInput('planned_activity'); ?></div>
								</div>-->

								<?php
									/* foreach((array)$this->item->planned_activity as $value): 
										if(!is_array($value)):
											echo '<input type="hidden" class="planned_activity" name="jform[planned_activityhidden]['.$value.']" value="'.$value.'" />';
										endif;
									endforeach;*/
								?>			
								<div class="control-group">
									<div class="control-label"><?php echo $this->form->getLabel('display_title'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('display_title'); ?></div>
								</div>
								<div class="control-group">
									<div class="control-label"><?php echo $this->form->getLabel('text_field'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('text_field'); ?></div>
								</div>
								<!--<div class="control-group">
									<div class="control-label"><?php // echo $this->form->getLabel('text_area'); ?></div>
									<div class="controls"><?php // echo $this->form->getInput('text_area'); ?></div>
								</div>-->
								<!--<div class="control-group">
									<div class="control-label"><?php // echo $this->form->getLabel('position'); ?></div>
									<div class="controls"><?php // echo $this->form->getInput('position'); ?></div>
								</div>
								<div class="control-group">
									<div class="control-label"><?php // echo $this->form->getLabel('image'); ?></div>
									<div class="controls"><?php // echo $this->form->getInput('image'); ?></div>
								</div>-->
								<div class="control-group">
									<div class="control-label"><?php echo $this->form->getLabel('display_mode'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('display_mode'); ?></div>
								</div>
								<div class="control-group">
									<div class="control-label"><?php echo $this->form->getLabel('field_index'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('field_index'); ?></div>
								</div>
								<div class="control-group">
									<div class="control-label"><?php echo $this->form->getLabel('access'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('access'); ?></div>
								</div>
								<div class="control-group">
									<div class="control-label"><?php echo $this->form->getLabel('state'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('state'); ?></div>
								</div>
									<input type="hidden" name="jform[ordering]" value="<?php echo $this->item->ordering; ?>" />
									<input type="hidden" name="jform[checked_out]" value="<?php echo $this->item->checked_out; ?>" />
									<input type="hidden" name="jform[checked_out_time]" value="<?php echo $this->item->checked_out_time; ?>" />
								<div class="control-group">
									<div class="control-label"><?php echo $this->form->getLabel('created_by'); ?></div>
									<div class="controls"><?php echo $this->form->getInput('created_by'); ?></div>
								</div>
							</div>
						</div>
					</div>


				</fieldset>
			</div>
		</div>
		<?php echo JHtml::_('bootstrap.endTab'); ?>

		<?php if (JFactory::getUser()->authorise('core.admin','easytimetable')) : ?>
	<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'permissions', JText::_('JGLOBAL_ACTION_PERMISSIONS_LABEL', true)); ?>
		<?php echo $this->form->getInput('rules'); ?>
	<?php echo JHtml::_('bootstrap.endTab'); ?>
<?php endif; ?>

		<?php echo JHtml::_('bootstrap.endTabSet'); ?>

		<input type="hidden" name="task" value=""/>
		<?php echo JHtml::_('form.token'); ?>

	</div>
</form>
