<?php
/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.keepalive');

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/assets/css/easytimetable.css');
$document->addStyleSheet('components/com_easytimetable/assets/css/colpick.css');
$document->addScript('components/com_easytimetable/assets/js/colpick.js');
?>
<script type="text/javascript">
    js = jQuery.noConflict();
    js(document).ready(function() {
        
        jQuery("#jform_color, #jform_overcolor, #jform_fontcolor, #jform_fontovercolor").colpick({
        	layout:'hex',
		submit:0,
		colorScheme:'dark',
		onChange:function(hsb,hex,rgb,el,bySetColor) {
			jQuery(el).css('border-color','#'+hex);
			// Fill the text box just if the color was set using the picker, and not the colpickSetColor function.
			if(!bySetColor) jQuery(el).val(hex);
		},
        onShow:function(hsb,hex,rgb,el,bySetColor) {
            var currentColor = "#" + jQuery(this).val();
            jQuery(this).css("border-color","#"+currentColor);
            jQuery(this).colpickSetColor(this.value);
        }
		}).keyup(function(){
			jQuery(this).colpickSetColor(this.value);
        });
    });

    Joomla.submitbutton = function(task)
    {
        if (task == 'plannedactivity.cancel') {
            Joomla.submitform(task, document.getElementById('plannedactivity-form'));
        }
        else {
            
            if (task != 'plannedactivity.cancel' && document.formvalidator.isValid(document.id('plannedactivity-form'))) {
                
                Joomla.submitform(task, document.getElementById('plannedactivity-form'));
            }
            else {
                alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>');
            }
        }
    }
</script>

<form action="<?php echo JRoute::_('index.php?option=com_easytimetable&layout=edit&id=' . (int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="plannedactivity-form" class="form-validate">

    <div class="form-horizontal">
        <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>

        

        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_EASYTIMETABLE_PLANNINGFORM_DESC', true)); ?>
        <div class="sy-formlayout">
    		<div class="firstblock descblock">
    			<div class="sy-title">
    				<?php echo JText::_('COM_EASYTIMETABLE_ACTIVITY_DESCRIPTION_IMAGE') ?>

    			</div>
    			<div class="sy-firstone sy-texts">
    				<?php echo $this->form->renderField('acti_name'); ?>
    				<?php echo $this->form->renderField('image'); ?>

                    <div class="syet_edit_editor_style">
                        <?php echo $this->form->renderField('tooltiptextabove'); ?>
						<?php echo $this->form->renderField('tooltiptextunder'); ?>
						<?php echo $this->form->renderField('textincell'); ?>
                    </div>
	    			
				</div>
    		</div>
    	</div>			
        <?php echo JHtml::_('bootstrap.endTab'); ?>
        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'system', JText::_('COM_EASYTIMETABLE_TITLE_PLANNEDACTIVITY', true)); ?>
        <div class="row-fluid">
            <div class="span10 form-horizontal">
                <fieldset class="adminform">
                	<div class="sy-formlayout">
						<div class="firstblock">
							<div class="sy-title"><?php echo JText::_("COM_EASYTIMETABLE_FORM_LBL_PLANACTIVITY_COLOR_TITLE"); ?></div>
							<div class="sy-firstone">
								<?php echo $this->form->renderField('color'); ?>
								<?php echo $this->form->renderField('overcolor'); ?>
								<?php echo $this->form->renderField('fontcolor'); ?>
								<?php echo $this->form->renderField('fontovercolor'); ?>
							</div>
						</div>
						<div class="firstblock">
							<div class="sy-title"><?php echo JText::_("COM_EASYTIMETABLE_FORM_LBL_PLANACTIVITY_SYSTEM"); ?></div>
							<div class="sy-firstone">
                                <p class="alert alert-warning" style="margin-bottom:1em; font-weight: bold;"><?php echo JText::_("COM_EASYTIMETABLE_FORM_LBL_PLANACTIVITY_WARNING"); ?></p>
								<?php echo $this->form->renderField('id'); ?>
								<?php echo $this->form->renderField('id_activity'); ?>
								<?php echo $this->form->renderField('id_planning'); ?>
								<?php echo $this->form->renderField('plan_name'); ?>
								<?php echo $this->form->renderField('id_cell'); ?>				
								<?php echo $this->form->renderField('start_t'); ?>						
								<?php echo $this->form->renderField('end_t'); ?>						
								<?php echo $this->form->renderField('state'); ?>												
								<?php echo $this->form->renderField('duration'); ?>						
								<?php echo $this->form->renderField('created_by'); ?>
							</div>
						</div>
						
					</div>

                </fieldset>
            </div>
        </div>
        <?php echo JHtml::_('bootstrap.endTab'); ?>
        
        <?php if (JFactory::getUser()->authorise('core.admin','easytimetable')) : ?>
	<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'permissions', JText::_('JGLOBAL_ACTION_PERMISSIONS_LABEL', true)); ?>
		<?php echo $this->form->getInput('rules'); ?>
	<?php echo JHtml::_('bootstrap.endTab'); ?>
<?php endif; ?>

        <?php echo JHtml::_('bootstrap.endTabSet'); ?>

        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>

    </div>
</form>