<?php
/**
 * @version     1.8.0
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. All rights reserved.
 * @license     GNU General Public License version 2 or later ; See LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.keepalive');

//User management
$user   = JFactory::getUser();
$userId = $user->get('id');
$name = $user->name;
$extension  = 'com_easytimetable';
jimport( 'joomla.access.access' );
$groups = JAccess::getGroupsByUser($userId, false);
$canEdit    = $user->authorise('core.edit',       $extension . '.category.' . $this->item->id);
$canEditOwn = $user->authorise('core.edit.own',   $extension . '.planning.' . $this->item->id) ;
$canEditItem = $user->authorise('core.edit', $extension .'.planning.'. $this->item->id);
if (($canEdit && $canEditItem) || ($canEditOwn && $canEditItem) || in_array(8, $groups) || in_array(7, $groups)) {

// Import CSS
$document = JFactory::getDocument();

$document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/editstyle.css'); 
$document->addStyleSheet('https://cdn.iconmonstr.com/1.3.0/css/iconmonstr-iconic-font.min.css'); 
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/planningform.css'); 
if ($this->item->type == 0) {

    if ($this->item->time_mode == 0){
        $document = JFactory::getDocument();
        $document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/planning.css');  
    } 
    else {
        $document = JFactory::getDocument();
        $document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/planning12.css'); 
    }
}
else {
    if ($this->item->time_mode == 0){
        $document = JFactory::getDocument();
        $document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/planningadapt.css'); 
    }
    else {
        $document = JFactory::getDocument();
        $document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/12/planningadapt.css');
    }
}
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/assets/css/colpick.css');
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/jquery.datetimepicker.css');
$document = JFactory::getDocument();
$document->addScript('https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js');
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/views/planning/tmpl/js/jquery.datetimepicker.js');
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/assets/js/colpick.js');

// Import js
if ($this->item->type == 0) {
    $document = JFactory::getDocument();
    $document->addScript('components/com_easytimetable/views/planning/tmpl/js/listact.js');
    $document = JFactory::getDocument();
    $document->addScript('components/com_easytimetable/views/planning/tmpl/js/newact.js');
    $document->addScript('components/com_easytimetable/views/planning/tmpl/js/merge-fixed-ad.js');
    if ($this->item->time_mode == 0){
        $document = JFactory::getDocument();
        $document->addScript('components/com_easytimetable/views/planning/tmpl/js/timetable.js');
    } 
    else {
        $document = JFactory::getDocument();
        $document->addScript('components/com_easytimetable/views/planning/tmpl/js/timetable2.js');
    }
}
else {
    $document = JFactory::getDocument();
    $document->addScript('components/com_easytimetable/views/planning/tmpl/js/listact2.js');
    $document = JFactory::getDocument();
    $document->addScript('components/com_easytimetable/views/planning/tmpl/js/newact2.js');
    if ($this->item->time_mode == 0){
        $document = JFactory::getDocument();
        $document->addScript('components/com_easytimetable/views/planning/tmpl/js/timetableadapt.js');
    } 
    else {
        $document = JFactory::getDocument();
        $document->addScript('components/com_easytimetable/views/planning/tmpl/js/timetableadapt2.js');
    }
}

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/assets/css/easytimetable.css');



if ($this->item->time_mode == 0) {
    $timeMode = "24h";
}
else {
    $timeMode = "12h";
}

?>

<script type="text/javascript">
    js = jQuery.noConflict();
    js(document).ready(function() {
    	var counter = 0;
        var starth1;
        jQuery('.ui-dialog-buttonset').find('button').eq(1).css('display', "none");
        var timeModeVal;
        <?php if ($this->item->time_mode == 0 || $this->item->time_mode = ""): ?>
            jQuery("#jform_start_h").datetimepicker({
                format:'H:i',
                formatTime:'H:i',
                step:5,
                closeOnTimeSelect:true,
                timepicker:true,
                datepicker:false,
                onSelectTime:function(ct){
                    start_h1 = jQuery("#jform_start_h").val();
                    jQuery("#jform_start_h").attr('value', start_h1);
                }
            });
        <?php else: ?>
            jQuery("#jform_start_h").datetimepicker({
                    format:'g:i a',
                    formatTime:'g:i a',
                    step:5,
                    closeOnTimeSelect:true,
                    timepicker:true,
                    datepicker:false
                });
        <?php endif ?>
        jQuery('#jform_time_mode').change(function(){
            timeModeVal = jQuery(this).val();
            if (timeModeVal == 0)
            {
                jQuery("#jform_start_h").datetimepicker({
                    format:'H:i',
                    formatTime:'H:i',
                    step:5,
                    closeOnTimeSelect:true,
                    timepicker:true,
                    datepicker:false,
                    onSelectTime:function(ct){
                        start_h1 = jQuery("#jform_start_h").val();
                        jQuery("#jform_start_h").attr('value', start_h1);
                    }
                });
            }
            else
            {
                jQuery("#jform_start_h").datetimepicker({
                    format:'g:i a',
                    formatTime:'g:i a',
                    step:5,
                    closeOnTimeSelect:true,
                    timepicker:true,
                    datepicker:false
                });
            }
        })
        
		jQuery("#jform_start_h").disableSelection(); 
        
        jQuery("#jform_cell_color, #actcolor, #actovercolor, #fontovercolor, #fontcolor").colpick({
        layout:'hex',
		submit:0,
		colorScheme:'dark',
		onChange:function(hsb,hex,rgb,el,bySetColor) {
            jQuery('.ui-dialog-buttonset').find('button').eq(1).css('display', "inline-block");    
    		jQuery(el).css('border-color','#'+hex);
    		// Fill the text box just if the color was set using the picker, and not the colpickSetColor function.
    		if(!bySetColor) jQuery(el).val(hex);
		},
        onShow:function(hsb,hex,rgb,el,bySetColor) {
            var currentColor = "#" + jQuery(this).val();
            jQuery(this).css("border-color","#"+currentColor);
            jQuery(this).colpickSetColor(this.value);
        }
		}).keyup(function(){
			jQuery(this).colpickSetColor(this.value);   
        });
        // display the "ok" button if form is filled
       
        jQuery('.sy-helpimage').tooltip();

        // Change font-size and line-height of activites to drop
        if (parseInt(jQuery('.ttmode').html()) == 0) 
        {
            jQuery('.activites').find('li').each(function(){

                if(jQuery(this).find('.name').html().length > 13) {
                    jQuery(this).find('.name').css("font-size", "10px");
                }
                else if (jQuery(this).find('.name').html().length > 23 && jQuery(this).find('.name').html().length < 30) {
                    jQuery(this).find('.name').css("font-size", "9px");
                }
                else if (jQuery(this).find('.name').html().length > 29) {
                    jQuery(this).find('.name').css("font-size", "10px");
                    jQuery(this).find('.name').css("line-height", "12px");
                }
            })
        }
        else 
        {
            jQuery('.activites').find('li').each(function(){
                jQuery(this).find('.name').css("font-size", "11px");
                jQuery(this).find('.name').css("line-height", "14px");
                var theName = jQuery(this).find('.name').html();
                console.log(theName);
                var shortName = jQuery(this).find('.name').html().substr(0,16) + "...";
                console.log(shortName);
                if(jQuery(this).find('.name').html().length > 16) {
                    jQuery(this).find('.name').empty();
                    jQuery(this).find('.name').append(shortName);
                }    
        })
        }
        jQuery('.fullplanning').find('ul').each(function(){
            jQuery(this).find('li').each(function(){

                if(jQuery(this).find('.name').html().length > 13) 
                {
                    var smallName = jQuery(this).find('.name').text().substr(0,13) + "...";
                    jQuery(this).find('.name').text(smallName);
                }
                
            })
        })

        // display external link field
        jQuery('#jform_type1').on('click', function(){
            jQuery('.sy-oldfixedcells').css('display', 'none');
            jQuery('.sy-cellheight').css('display', 'none');
        })

        jQuery('#jform_type0').on('click', function(){
            jQuery('.sy-oldfixedcells').css('display', 'block');
            jQuery('.sy-cellheight').css('display', 'block');
        })           
    });

    Joomla.submitbutton = function(task)
    {
        if (task == 'planning.cancel') {
            Joomla.submitform(task, document.getElementById('planning-form'));
        }
        else {
            
            if (task != 'planning.cancel' && document.formvalidator.isValid(document.id('planning-form'))) {
                
                Joomla.submitform(task, document.getElementById('planning-form'));
            }
            else {
                alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>');
            }
        }
    }
</script>




<div class="ttmode" style="display:none;"><?php echo $this->item->time_mode ?></div>
<form action="<?php echo JRoute::_('index.php?option=com_easytimetable&layout=edit&id=' . (int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="planning-form" class="form-validate">

    <div class="form-horizontal">
        <?php if ($this->item->id != 0) 
    	{ echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'timetable'));
    	
    	
    	
        echo JHtml::_('bootstrap.addTab', 'myTab', 'timetable', JText::_('Timetable', true));
        }
        else {echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general'));} ?>
        <?php if ($this->item->id != 0): ?>
        <div class="button-container">
            <div id="create" class="createnew button"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_ACTIVITY') ?></div>
            <div id="loadAct" class="loadact button"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_LOAD') ?></div>
	    </div>
        <div class="sy-contentact">
            <ul id="activites" class="activites ">
                <div class="title-activities"><?php echo JText::_('COM_EASYTIMETABLE_TITLE_ACTIVITIES') ?></div>
    	        <?php 
    	        $nact = count($this->activities);
    	        foreach ($this->activities as $key2=>$activity) {
    	            $acttitle = $activity->act_name;
    	            $timetables = explode(',',$activity->timetable);
    	            $acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $acttitle));
                    $acttitleid = preg_replace("/[\"’\/~\\<|+>@]+/", "", $acttitleid);
                    $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
                    $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
                    $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
                    $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
                    $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
                    $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
                    $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
                    $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
                    $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
                    $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
    	            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
    	            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
    	            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
    	            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
    	            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
    	            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
    	            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
    	            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
    	            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
    	            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
    	            if ($this->item->id != 0)  {  
        	            if (in_array($this->item->id, $timetables) && $activity->act_name != "blank") { ?>
                       
            	            <li id="act-<?php echo $activity->id ?>" data-act-id="<?php echo $activity->id ?>" data-limit="<?php echo $activity->act_limit ?>" data-merge="0" class="<?php echo $acttitleid ?>-<?php echo $activity->id ?> activity act-<?php echo $activity->id ?>" style="background-color:#<?php echo $activity->color ?>;color:#<?php echo $activity->fontcolor ?>;">
            	                <div id="nom" class="name" style="color:#<?php $activity->fontcolor?>;"><?php echo $acttitle ?></div>
                                <?php if ((int)$this->item->type == 1): ?>
                                    <input id="duree" name="duree" class="sy-duration-blank" style="width:45% !important;" type="text" value ="<?php echo $activity->duration ?>">
                                <?php else: ?>
                                    <input id="duree" name="duree" type="hidden" value ="<?php echo $activity->duration ?>">
                                    <div id="duration" class="duration"><?php echo $activity->duration ?>'</div>
                                <?php endif ?>
            	                <input id="title" name="title" type="hidden" value = "<?php echo $activity->act_name ?>">
            	                <input id="idacti" name="idacti" type="hidden" value = "">
                                <input id="count" name="count" type="hidden" value = "">
            	                <input type="hidden" id="token" name="token" value="<?php echo JSession::getFormToken()?>">
            	                <input id="id_planning" name="id_planning" type="hidden" value ="<?php echo $this->item->id ?>">
            	                <input id="id_cell" name="id_cell" type="hidden" value = "">
            	                <input id="id_activity" name="id_activity" type="hidden" value ="<?php echo $activity->id ?>">
            	                <input id="start_t" name="start_t" type="text" value = "" class="start invisible" placeholder="Début" style="color:#<?php echo $activity->fontcolor ?>;">
            	                <span class="invisible to" style="color:#<?php echo $activity->fontcolor ?>;"> > </span>
            	                <input id="end_t" name="end_t" type="text" value = "" class="end invisible" placeholder="Fin" style="color:#<?php echo $activity->fontcolor ?>;">
            	                <input id="status" name="status" type="hidden" value="1">
            	            	<div class="loader1" style="visibility:hidden;background-color:#<?php echo $activity->color ?>;"><img src="components/com_easytimetable/assets/images/loader2.png"></div> 
            	            	<input id="htomove" name="htomove" type="hidden" value="">
                                <input id="index" name="index" type="hidden" value="0">
                                <input id="merge" name="merge" type="hidden" value="0">
                                <div class="sy-mergebutton invisible"></div>
            	            </li>
        	            <?php
        	            }
                        elseif (in_array($this->item->id, $timetables) && $activity->act_name == "blank" && (int)$this->item->type == 1) { ?>
                            <li id="act-<?php echo $activity->id ?>" data-act-id="<?php echo $activity->id ?>" data-limit="0" data-merge="0" class="<?php echo $acttitleid ?> act-<?php echo $activity->id ?> activity">
                                <div id="nom" class="name"><?php echo $acttitle ?></div>
                                <input id="duree" name="duree" class="sy-duration-blank" type="text" value ="<?php echo $activity->duration ?>">
                                <input id="title" name="title" type="hidden" value = "<?php echo $activity->act_name ?>">
                                <input id="idacti" name="idacti" type="hidden" value = "">
                                <input id="count" name="count" type="hidden" value = "">
                                <input type="hidden" id="token" name="token" value="<?php echo JSession::getFormToken()?>">
                                <input id="id_planning" name="id_planning" type="hidden" value ="<?php echo $this->item->id ?>">
                                <input id="id_cell" name="id_cell" type="hidden" value = "">
                                <input id="id_activity" name="id_activity" type="hidden" value ="<?php echo $activity->id ?>">
                                <!--<input id="access" name="access" type="hidden" value ="<?php echo $this->fullActivities[$activity->id]->access; ?>">-->
                                <input id="start_t" name="start_t" type="text" value = "" class="start invisible" placeholder="Début">
                                <div class="invisible to"> > </div>
                                <input id="end_t" name="end_t" type="text" value = "" class="end invisible" placeholder="Fin">
                                <input id="status" name="status" type="hidden" value="1">
                                <div class="loader1" style="visibility:hidden;background-color:#<?php echo $activity->color ?>;"><img src="components/com_easytimetable/assets/images/loader2.png" alt="Timetable below"></div>
                                <input id="htomove" name="htomove" type="hidden" value="">
                                <input id="index" name="index" type="hidden" value="0">
                                <input id="merge" name="merge" type="hidden" value="0">
                                <div class="sy-mergebutton invisible"></div>
                            </li>
                    <?php } 
    	            }
    	        }
    	//}       
    	    ?>
    	    </ul>
        </div>
        <?php if ((int)$this->item->type == 0): ?>

	    <div class="fullplanning">
	    <?php 
	    	$planningid;
	    	if ($this->item->id > 0) {
		    	$rows_names;
		    	foreach ($this->planningData as $valueplanning) {
		    		if ($valueplanning->id == $this->item->id) {
		    		$rows_names = $valueplanning->rows_name;
		    		}
		    	}
		    	$columns_names = explode(", ",$rows_names);
	    	}
	    	
	        $rows = $this->item->rows;
	        if (isset($this->item->rows)) {
	        $rwidth= 95/$rows;
	        for ($number=1;$number<=$rows;$number++) {
	    ?>
	    
	        <div class="sy-row-container" style="width:<?php echo $rwidth ?>%" >
	            <div id="<?php echo $number ?>" class="row-<?php echo $number ?> rows" >
	                <div class="col-title"><?php if (isset($columns_names[$number-1])) {$title = $columns_names[$number-1];} else {$title = "&nbsp;";} 
		   		echo JText::_($title); ?></div>
	                <?php   
	                    $cells = $this->item->cells;
	                    $rheight = 65*$cells;
	                    for ($cell=1;$cell<=$cells;$cell++) {
	                        $idcell = $cell;//+$cells*($number-1);
	                        if ($idcell < 10) {
                            $zero = "00";
                        }
                        else {
                            $zero = "0";
                        }
                        $idul = $number . $zero . $idcell;
                        $tabAct = [];
	                        ?>
	                        <ul id="cellule_<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?>" class="creneau creneau<?php echo $idcell ?>" style="background-color:#<?php echo $this->item->cell_color ?>;">
                                <?php $pActs = $this->pact->getPlannedAct((int)$this->item->id, (int)$idul);  ?>
                               
                                <?php if(!empty($pActs)): ?>
	                            <?php foreach ($pActs as $key=>$value) {
	                                if ($this->item->time_mode == 1 || $this->item->time_mode == "")
		                            {
		                                $start = $value->start_t;
		                                $end = $value->end_t;
		                                //modification heure suite à mise à jour mode 12h
	                                    if (substr($value->start_t, 5, 3) == ":00") {
	                                        if ((int)substr($value->start_t, 0, 2) >= 1 && (int)substr($value->start_t, 0, 2) < 12) {
	                                            $startStart = (int)substr($value->start_t, 0, 2);
	                                            $endStart = " am";
	                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
	                                        }
	                                        else if ((int)substr($value->start_t, 0, 2) == 0) {
	                                            $startStart = 12;
	                                            $endStart = " am";
	                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
	                                        }
	                                        else if ((int)substr($value->start_t, 0, 2) == 12) {
	                                            $startStart = 12;
	                                            $endStart = " pm";
	                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
	                                        }
	                                        else if ((int)substr($value->start_t, 0, 2) > 12) {
	                                            $startStart = (int)substr($value->start_t, 0, 2) - 12;
	                                            $endStart = " pm";
	                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
	                                        }
	                                    }
	                                    if (substr($value->end_t, 5, 3) == ":00") {
	                                        if ((int)substr($value->end_t, 0, 2) >= 1 && (int)substr($value->end_t, 0, 2) < 12) {
	                                            $startEnd = (int)substr($value->end_t, 0, 2);
	                                            $endEnd = " am";
	                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
	                                        }
	                                        else if ((int)substr($value->end_t, 0, 2) == 0) {
	                                            $startEnd = 12;
	                                            $endEnd = " am";
	                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
	                                        }
	                                        else if ((int)substr($value->end_t, 0, 2) == 12) {
	                                            $startEnd = 12;
	                                            $endEnd = " pm";
	                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
	                                        }
	                                        else if ((int)substr($value->end_t, 0, 2) > 12) {
	                                            $startEnd = (int)substr($value->end_t, 0, 2) - 12;
	                                            $endEnd = " pm";
	                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
	                                        }
	                                    }
		                            }
		                            else {
		                                $start = substr($value->start_t, -8, 5);
		                                $end = substr($value->end_t, -8, 5);
		                            }
                                    ?>
                                    <?php $act =  $this->pact->getActi($value->id_activity);  ?>
                                
                                    <?php 
	                                    $acttitle = $act->act_name;
	                                    $acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $acttitle));
                                        $acttitleid = preg_replace("/[\"’\/~\\<|+>@]+/", "", $acttitleid);
                                        $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
                                        $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
                                        $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
                                        $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
                                        $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
                                        $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
                                        $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
                                        $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
                                        $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
                                        $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
							            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
							            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
							            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
							            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
							            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
							            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
							            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
							            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
							            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
							            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
	                                if (($value->id_cell == $number.$zero.$idcell) && ($value->id_activity == $act->id) && ($this->item->id == $value->id_planning)) {
	                                    array_push($tabAct, $act->act_name);
                                        //On compte le nombre d'élément du tableau pour l'ajouter à l'id de l'activité
                                        $actCount = count($tabAct);

                                        if ($value->state == 0) {
	                                        $stateclass = 'notpublished';
	                                    }
	                                    else {
	                                        $stateclass = 'published';
                                        }
                                        if ($value->merge == 1) {
                                            $doubleClass = "sy-doubleclass";
                                        }
                                        else {
                                            $doubleClass = "";
                                        }
	                                    ?>
	                                    <li id="act-<?php echo $value->id_cell ?><?php echo $actCount ?>" title="<?php echo strip_tags($value->textincell) ?>" data-actcount="<?php echo $actCount ?>" data-merge="<?php echo $value->merge ?>" class="<?php echo $acttitleid ?> <?php echo $doubleClass ?> activite" style="background-color:#<?php if ($value->color != "") {echo $value->color;} else { echo $act->color; } ?>;color:#<?php echo $act->color ?>;">
	                                        <a class="supprimer-<?php echo $value->id_cell ?> del hasTooltip" data-original-title="<?php echo JText::_('COM_EASYTIMETABLE_ADMIN_HELP_PLANNINGFORM_DELETE') ?>" style="display: inline-block;"><script type='text/javascript'>jQuery(document).ready(function(){jQuery('.supprimer-<?php echo $value->id_cell ?>').click(function() {idul = '#'+jQuery(this).parent('li').parent('ul').attr('id');jQuery(idul).removeClass('onlyone');	var idActi = jQuery(this).parent().find('input#idacti').attr('value');var token = jQuery(this).parent().find('input#token').val();jQuery('.tooltip').css('display', 'none');var datatok = 'id='+idActi+'&'+token+'=1';jQuery.ajax({url:'index.php?option=com_easytimetable&task=Plannedactivity.remove&',type: 'POST',data: datatok,dataType: 'xml'}),jQuery(this).parent().remove();	}); });</script></a>
	                                        <a class="publish-<?php echo $value->id_cell ?> <?php echo $stateclass ?> status hasTooltip" data-original-title="<?php echo JText::_('COM_EASYTIMETABLE_ADMIN_HELP_PLANNINGFORM_PUBLISHED') ?>" style="display: inline-block;" ><script type="text/javascript">jQuery(document).ready(function(){
	                                        	jQuery(this).find('.publish-<?php echo $value->id_cell ?>').click(function() {
												// Publication ou dépublication de l'acti planning en cliquant sur le lien 'publish'
													var startId = "#"+jQuery(this).parent().attr('id');
													var id_activity = jQuery(this).parent().find("input#id_activity").val();
													var id_planning = jQuery(this).parent().find("input#id_planning").val();
													var id_cell = jQuery(this).parent().find("input#id_cell").val();
													var start_t = jQuery(this).parent().find("input#start_t").val();
													var end_t = jQuery(this).parent().find("input#end_t").val();
													var id = jQuery(this).parent().find("input#idacti").val();
													var token = jQuery(this).parent().find('#token').val();
													var status = jQuery(this).parent().find("input#status").val();
													var state;
													if (status == 0) {
														state = 1;
														jQuery(this).parent().find("input#status").attr('value', state);
														jQuery(this).addClass('published');
									        			jQuery(this).removeClass('notpublished');
													}
													else if (status == 1) {
														state = 0;
														jQuery(this).parent().find("input#status").attr('value', state);
														jQuery(this).addClass('notpublished');
									        			jQuery(this).removeClass('published');
													}
													
													var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start_t+'&jform[end_t]='+end_t+'&jform[state]='+state+'&'+token+'=1';
													jQuery.ajax({
														url:"index.php?option=com_easytimetable&task=Plannedactivity.save2&",
														type: "POST",
														data: data2,	
														beforeSend: function() {
														    jQuery(startId).find('.loader1').css("visibility", "visible");
														},
														complete: function(data){
															jQuery(startId).find('.loader1').css("visibility", "hidden");
														}
													});
												}); // Fin publish button
	                                        });</script> </a>
	                                        <div id="nom" class="name" title="<?php echo $act->act_name ?>" data-act-id="<?php echo $act->id ?>" style="color:#<?php if ($value->fontcolor != "") {echo $value->fontcolor;} else { echo $act->fontcolor; } ?>"><?php if ($value->acti_name != "") {echo $value->acti_name;} else { echo $act->act_name; } ?></div><a href="index.php?option=com_easytimetable&task=Plannedactivity.edit&id=<?php echo $value->id ?>" target="_blank"><i class="im im-pencil" style="color:#<?php if ($value->fontcolor != "") {echo $value->fontcolor;} else { echo $act->fontcolor; } ?>"></a></i>
	                                        <input id="duree" name="duree" type="hidden" value ="<?php echo $act->duration ?>">
	                                        <input id="title" name="title" type="hidden" value = "<?php echo $act->act_name ?>">
	                                        <input id="idacti" name="idacti" type="hidden" value ="<?php echo $value->id ?>">
	                                        <input id="id_planning" name="id_planning" type="hidden" value ="<?php echo $value->id_planning ?>">
	                                        <input id="nom" name="nom" type="hidden" value = "<?php echo $act->act_name ?>">
	                                        <input type="hidden" id="token" name="token" value="<?php echo JSession::getFormToken()?>"/>
                                            <input id="id_cell" name="id_cell" type="hidden" value = "<?php echo $value->id_cell ?>">
	                                        <input id="count" name="count" type="hidden" value = "<?php echo $actCount ?>">
	                                        <input id="id_activity" name="id_activity" type="hidden" value ="<?php echo $value->id_activity ?>">
	                                        <input id="start_t" name="start_t" type="text" value = "<?php echo $start ?>" class="start" style="color:#<?php echo $act->fontcolor ?>;">
	                                        <span style="color:#<?php echo $act->fontcolor ?>;"> > </span>
	                                        <input id="end_t" name="end_t" type="text" value = "<?php echo $end ?>" class="end" style="color:#<?php echo $act->fontcolor ?>;">
	                                        <input id="status" name="status" type="hidden" value="<?php echo $value->state ?>">
	                                        <div class="loader1" style="visibility: hidden;background-color:#<?php echo $act->color ?>;"><img src="components/com_easytimetable/assets/images/loader2.png"></div>
	                                        <input id="htomove" name="htomove" type="hidden" value="<?php echo $start ?>">
                                            <input id="merge" name="merge" type="hidden" value="<?php echo $value->merge ?>">
                                            <div class="sy-mergebutton"></div>  
	                                    </li>	                                    
	                                    <?php
	                                        }
	                                       
	                                } ?>
                            <?php endif ?>
                        </ul>
	                        <?php       
	                    }
	                ?>  
	            </div>
	        </div>
	    
	    <?php   
	    }
	    }
	    ?>
	    </div>
        <?php endif ?>
        <?php endif ?>

        <!-- Adaptative form -->
    <?php if ((int)$this->item->type == 1): ?>
    <div id="cont-trash">
                <div id="trash" class="trash"><div><?php echo JText::_('COM_EASYTIMETABLE_ACTIVITY_FIELD_TRASH') ?></div></div>
            </div>
    <div class="fullplanning">
        <div class="table-container">
        <?php
        // Extract the row name
        $planningid;
        $rows_names;
        foreach ($this->planningData as $valueplanning) {
            if ($valueplanning->id == $this->item->id) {
            $rows_names = $valueplanning->rows_name;
            }
        } 
            $columns_names = explode(", ", $rows_names);
        // END Extract the row name    
            $rows = $this->item->rows;
            if (isset($this->item->rows)) {
            $rwidth= 95/$rows;
            for ($number=1;$number<=$rows;$number++) {
        ?>
        
            <div class="sy-row-container" style="width:<?php echo $rwidth ?>%" >
                <div class="col-title">
                        <?php if (isset($columns_names[$number-1])) {$title = $columns_names[$number-1];} else {$title = "&nbsp;";} 
                        echo JText::_($title); ?>
                    </div>
                <ul id="<?php echo $number ?>" class="row-<?php echo $number ?> rows creneau" >

                    <?php   
                        $cells = 100;
                        $zero;
                        
                        for ($cell=1;$cell<=$cells;$cell++) {
                            $idcell = $cell;//+$cells*($number-1);
                            if ($idcell < 10) {
                                $zero = "00";
                            }
                            else {
                                $zero = "0";
                            } 
                            $idul = $number.$zero.$idcell;
                            ?>
                            <?php $pActs = $this->pact->getPlannedAct((int)$this->item->id, (int)$idul);  ?>
                                <?php foreach ($pActs as $key=>$value) {
                                    
                                    if ($this->item->time_mode == 1 || $this->item->time_mode == "")
                                    {
                                        $start = $value->start_t;
                                        $end = $value->end_t;
                                        //modification heure suite à mise à jour mode 12h
                                        if (substr($value->start_t, 5, 3) == ":00") {
                                            if ((int)substr($value->start_t, 0, 2) >= 1 && (int)substr($value->start_t, 0, 2) < 12) {
                                                $startStart = (int)substr($value->start_t, 0, 2);
                                                $endStart = " am";
                                                $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                            }
                                            else if ((int)substr($value->start_t, 0, 2) == 0) {
                                                $startStart = 12;
                                                $endStart = " am";
                                                $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                            }
                                            else if ((int)substr($value->start_t, 0, 2) == 12) {
                                                $startStart = 12;
                                                $endStart = " pm";
                                                $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                            }
                                            else if ((int)substr($value->start_t, 0, 2) > 12) {
                                                $startStart = (int)substr($value->start_t, 0, 2) - 12;
                                                $endStart = " pm";
                                                $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                            }
                                        }
                                        if (substr($value->end_t, 5, 3) == ":00") {
                                            if ((int)substr($value->end_t, 0, 2) >= 1 && (int)substr($value->end_t, 0, 2) < 12) {
                                                $startEnd = (int)substr($value->end_t, 0, 2);
                                                $endEnd = " am";
                                                $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                            }
                                            else if ((int)substr($value->end_t, 0, 2) == 0) {
                                                $startEnd = 12;
                                                $endEnd = " am";
                                                $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                            }
                                            else if ((int)substr($value->end_t, 0, 2) == 12) {
                                                $startEnd = 12;
                                                $endEnd = " pm";
                                                $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                            }
                                            else if ((int)substr($value->end_t, 0, 2) > 12) {
                                                $startEnd = (int)substr($value->end_t, 0, 2) - 12;
                                                $endEnd = " pm";
                                                $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                            }
                                        }
                                    }
                                    else {
                                        $start = substr($value->start_t, -8, 5);
                                        $end = substr($value->end_t, -8, 5);
                                    }
                                    
                                    $act =  $this->pact->getActi($value->id_activity); 
                                    
                                    $acttitle = $act->act_name;

                                    if (!empty($pActs)) {
                                        if ($value->state == 0) {
                                            $stateclass = 'notpublished';
                                            $statetitle = 'not published';
                                        }
                                        else {
                                            $stateclass = 'published';
                                            $statetitle = 'published';
                                        }
                                        
                                        $acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $acttitle));
                                        $acttitleid = preg_replace("/[\"’\/~\\<|+>@]+/", "", $acttitleid);
                                        $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
                                        $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
                                        $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
                                        $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
                                        $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
                                        $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
                                        $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
                                        $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
                                        $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
                                        $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
                                        $acttitleid = preg_replace("/^1/", "one", $acttitleid);
                                        $acttitleid = preg_replace("/^2/", "two", $acttitleid);
                                        $acttitleid = preg_replace("/^3/", "three", $acttitleid);
                                        $acttitleid = preg_replace("/^4/", "four", $acttitleid);
                                        $acttitleid = preg_replace("/^5/", "five", $acttitleid);
                                        $acttitleid = preg_replace("/^6/", "six", $acttitleid);
                                        $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
                                        $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
                                        $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
                                        $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
                                        ?>
                                        <li id="act-<?php echo $value->id_cell ?>" title="<?php echo strip_tags($value->textincell) ?>" data-act-id="<?php echo $act->id ?>" class="<?php echo $acttitleid ?> activite" <?php if ($act->act_name == "blank") { ?>style="background-color:#fff;border:#000 dashed 1px;color:#000;" <?php } else { ?> style="background-color:#<?php if ($value->color != "") {echo $value->color;} else { echo $act->color; } ?>;color:#<?php if ($value->fontcolor != "") {echo $value->fontcolor;} else { echo $act->fontcolor; } ?>;height:<?php echo $act->duration ?>px;"<?php } ?>>
                                            <?php if ($act->act_name != "blank"): ?>
                                            <a class="publish-<?php echo $value->id_cell ?> <?php echo $stateclass ?> status" title="<?php echo JText::_('COM_EASYTIMETABLE_HELP_PLANNINGFORM_PUBLISHED') ?>" style="display: inline-block;" ><script type="text/javascript">jQuery(document).ready(function(){
                                                jQuery(this).find('.publish-<?php echo $value->id_cell ?>').click(function() {
                                                // Publication ou dépublication de l'acti planning en cliquant sur le lien 'publish'
                                                    var startId = "#"+jQuery(this).parent().attr('id');
                                                    var id_activity = jQuery(this).parent().find("input#id_activity").val();
                                                    var id_planning = jQuery(this).parent().find("input#id_planning").val();
                                                    var id_cell = jQuery(this).parent().find("input#id_cell").val();
                                                    var start_t = jQuery(this).parent().find("input#start_t").val();
                                                    var end_t = jQuery(this).parent().find("input#end_t").val();
                                                    var id = jQuery(this).parent().find("input#idacti").val();
                                                    var token = jQuery(this).parent().find('#token').val();
                                                    //var access = parseInt(jQuery(this).parent().find('input#access').val());
                                                    //console.log(access);
                                                    var status = jQuery(this).parent().find("input#status").val();
                                                    var state;
                                                    if (status == 0) {
                                                        state = 1;
                                                        jQuery(this).parent().find("input#status").attr('value', state);
                                                        jQuery(this).addClass('published');
                                                        jQuery(this).removeClass('notpublished');
                                                    }
                                                    else if (status == 1) {
                                                        state = 0;
                                                        jQuery(this).parent().find("input#status").attr('value', state);
                                                        jQuery(this).addClass('notpublished');
                                                        jQuery(this).removeClass('published');
                                                    }
                                                    
                                                    var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start_t+'&jform[end_t]='+end_t+'&jform[state]='+state+'&'+token+'=1';
                                                    jQuery.ajax({
                                                        url:"index.php?option=com_easytimetable&task=Plannedactivity.save2&",
                                                        type: "POST",
                                                        data: data2,    
                                                        beforeSend: function() {
                                                            jQuery(startId).find('.loader1').css("visibility", "visible");
                                                        },
                                                        complete: function(data){
                                                            jQuery(startId).find('.loader1').css("visibility", "hidden");
                                                        }
                                                    });
                                                }); // Fin publish button
                                            });</script>
                                            </a>
                                        <?php endif ?><!-- Fin if !blank-->
                                            <?php if ($act->act_name != "blank") { ?>
                                                <div id="nom" class="name nameacti"><?php if ($value->acti_name != "") {echo $value->acti_name;} else { echo $act->act_name; } ?></div><a href="index.php?option=com_easytimetable&task=Plannedactivity.edit&id=<?php echo $value->id ?>" target="_blank"><i class="im im-pencil" style="color:#<?php echo $act->fontcolor ?>"></a></i></i>
                                            
                                                <input id="duree" name="duree" type="hidden" value ="<?php echo $act->duration ?>">
                                            <?php }
                                            else { ?>
                                                <div id="nom" class="name nameacti blankname"><?php echo  $act->act_name ?></div>
                                                 <input id="duree" name="duree" type="hidden" value ="">
                                            <?php }  ?>
                                            <input id="title" name="title" type="hidden" value = "<?php echo $act->act_name ?>">
                                            <input id="count" name="count" type="hidden" value = "<?php echo (int)substr($value->id, -2, 2) ?>">
                                            <input id="idacti" name="idacti" type="hidden" value ="<?php echo $value->id ?>">
                                            <input id="id_planning" name="id_planning" type="hidden" value ="<?php echo $this->item->id ?>">
                                            <input id="nom" name="nom" type="hidden" value = "<?php echo $act->act_name ?>">
                                            <input type="hidden" id="token" name="token" value="<?php echo JSession::getFormToken()?>"/>
                                            <input id="id_cell" name="id_cell" type="hidden" value = "<?php echo $value->id_cell ?>">
                                            <input id="id_activity" name="id_activity" type="hidden" value ="<?php echo $act->id ?>">
                                            <!--<input id="access" name="access" type="hidden" value ="<?php // echo $this->fullPlanAct[$value->id]->access; ?>">-->
                                            <input id="start_t" name="start_t" type="text"  disabled value = "<?php echo $start ?>" class="start" style="color:#<?php echo $act->fontcolor ?>;">
                                            <span class="to" style="color:#<?php echo $act->fontcolor ?>;"> > </span>
                                            <input id="end_t" name="end_t" type="text"  disabled value = "<?php echo $end ?>" class="end" style="color:#<?php echo $act->fontcolor ?>;">
                                            <input id="status" name="status" type="hidden" value="<?php echo $value->state ?>">
                                            <div class="loader1" style="visibility:hidden;<?php if ($act->act_name == 'blank'): ?>background-color:rgba(255,255,255,0);<?php else: ?>background-color:#<?php echo $act->color ?>;<?php endif ?>"><img src="components/com_easytimetable/assets/images/loader2.png"></div>
                                            <input id="htomove" name="htomove" type="hidden" value="<?php echo $start ?>">
                                            <input id="index" name="index" type="hidden" value="<?php echo $value->id_cell ?>">
                                            
                                        </li>
                                        <?php
                                            }
                                           
                                    }
                                
                                ?>
                            <?php       
                        }
                    ?>  
                </ul>
            </div>
        
        <?php   
        }
        }
        ?>
        </div>
    </div>
    <?php endif ?>
        
	    <div class="resultat-ajax"></div>
    <?php if ($this->item->id != 0) 
    	{ 
    		echo JHtml::_('bootstrap.endTab'); 
    	} ?>
    <!-- FIN AJOUT -->
    	
        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_EASYTIMETABLE_TITLE_CONF', true)); ?>
        <?php if($this->item->id == 0){
	       echo '<div class="filltheform"><img src="components/com_easytimetable/views/planning/tmpl/images/question-mark.png" class="hasTooltip" data-original-title="'.JText::_('COM_EASYTIMETABLE_MESSAGE_FILLTHEFORM').'"/><br />&nbsp;</div>';
	    } ?>
        <div class="row-fluid">
            <div class="span10 form-horizontal">
                <fieldset class="adminform">
                	<div class="sy-formlayout">
                		<div class="firstblock">
	                		<div class="sy-title"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_BASIC') ?></div>
		                	
                            <div class="sy-firstone">
                                <div style="display:none;">
                                    <?php echo $this->form->renderField('id'); ?>
                                </div>
                                <?php echo $this->form->renderField('p_name'); ?>

								<?php if ($this->item->id == 0): ?>
                                    <?php echo $this->form->renderField('time_mode'); ?>
								<?php else: ?>
									<div class="control-group">
								        <div class="control-label"><?php echo $this->form->getLabel('time_mode'); ?></div>
								        <div class="controls timemode" style="font-size:14px;padding-top:5px;" ><?php echo $timeMode ?></div>
								    </div>
								<?php endif; ?>
                                <?php if ($this->item->id == 0): ?>
                                    <div class="control-group" style ="display:block">
                                        <div class="control-label"><?php echo $this->form->getLabel('type'); ?></div>
                                        <div class="controls"><?php echo $this->form->getInput('type'); ?></div>
                                    </div>
                                <?php elseif ($this->item->type == ""): ?>
                                    <div class="control-label"><?php echo $this->form->getLabel('type'); ?></div>
                                    <div class="controls" style="display:none"><?php echo $this->form->getInput('type'); ?></div>
                                    <div class="control-label"><?php echo "Save the Timetable"; ?></div>
                                <?php else: ?>
                                    <div class="control-group" style ="display:block">
                                        <div class="control-label"><?php echo $this->form->getLabel('type'); ?></div>
                                        <div class="controls" style="display:none"><?php echo $this->form->getInput('type'); ?></div>
                                        <div class="controls" style="font-size:14px;padding-top:5px;"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGS_TYPE_OPTION_'.$this->item->type); ?></div>
                                    </div>
                                <?php endif ?>
                                <?php echo $this->form->renderField('height_factor'); ?>
								<?php echo $this->form->renderField('start_h'); ?>

                                <?php echo $this->form->renderField('rows'); ?>

                                <?php if ($this->item->id == 0 || $this->item->type == 0): ?>
                                    <div class="control-group sy-oldfixedcells">
                                        <div class="control-label"><?php echo $this->form->getLabel('cells'); ?></div>
                                        <div class="controls"><?php echo $this->form->getInput('cells'); ?></div>
                                    </div>
                                <?php endif ?>
                                <?php echo $this->form->renderField('cell_color'); ?>

                                <?php if ($this->item->id == 0 || $this->item->type == 0): ?>
                                    <div class="control-group sy-cellheight">
                                        <div class="control-label"><?php echo $this->form->getLabel('height'); ?></div>
                                        <div class="controls"><?php echo $this->form->getInput('height'); ?></div>
                                    </div>
                                <?php endif ?>
                                <?php echo $this->form->renderField('print'); ?>

                                <?php echo $this->form->renderField('rows_name'); ?>

							</div>
                            <div class="sy-title"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_PUBLICATION') ?></div>
                            <div class="sy-publication">
                                <?php echo $this->form->renderField('access'); ?>

                                <?php echo $this->form->renderField('frontuser'); ?>
                                
                                <?php echo $this->form->renderField('state'); ?>
                                
                                <?php echo $this->form->renderField('created_by'); ?>
                                
                                
                            </div>
						</div>
						<div class="secondblock">
							<div class="sy-title"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_DISPLAY') ?></div>
							<div class="sy-secondone">	
                                <?php echo $this->form->renderField('display_title'); ?>
                                <?php echo $this->form->renderField('display_time_scale'); ?>
                                <?php echo $this->form->renderField('timescale_duration'); ?>

                                <h3><?php echo JText::_('COM_EASYTIMETABLE_TITLE_LIST_VIEW_ACTIVITIES') ?></h3>
                                <?php echo $this->form->renderField('sorttitletime'); ?>
                                <?php echo $this->form->renderField('titlesize'); ?>
                                <?php echo $this->form->renderField('titlestyle'); ?>
                                <?php echo $this->form->renderField('timesize'); ?>
                                <?php echo $this->form->renderField('timestyle'); ?>
                                <?php // echo $this->form->renderField('timedisplay'); ?>
                                <?php echo $this->form->renderField('timeseparator'); ?>
                                
                                
                                <h3><?php echo JText::_('COM_EASYTIMETABLE_EDIT_DISPLAY_TOOLTIPS') ?></h3>
                                <?php echo $this->form->renderField('tooltiptextalign'); ?>

                                <?php echo $this->form->renderField('tooltiptextsize'); ?>
                                
                                <?php echo $this->form->renderField('tooltiptitlesize'); ?>
                                
                                <?php echo $this->form->renderField('tooltiptitletimepos'); ?>
                                                                
							</div>
						</div>
                        <div class="thirdblock">
                            <div class="sy-title"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_DISPLAY_FILTERS') ?></div>
                            <div class="sy-publication">
                                <h3><?php echo JText::_('COM_EASYTIMETABLE_EDIT_DISPLAY_FILTERS_ACTIVITY') ?></h3>
                                
                                <?php echo $this->form->renderField('display_filters'); ?>

                                <?php echo $this->form->renderField('filtertype'); ?>

                                <?php echo $this->form->renderField('filtersort'); ?>

                                <?php echo $this->form->renderField('allfiltertext'); ?>

                                <div class="syet_filter_colors">
                                    <?php echo $this->form->renderField('filterbgcolor'); ?>
                                    <?php echo $this->form->renderField('filterftcolor'); ?>
                                </div>

                                <h3><?php echo JText::_('COM_EASYTIMETABLE_EDIT_DISPLAY_CAT_FILTERS') ?></h3>

                                <?php echo $this->form->renderField('display_cat_filters'); ?>

                                <?php echo $this->form->renderField('catfiltertype'); ?>
                                
                                <?php echo $this->form->renderField('catfiltermode'); ?>

                                <?php echo $this->form->renderField('catfiltersort'); ?>

                                <?php echo $this->form->renderField('nocatname'); ?>

                                <?php echo $this->form->renderField('catallfiltertext'); ?>
                                <div class="syet_filter_colors">
                                    <?php echo $this->form->renderField('catfilterbgcolor'); ?>
                                    <?php echo $this->form->renderField('catfilterftcolor'); ?>
                                </div>

                                
                                
                                
                            </div>
                        </div>
						<div class="fourthblock">
							
						</div>	
					</div>
					
				</fieldset> 
    </div>
</div>
        <?php echo JHtml::_('bootstrap.endTab'); ?>
        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'description', JText::_('COM_EASYTIMETABLE_TITLE_DESC', true)); ?>
        <div class="sy-formlayout">
            <div class="firstblock descblock">
                <div class="sy-title"><?php echo $this->form->getLabel('description'); ?></div>
                <div class="sy-firstone">
                    <div class="control-group">
            			<div class="controls"><?php echo $this->form->getInput('description'); ?></div>
                    </div>
                </div>
    		</div>
        </div>
        <?php echo JHtml::_('bootstrap.endTab'); ?>
       
        <?php if (JFactory::getUser()->authorise('core.admin','easytimetable')) : ?>
	<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'permissions', JText::_('JGLOBAL_ACTION_PERMISSIONS_LABEL', true)); ?>
		<?php echo $this->form->getInput('rules'); ?>
	<?php echo JHtml::_('bootstrap.endTab'); ?>
<?php endif; ?>

        <?php echo JHtml::_('bootstrap.endTabSet'); ?>

        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>

    </div>
</form>
<!-- form to create an activity -->
<div id="dialog-form" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_ACTIVITY') ?>" class="invisible">
            <form id="actiform">
                <fieldset class="newactform">
                    <label for="actid" ></label>
                    <input id="actid" type="hidden" value="0" name="actid">
                    <div class="sy-namelink">
                        <div class="sy-namepart">
                            <label for="actname" ><?php echo JText::_('COM_EASYTIMETABLE_ACTIVITIES_ACT_NAME') ?></label>
                            <input id="actname" type="text" value="" name="actname">
                        </div>    
                    </div>
                    <div class="sy-linkpart">
                       <!-- <label for="actlink" ><?php // echo JText::_('COM_EASYTIMETABLE_FORM_LBL_LINKED') ?></label>
                        <select id="actlink" name="actlink">
                            <option value="0"><?php // echo JText::_('COM_EASYTIMETABLE_NO') ?></option>
                            <option value="1"><?php // echo JText::_('COM_EASYTIMETABLE_ACTIVITY') ?></option>
                            <option value="2"><?php // echo JText::_('COM_EASYTIMETABLE_EXTERNAL_LINK') ?></option>
                            <option value="3"><?php // echo JText::_('COM_EASYTIMETABLE_MENU_LINK') ?></option>
                        </select>-->
                        <div class="sy-duration">
                            <label for="actduration" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_ACTIVITY_DURATION') ?></label>
                            <input id="actduration" type="number" min="0" step="1" value="60" name="actduration">
                        </div>
                    </div>
                    
                    <label for="acttimetable" ></label>
                    <input id="acttimetable" type="hidden" value="<?php echo $this->item->id; ?>" name="acttimetable" disabled> 
                    <div class="sy-formcolors">                 
                            
                        <div class="sy-colors">
                            <label for="actcolor" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_ACTIVITY_COLOR') ?></label> 
                            <input id="actcolor" type="text" value="2f4a9c" name="actcolor">   
                        </div>
                        <div class="sy-overcolor">
                            <label for="actovercolor" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_ACTIVITY_OVERCOLOR') ?></label> 
                            <input id="actovercolor" type="text" value="2f4a9c" name="actovercolor">   
                        </div>
                        <div class="sy-fontcolor">
                            <label for="fontcolor" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_ACTIVITY_FONTCOLOR') ?></label> 
                            <input id="fontcolor" type="text" value="ffffff" name="fontcolor">   
                        </div>
                        <div class="sy-fontovercolor">
                            <label for="fontovercolor" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_ACTIVITY_FONTOVERCOLOR') ?></label> 
                            <input id="fontovercolor" type="text" value="ffffff" name="fontovercolor">   
                        </div>
                    </div>
                    <div class="sy-help"><img class="sy-helpimage" src="components/com_easytimetable/views/planning/tmpl/images/question-mark.png" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_COMPLETE_ALL_FILEDS') ?>"></div>
                    
                        
                    <label for="actstatus" ></label>
                    <input id="actstatus" type="hidden" value="1" name="actstatus">
                    <input id="acttoken" type="hidden" value="<?php echo JSession::getFormToken()?>" name="acttoken">


                   <!-- Allow form submission with keyboard without duplicating the dialog button -->
                   <input type="submit" tabindex="-1" style="position:absolute; top:-1000px">
                </fieldset>
            </form>
        </div>
<!-- Form to load/remove activities from the timetable -->
<ul id="actiListedit" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_MANAGE_ACTIVITIES') ?>" class="laliste invisible">
    <form id="actilist" class="theliste">
        <fieldset>
        <?php
            if (count($this->activities) == 0) {
                echo '<p style="padding:20px;font-size:16px;line-height:22px;">'.JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_ACT_FIRST').'</p>';
            }
            
         foreach ($this->activities as $key2=>$activity) {
            $actTimetable = explode(",", $activity->timetable);
            $isTimetable = in_array($this->item->id, $actTimetable);

            if ($isTimetable) {
                $checked = "checked='checked'";
            }
            else {
                $checked = "";
            }
            echo '<li id="activite-'.$activity->id.'" class="listactivites actlistbutton" data-id="'.$activity->id.'">
            <div style="background-color:#'.$activity->color.';width:15px;height:15px;display:inline-block;vertical-align: middle;">&nbsp;&nbsp;&nbsp;&nbsp;</div>
            <label id="label-'.$activity->id.'" for="checkbox-'.$activity->id.'" class="sy-labelact">'.$activity->act_name.'</label>
            <input id="checkbox-'.$activity->id.'" class="sy-checkAct" name="'.$activity->id.'" type="checkbox" '.$checked.' value="'.$this->timetableIdInt[(int)$activity->id]->timetable.'" >
            <input id="dataid" type="hidden" name="data-'.$activity->id.'" value="'.$activity->id.'" >
            <input id="dataname" type="hidden" name="data-'.$activity->id.'" value="'.$activity->act_name.'" >
            <input id="datatimetable" type="hidden" name="data-'.$activity->id.'" value="'.$this->timetableIdInt[(int)$activity->id]->timetable.'" >
            <input id="datathistimetable" type="hidden" value="'.$this->item->id.'" name="datathistimetable">
            <input id="dataduration" type="hidden" value="'.$activity->duration.'" name="dataduration">
            <input id="datacolor" type="hidden" value="'.$activity->color.'" name="datacolor">
            <input id="actovercolor" type="hidden" value="'.$activity->overcolor.'" name="actovercolor">
            <input id="fontcolor" type="hidden" value="'.$activity->fontcolor.'" name="fontcolor">
            <input id="fontovercolor" type="hidden" value="'.$activity->fontovercolor.'" name="fontovercolor">
            
            <input id="datastatus" type="hidden" value="1" name="datastatus">
            <input id="datatoken" type="hidden" value="'.JSession::getFormToken().'" name="datatoken">
            </li>';
            
        } ?>
        </fieldset>
    </form>
</ul>
<div id="sy-messages" style="display:none;">
    <div id="sy-trash"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_TRASH') ?></div>
    <div id="sy-remove"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_REMOVE') ?></div>
    <div id="sy-removed"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_REMOVED') ?></div>
    <div id="sy-create"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE') ?></div>
    <div id="sy-close"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CLOSE') ?></div>
    <div id="sy-load"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_LOAD') ?></div>
    <div id="sy-load"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_MANAGE_ACTIVITIES') ?></div>
    <div id="sy-load"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_DAY') ?></div>
</div>
<?php }
else {
    //Access not allowed
    $app =& JFactory::getApplication();
    $app->redirect('index.php?option=com_easytimetable&view=plannings');
    
}