<?php

/**
 * @version     1.0
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View to edit
 */
class EasytimetableViewPlanning extends JViewLegacy {

    protected $state;
    protected $item;
    protected $form;

    /**
     * Display the view
     */
    public function display($tpl = null) {
        $this->state = $this->get('State');
        $this->item = $this->get('Item');
        $this->form = $this->get('Form');
        // Start load external models
        $plModel = JModelList::getInstance('Plannings', 'EasytimetableModel');
        $this->planningData = $plModel->getItems();
        $paModel = JModelList::getInstance('Plannedactivities', 'EasytimetableModel');
        $this->planact = $paModel->getItems();
        $this->pact = $paModel;
        
        $onePlanAct = JModelItem::getInstance('Plannedactivity', 'EasytimetableModel');
        
        $actModel = JModelList::getInstance('Activities', 'EasytimetableModel');
        
        $oneActForm = JModelItem::getInstance('Activityform', 'EasytimetableModel');


        $actModel = JModelList::getInstance('Activities', 'EasytimetableModel');
        $this->activities = $actModel->getItems();

        $oneactiModel = JModelItem::getInstance('Activity', 'EasytimetableModel');
        //  $this->activityFormMenuItem = $oneactiModel->getForm()->getFieldset()['jform_menu_link']->renderField();
        

        // Get Timetable Id from Activity
        foreach ($this->activities as $actvalue) {
            $id = $actvalue->id;    
            $this->activity = $oneactiModel->getItem($id);
            $this->timetableId = $oneactiModel->getTimetableId($id);
            $this->fullActivities[$id] = $this->activity; 
            $this->timetableIdInt[$id] =  $this->timetableId;
        }

        // Get every activity Item content (not list which is good!)
        foreach ($this->planact as $planActvalue) {
            $actId = $planActvalue->id;    
            $this->planAct = $onePlanAct->getItem($actId);
            $this->fullPlanAct[$actId] = $this->planAct;    
        }
        
        // End
        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors));
        }

        $this->addToolbar();
        parent::display($tpl);
    }

    /**
     * Add the page title and toolbar.
     */
    protected function addToolbar() {
        JFactory::getApplication()->input->set('hidemainmenu', true);

        $user = JFactory::getUser();
        $isNew = ($this->item->id == 0);
        if (isset($this->item->checked_out)) {
            $checkedOut = !($this->item->checked_out == 0 || $this->item->checked_out == $user->get('id'));
        } else {
            $checkedOut = false;
        }
        $canDo = EasytimetableHelper::getActions();

        JToolBarHelper::title(JText::_('COM_EASYTIMETABLE_TITLE_PLANNING'), 'planning.png');

        // If not checked out, can save the item.
        if (!$checkedOut && ($canDo->get('core.edit') || ($canDo->get('core.create')))) {

            JToolBarHelper::apply('planning.apply', 'JTOOLBAR_APPLY');
            JToolBarHelper::save('planning.save', 'JTOOLBAR_SAVE');
        }
        if (!$checkedOut && ($canDo->get('core.create'))) {
            JToolBarHelper::custom('planning.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
        }
        // If an existing item, can save to a copy.
        /*if (!$isNew && $canDo->get('core.create')) {
            JToolBarHelper::custom('planning.save2copy', 'save-copy.png', 'save-copy_f2.png', 'JTOOLBAR_SAVE_AS_COPY', false);
        }*/
        if (empty($this->item->id)) {
            JToolBarHelper::cancel('planning.cancel', 'JTOOLBAR_CANCEL');
        } else {
            JToolBarHelper::cancel('planning.cancel', 'JTOOLBAR_CLOSE');
        }
    }

}
