<?php
/**
 * @package         Related articles custom field plugin
 * @link            http://www.stereonomy.com
 * @copyright       Copyright © 2018 Anthony Ceccarelli - Stereonomy - All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 */

defined('_JEXEC') or die('Restricted access');


jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

class JFormFieldTtselect extends JFormFieldList
{
	protected $type = 'ttselect';

	function __construct()
	{
		$this->doc = JFactory::getDocument();
		$this->app = JFactory::getApplication();
		$this->db = JFactory::getDbo();

		parent::__construct();
	}

	protected function showSelect($default = "true")
	{
		return $this->get("showselect", $default) == "true" ? true : false;
	}


	public function getOptions()
	{
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		
		$query->select('*');
		$query->from($db->quoteName('#__com_easytimetable_planning'));
		//$query->where($db->quoteName('extension') . ' LIKE '. $db->quote('com_content'));

		$db->setQuery($query);

		$results = $db->loadAssocList();

		$options = [];
		//create options list
		foreach ($results as $option) {
			$id = $option['id'];
			$title = $option['p_name'];
			array_push($options , ['value' => $id, 'text' => $title]);
		}

		return array_merge(parent::getOptions(), $options);
	}
}