<?php

/**
 * @version     1.2.0
 * @package     mod_easytimetable
 * @copyright   Copyright (C) 2015-2016. All right reserved.
 * @license     GNU General Public License version 2 ou version ultrieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$tagModelPath = JModelLegacy::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_tags/models', 'TagsModel');

// Get helpers from com_dictionary component
require_once JPATH_SITE . '/components/com_easytimetable/helpers/easytimetable.php';

// import the Joomla! arrayhelper library
jimport('joomla.utilities.arrayhelper');

/**
 * Helper class for mod_dictionary_latest module
 *
 * @since	0.0.1
 */
abstract class modEastimetableHelper
{
	/**
	 * Get Timetable with params Id
	 *
	 * @return	 A timetable
	 *
	 * @since	1.0.0
	 */
	public static function getItem(&$params) 
	{
		// Get application
		$db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
                ->select('*')
                ->from('#__com_easytimetable_planning')
                ->where('id = ' . (int)$params->get('planningid'));
        $db->setQuery($query);
        return $db->loadObject();

		
	}

	/**
	 * Get day names
	 *
	 * @return	 An array of name (tags objects)
	 *
	 * @since	1.0.0
	 */
	public static function getTags() 
	{
		// Get application
		$app = JFactory::getApplication();

		// Get model
		$tagModel = JModelLegacy::getInstance('Tags', 'TagsModel');
		$tags = $tagModel->getItems();
		return $tags;
	}


	/**
	 * Get Planned Activities list
	 *
	 * @return	 A list of planned activities
	 *
	 * @since	1.0.0
	 */
	public static function getPlanact($id) 
	{
		// Get application
		$db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
                ->select('*')
                ->from('#__com_easytimetable_acti_planning')
                ->where('id_planning = ' . $id);
        $db->setQuery($query);
        return $db->loadObjectList();
		
	}

	/**
	 * Get Activities list
	 *
	 * @return	 A list of activities
	 *
	 * @since	1.0.0
	 */
	public static function getActs($id) 
	{
		// Get application
		$app = JFactory::getApplication();

		// Get model
		$db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
                ->select('*')
                ->from('#__com_easytimetable_activity')
                ->where('timetable = ' . $id);
        $db->setQuery($query);
        return $db->loadObjectList();
	}
	/**
	 * Get Activities list
	 *
	 * @return	 A list of activities
	 *
	 * @since	1.0.0
	 */
	public static function getActsF() 
	{
		// Get application
		$app = JFactory::getApplication();

		// Get model
		$db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
                ->select('*')
                ->from('#__com_easytimetable_activity');
        $db->setQuery($query);
        return $db->loadObjectList();
	}

	/**
	 * Get Menu link
	 *
	 * @return	 url of the menu link
	 *
	 * @since	1.0.0
	 */
	public static function getMenuLink($id) 
	{
		// Get application
		$app = JFactory::getApplication();

		// Get model
		$db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
                ->select('*')
                ->from('#__menu')
                ->where('id = ' . $id);
        $db->setQuery($query);
        return $db->loadObjectList();
	}

	/**
	 * Get Activities list
	 *
	 * @return	 A list of activities
	 *
	 * @since	1.0.0
	 */
	public static function getFields() 
	{
		// Get application
		$app = JFactory::getApplication();

		// Get model
		$db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
                ->select('*')
                ->from('#__com_easytimetable_field');
        $db->setQuery($query);
        return $db->loadObjectList();
	}	
		
	
}
