	<?php

/**
 * @version     1.8.0
 * @package     mod_easytimetable
 * @copyright   Copyright (C) 2015-2016. All right reserved.
 * @license     GNU General Public License version 2 or later ; See LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
$userId = JFactory::getUser()->id;
$userAccess = JAccess::getAuthorisedViewLevels($userId);
JHtml::_('behavior.tooltip');
$doc = JFactory::getDocument();
if ((int)$params->get('jquery') == 1) {
	$doc->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js');
}
if (!isset($tooltipster))
{
	$tooltipster = $doc->addScript('components/com_easytimetable/assets/js/tooltipster/js/tooltipster.bundle.min.js');	
}


if ($planning->type == 1) {
	if ((int)$params->get('displaymode') == 1) {
		$doc->addStyleSheet('modules/mod_easytimetable/assets/css/mod_planning_small.css');
		$doc->addScript('modules/mod_easytimetable/assets/js/list-view.js'); 
	}
	else {
		$doc->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/planningadapt.css');
		$doc->addScript('components/com_easytimetable/views/planning/tmpl/js/adaptul.js');
	}
	$doc->addScript('components/com_easytimetable/views/planning/tmpl/js/infofields.js'); 
	$doc->addScript('components/com_easytimetable/views/planning/tmpl/js/timescale.js'); 
	$doc->addScript('components/com_easytimetable/views/planning/tmpl/js/filtersadap.js');
	$doc->addScript('https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.3/moment.min.js');
	
}
else 
{
	$doc->addScript('components/com_easytimetable/views/planning/tmpl/js/infofields.js'); 
	$doc->addScript('components/com_easytimetable/views/planning/tmpl/js/filters.js');
	//$document->addScript('modules/mod_easytimetable/assets/js/adaptul.js');	
	$doc->addScript('components/com_easytimetable/views/planning/tmpl/js/merge-fixed.js');	
	if ((int)$params->get('displaymode') == 1) {
		$doc->addStyleSheet('modules/mod_easytimetable/assets/css/mod_planning_small.css');
	}
	else {
		$doc->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/planning.css');
	}
}	

if (!isset($print2canvas))
{
	$print2canvas = $doc->addScript('components/com_easytimetable/views/planning/tmpl/js/dist/html2canvas.min.js');
}
if (!isset($printScript))
{
	$printScript = $doc->addScript('components/com_easytimetable/views/planning/tmpl/js/print.js');
}
$doc->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/uikit.min.css');
$doc->addScript('components/com_easytimetable/views/planning/tmpl/js/uikit.min.js');
$doc->addStyleSheet('components/com_easytimetable/assets/js/tooltipster/css/tooltipster.bundle.min.css');
$doc->addStyleSheet('components/com_easytimetable/assets/js/tooltipster/css/plugins/tooltipster/sideTip/themes/tooltipster-sideTip-borderless.min.css');

if (!function_exists('custom_sort'))
{
	function custom_sort($a,$b) {
	    return strcmp($a["field_index"], $b["field_index"]);
	}
}

if ($planning) {
$columns_names_id = explode(",", $planning->rows_name);
$goodtitles = array();
foreach ($tags as $title) {
	foreach ($columns_names_id as $id) {
		if ($title->id == $id) {
			array_push($goodtitles, $title->title);
			
		}
	}
}

switch ($planning->tooltiptextalign)
{
	case 0:
	$tttextalign = "left";
	break;
	case 1:
	$tttextalign = "center";
	break;
	case 2:
	$tttextalign = "right";
	break;
}

$ttfontsize = $planning->tooltiptextsize . "px";
$tttitlesize = $planning->tooltiptitlesize . "px";
$tttitletimepos = $planning->tooltiptitletimepos;
$filterTab = array();



$titlestyle = json_decode($planning->titlestyle);
$fullTitleStyle = array();
$timestyle = json_decode($planning->timestyle);
$fullTimeStyle = array();
$liStyle = "";
if(is_array($titlestyle))
{
	if((int)$params->get('displaymode') == 0)
	{
		
		if(in_array("center", $titlestyle))
		{
			$style1 = "text-align:center;";
			array_push($fullTitleStyle, $style1);
		}
		if(in_array("left", $titlestyle))
		{
			$style1 = "text-align:left;";
			array_push($fullTitleStyle, $style1);
		}
		if(in_array("right", $titlestyle))
		{
			$style1 = "text-align:right;";
			array_push($fullTitleStyle, $style1);
		}
	}
	else
	{
		//Alignement mode list-like
		if(in_array("left", $titlestyle) && in_array("right", $timestyle))
		{
			$style1 = "order:1;";
			array_push($fullTitleStyle, $style1);
			$styleT1 = "order:2;";
			array_push($fullTimeStyle, $styleT1);
			$liStyle .= "justify-content:space-between;";
		}
		else if(in_array("right", $titlestyle) && in_array("left", $timestyle))
		{
			$style1 = "order:2;";
			array_push($fullTitleStyle, $style1);
			$styleT1 = "order:1;";
			array_push($fullTimeStyle, $styleT1);
			$liStyle .= "justify-content:space-between;";
		}
		
		else if(in_array("center", $titlestyle) && in_array("center", $timestyle))
		{
			$style1 = "order:1;";
			array_push($fullTitleStyle, $style1);
			$styleT1 = "order:2;";
			array_push($fullTimeStyle, $styleT1);
			$liStyle .= "justify-content:center;";
			
		}
		else if(in_array("center", $titlestyle) && in_array("center", $timestyle))  
		{
			$style1 = "order:2;";
			array_push($fullTitleStyle, $style1);
			$styleT1 = "order:1;";
			array_push($fullTimeStyle, $styleT1);
			$liStyle .= "justify-content:center;";	
		}
		

	}
	
	if(in_array("bold", $titlestyle))
	{
		$style2 = "font-weight:bold;";
		array_push($fullTitleStyle, $style2);
	}
	if(in_array("underline", $titlestyle))
	{
		$style3 = "text-decoration:underline;";
		array_push($fullTitleStyle, $style3);
	}
	if(in_array("italic", $titlestyle))
	{
		$style4 = "font-style:italic;";
		array_push($fullTitleStyle, $style4);
	}
	if(in_array("small-caps", $titlestyle))
	{
		$style4 = "font-variant:small-caps;";
		array_push($fullTitleStyle, $style4);
	}
}





if(is_array($timestyle)){
	
	if((int)$params->get('displaymode') == 0)
	{
		if(in_array("center", $timestyle))
		{
			$stylet1 = "text-align:center;";
			array_push($fullTimeStyle, $stylet1);
		}
		if(in_array("left", $timestyle))
		{
			$stylet1 = "text-align:left;padding-left: 5px;";
			array_push($fullTimeStyle, $stylet1);
		}
		if(in_array("right", $timestyle))
		{
			$stylet1 = "text-align:right;padding-right: 5px;";
			array_push($fullTimeStyle, $stylet1);
		}
	}
	else
	{
		if($planning->sorttitletime == 0)
		{
			$style1 = "order:2;";
			array_push($fullTimeStyle, $style1);
		}
		else
		{
			$style1 = "order:1;";
			array_push($fullTimeStyle, $style1);
		}
	}
	
	if(in_array("bold", $timestyle))
	{
		$stylet2 = "font-weight:bold;";
		array_push($fullTimeStyle, $stylet2);
	}
	if(in_array("underline", $timestyle))
	{
		$stylet3 = "text-decoration:underline;";
		array_push($fullTimeStyle, $stylet3);
	}
	if(in_array("italic", $timestyle))
	{
		$stylet4 = "font-style:italic;";
		array_push($fullTimeStyle, $stylet4);
	}
	if(in_array("small-caps", $timestyle))
	{
		$stylet4 = "font-variant:small-caps;";
		array_push($fullTimeStyle, $stylet4);
	}
}

?>
<style type="text/css">
	<?php if((int)$params->get('displaymode') == 1): ?>
		<?php if (in_array("center", $titlestyle) && in_array("center", $timestyle)): ?>
			.activite {
				justify-content:center;
			}
		<?php elseif(in_array("right", $titlestyle) && in_array("left", $timestyle)):; ?>
			.activite {
				justify-content:space-between;
			}
			.time{
				order:1;
			}
			.acttitle{
				order:2;
			}
		<?php elseif(in_array("left", $titlestyle) && in_array("right", $timestyle)):; ?>
			.activite {
				justify-content:space-between;
			}
			.time{
				order:2;
			}
			.acttitle{
				order:1;
			}
		<?php endif ?>
	<?php endif ?>
	@media (max-width:768px) {
		<?php if (in_array("center", $titlestyle) && in_array("center", $timestyle)): ?>
			.activite {
				justify-content:center;
			}
		<?php elseif(in_array("right", $titlestyle) && in_array("left", $timestyle)):; ?>
			.activite {
				justify-content:space-between;
			}
			.time{
				order:1;
			}
			.acttitle{
				order:2;
			}
		<?php elseif(in_array("left", $titlestyle) && in_array("right", $timestyle)):; ?>
			.activite {
				justify-content:space-between;
			}
			.time{
				order:2;
			}
			.acttitle{
				order:1;
			}
		<?php endif ?>
	}
	


</style>
<script type="text/javascript">
	jQuery(document).ready(function(){
		var colnum = parseInt(jQuery('#easytimetable-<?php echo $planning->id; ?>').attr('data-colnum'));
		var columns = parseInt(jQuery('#easytimetable-<?php echo $planning->id; ?>').attr('data-ttcol'));
		var script = parseInt(jQuery('#easytimetable-<?php echo $planning->id; ?>').attr('data-script'));
		var offset = parseInt(jQuery('#easytimetable-<?php echo $planning->id; ?>').attr('data-offset'));
		/*
		if (script == 1) {
			for (var i = 0 ; i < offset; i++)  {
			coltohidef = i;
			if (coltohidef > 0) {
				coltohidef = 0;
			}
			console.log(coltohidef);
			console.log(jQuery('.sy-row-container:not(.syet_timescale)').eq(coltohidef).find('div').attr('class'));
			jQuery('.sy-row-container:not(.syet_timescale)').eq(coltohidef).remove();
			}
			if (colnum != 0) {
				for (var i = columns-offset ; i>colnum; i--)  {
					coltohide = i-1;
					console.log(coltohide);
					jQuery('.sy-row-container:not(.syet_timescale)').eq(coltohide).remove();
				}
			}

		}
		else {*/
			if (colnum == 0) {
			colnum = columns;
			}
			console.log(colnum+" colnum");
			for (var i = 0 ; i < offset ; i++)  
			{
				console.log(i +" i");
				//console.log(jQuery('.sy-row-container').eq(i).attr('class'));

				if(jQuery('.sy-row-container').eq(0).hasClass('syet_timescale_cont'))
				{
					//console.log(jQuery('.sy-row-container').eq(i).html());
					jQuery('.sy-row-container').eq(1).remove();
				}
				else
				{					
					jQuery('.sy-row-container').eq(0).remove();
				}
				
				//jQuery('.sy-row-container:not(.syet_timescale)').eq(0).remove();
			}
			
			for (var a = columns - offset ; a > colnum; a--)  {
				jQuery('.sy-row-container:last-child').remove();
			}
			
		//}

	});
</script>

<style type="text/css">
	.syet_select_cont {
		background: <?php echo $planning->filterbgcolor ?>;
		color: <?php echo $planning->filterftcolor ?>;
	}
	.syet_select_cont::after {
		background: <?php echo $planning->filterbgcolor ?>;
	}
	select.sy-select-filter {
		background: <?php echo $planning->filterbgcolor ?>;
		color: <?php echo $planning->filterftcolor ?>;
	}
</style>
<input class="displaymode" type="hidden" value="<?php echo (int)$params->get('displaymode') ?>" >
<input class="at" type="hidden" value="<?php echo $planning->time_mode ?>" >
<?php if ($planning->type == 0): ?>
	<?php if ((int)$params->get('title') == 1): ?>
    		<h2 class="syet_timetable_title"><?php echo $planning->p_name ?></h2>
    	<?php endif ?>
    	<?php if ((int)$params->get('description') == 1 || (int)$params->get('description') == 5): ?>
    		<div><?php echo $planning->description ?></div>
    	<?php endif ?>
    	<?php if ((int)$params->get('description') == 4 || (int)$params->get('description') == 2): ?>
    		<div><?php echo $params->get('customtext') ?></div>
    	<?php endif ?>
	<input class="ttm" type="hidden" value="<?php echo $planning->type ?>" >
	<?php if (isset($planning->print) && $planning->print == 1): ?>
		<div id="syet_print_<?php echo $planning->id ?>" class="sy-print button" style="position:absolute;right:0;cursor:pointer;" title="<?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNING_TITLE_PRINT'); ?>"><?php echo JText::_('MOD_EASYTIMETABLE_FORM_LBL_PLANNING_PRINT'); ?></div>
	<?php endif ?>
	<?php $flexstyle = ($planning->filtertype == 1 && $planning->catfiltertype == 1) ? "display:flex;" : ""; ?>
		<div class="syet_all_filters" style="<?php echo $flexstyle ?>">	
    	<?php if ((int)$params->get('filter') == 1): ?>
    		<?php if ($planning->filtertype == 0): ?>
		    	<div class="sy-filters-<?php echo $planning->id; ?>" data-planning-id="<?php echo $planning->id; ?>" data-filter-type="<?php echo $planning->filtertype ?>">
			    	<div id="sy-all" class="sy-actsingle allfilter button" style="background-color: <?php echo $planning->filterbgcolor ?>;color:<?php echo $planning->filterftcolor ?>;"><?php echo "x" ?></div>
			    	<?php foreach ($activitiesF as $actiListSingle){
			    		$actsInTimetable = explode(",", $actiListSingle->timetable);
			    		$isTimetable = in_array($planning->id, $actsInTimetable);

			    	    	if ($isTimetable) {
			    	    		$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $actiListSingle->act_name));
			    	    		$acttitleid = preg_replace("/[\"’\/\\~<>@]+/", "", $acttitleid);
				   				$acttitleid = preg_replace("/[éèêëÉÈÊËäÄ]+/", "e", $acttitleid);
					            $acttitleid = preg_replace("/[áàâÂæÆãÃåÅÀÁ]+/", "a", $acttitleid);
					            $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
					            $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
					            $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
					            $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
					            $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
					            $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
					            $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
					            $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
					            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
					            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
					            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
					            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
					            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
					            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
					            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
					            $acttitleid = preg_replace("/^8/", "height", $acttitleid);
					            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
					            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
			    	    		$filterTab[$acttitleid] = $actiListSingle;
			    	    		//echo "<div id='sy-".$acttitleid."' class='sy-actsingle sy-".$acttitleid." button' activated='notactivated' overcolor='#".$actiListSingle->color."' style='background-color:#".$actiListSingle->color.";color:#".$actiListSingle->fontcolor." !important;' data-act-id='".$actiListSingle->id."'>&nbsp;".$actiListSingle->act_name."</div>";
			    	    	}
			    	    }
			    	    switch ($planning->filtersort) {
			    	    	case '0':
			    	    		break;
		    	    		case '1':
		    	    			ksort($filterTab);
			    	    		break;
			    	    	case '2':
		    	    			krsort($filterTab);
			    	    		break;
			    	    	default:
			    	    		ksort($filterTab);
			    	    		break;
			    	    }
			    	    foreach ($filterTab as $key => $val) {
						    if($val->act_name != "blank")
			    	    	{
						    	echo "<div id='sy-".$key."' class='sy-actsingle sy-".$key." button' data-linked=".$val->linked." activated='notactivated' overcolor='#".$val->color."' style='background-color: #".$val->color.";color:#".$val->fontcolor.";' data-act-id='".$val->id."'>&nbsp;".$val->act_name."</div>";
							}
						}
			    	?>
			    </div>
			    <?php else: ?>
				<div class="sy-filters syet_select_cont" data-filter-type="<?php echo $planning->filtertype ?>" data-timetable-id="<?php echo $planning->id ?>">

				    	<select class="sy-select-filter" data-timetable-id="<?php echo $planning->id ?>">
				    		<option value="syresetfilters"><?php echo $planning->allfiltertext ?></option>
					    	<?php foreach ($activitiesF as $actiListSingle){
					    		$actsInTimetable = explode(",", $actiListSingle->timetable);
				    			$isTimetable = in_array($planning->id, $actsInTimetable);
					    	    	if ($isTimetable && $actiListSingle->act_name != "blank" && $actiListSingle->activityfilters == 1) {
						   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $actiListSingle->act_name));
						                $acttitleid = preg_replace("/[\"’\/~\\<|\->@]+/", "", $acttitleid);			                
						                $acttitleid = preg_replace("/[éèêëÉÈÊËäÄ]+/", "e", $acttitleid);
						                $acttitleid = preg_replace("/[áàâÂæÆãÃåÅÀÁ]+/", "a", $acttitleid);
						                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
						                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
						                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
						                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
						                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
						                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
						                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
						                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
							            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
							            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
							            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
							            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
							            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
							            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
							            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
							            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
							            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
							            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
					    	    		$filterTab[$acttitleid] = $actiListSingle;
					    	    	}
					    	    }
					    	    switch ($planning->filtersort) {
					    	    	case '0':
					    	    		break;
				    	    		case '1':
				    	    			ksort($filterTab);
					    	    		break;
					    	    	case '2':
				    	    			krsort($filterTab);
					    	    		break;
					    	    	default:
					    	    		ksort($filterTab);
					    	    		break;
					    	    }
					    	    foreach ($filterTab as $key => $val) {
									if($val->act_name != "blank")
					    	    	{
										echo "<option value='" . $key . "'>" . $val->act_name . "</option>";
					    	    	}
								}
					    	?>
				    	</select>

			    </div>
		    <?php endif ?>
		<?php endif ?>
		<?php if ($planning->display_cat_filters == 1): ?>
				<?php if ($planning->catfiltertype == 1): ?>
					<div class="syet-cat-filter-select syet_cat_filter_<?php echo $planning->id ?>" data-cat-bgcolor="<?php echo $planning->catfilterbgcolor ?>" data-cat-ftcolor="<?php echo $planning->catfilterftcolor ?>" data-all-text="<?php echo $planning->catallfiltertext ?>"  data-filter-type="<?php echo $planning->catfiltertype ?>" data-timetable-id="<?php echo $planning->id ?>" data-nocat="<?php echo $planning->nocatname ?>"></div>
				<?php else: ?>
					<div class="syet-cat-filter-button syet_cat_filter_<?php echo $planning->id ?>" data-cat-bgcolor="<?php echo $planning->catfilterbgcolor ?>" data-cat-ftcolor="<?php echo $planning->catfilterftcolor ?>" data-cat-mode="<?php echo $planning->catfiltermode ?>" data-all-text="<?php echo $planning->catallfiltertext ?>" data-filter-type="<?php echo $planning->catfiltertype ?>" data-timetable-id="<?php echo $planning->id ?>" data-nocat="<?php echo $planning->nocatname ?>"></div>
				<?php endif ?>
			<?php endif ?>
	</div>
<div id="easytimetable-<?php echo $planning->id; ?>" data-display-mode="<?php echo (int)$params->get('displaymode') ?>" data-id="<?php echo $planning->id; ?>" data-planning-id="<?php echo $planning->id; ?>" class="fullplanning timetable<?php echo htmlspecialchars($params->get('moduleclass_sfx')); ?>" data-id="<?php echo $planning->id; ?>" data-script="<?php echo $params->get('scriptorder'); ?>" data-ttcol="<?php echo $planning->rows; ?>" data-colnum="<?php echo $params->get('colnumber'); ?>" data-offset="<?php echo $params->get('offset'); ?>" data-cat-sort="<?php echo $planning->catfiltersort ?>">
	
    	
    <?php $flex = ((int)$params->get('displaymode') == 1) ? "list-like"	: ""; ?>
	<div class="syet_timetable_container">
		<?php if($planning->display_time_scale == 1 && (int)$params->get('displaymode') == 0): ?>
			    	<div class="syet_timescale_cont <?php echo $flex ?>">
			    		<div class="col-title timescale">&nbsp;</div>
			    		<div class="sy-row-container syet_timescale" data-rows="<?php echo $planning->rows ?>">
			    			<?php 
			    			
			    			$timescale_duration = ((int)$planning->timescale_duration > 0 && $planning->timescale_duration != "" && !empty($planning->timescale_duration)) ? (int)$planning->timescale_duration : 60;
			    			for ($i=0; $i < $planning->cells; $i++) {
				    			$timestamp = strtotime($planning->start_h) + 60 * $timescale_duration * $i;
				    			if((int)$planning->time_mode == 1)
				    			{
				    				$time = date('g:i a', $timestamp);
				    			}
				    			else
				    			{
				    				$time = date('H:i', $timestamp);
				    			}
								
								?>
			    				<div class="creneau" style="height:<?php echo $planning->height ?>px;"><?php echo $time ?></div>

			    			<?php }	?>
			    		</div>
			    	</div>
			    <?php endif ?>
   	<?php 
   		$rows = $planning->rows;
   		$rwidth= 95/$rows;
   		for ($number=1;$number<=$rows;$number++) {
   	?>
	   	<div class="sy-row-container" style="" >
		   	<div id="<?php echo $number ?>" class="row-<?php echo $number ?> rows" >
		   		<div class="col-title"><?php if (isset($goodtitles[$number-1])) {$title = $goodtitles[$number-1];} else {$title = "&nbsp;";} 
		   			echo JText::_($title); ?>
		   		</div>
			   	<?php
			   	if ($planning->height) 
			   	{
			   		$planningHeight = $planning->height;
			   		
			   	}	
			   	else 
			   	{
			   		$planningHeight = 0;
			   	}
			   		$cells = $planning->cells;
			   		$rheight = 65*$cells;
			   		for ($cell=1;$cell<=$cells;$cell++) {
			   			$idcell = $cell;
			   			if ($idcell < 10) {
                            $zero = "00";
                        }
                        else {
                            $zero = "0";
                        } 
			   			global $empty;
			   			$empty;
			   			$idul = $number.$zero.$idcell;	
			   			$nbarray = count($planAct);
			   			
			   			for ($i=0;$i<$nbarray;$i++) {
			   				
			   				if ($idul == $planAct[$i]->id_cell ) {
			   					$empty = "full";
			   					break;	
			   				}
			   				else {
			   					$empty = "empty";
	
			   				}
			   			}
			   			$tabAct = [];
			   			?>
					   	<ul id="cellule_<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?>" data-height="<?php echo $planning->height ?>" class="creneau creneau<?php echo $idcell ?> <?php echo $empty ?>" style="background-color:#<?php echo $planning->cell_color ?>;height:<?php echo $planningHeight ?>px;">
					   		<?php foreach ($planAct as $key=>$pact) {
					   			
					   			if ($planning->time_mode == 1)
                                {
                                    $start = $pact->start_t;
                                    $end = $pact->end_t;
                                    //modification heure suite à mise à jour mode 12h
                                    if (substr($pact->start_t, 5, 3) == ":00") {
                                        if ((int)substr($pact->start_t, 0, 2) >= 1 && (int)substr($pact->start_t, 0, 2) < 12) {
                                            $startStart = (int)substr($pact->start_t, 0, 2);
                                            $endStart = " am";
                                            $start = $startStart.substr($pact->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($pact->start_t, 0, 2) == 0) {
                                            $startStart = 12;
                                            $endStart = " am";
                                            $start = $startStart.substr($pact->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($pact->start_t, 0, 2) == 12) {
                                            $startStart = 12;
                                            $endStart = " pm";
                                            $start = $startStart.substr($pact->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($pact->start_t, 0, 2) > 12) {
                                            $startStart = (int)substr($pact->start_t, 0, 2) - 12;
                                            $endStart = " pm";
                                            $start = $startStart.substr($pact->start_t, 2, 3).$endStart;
                                        }
                                    }
                                    if (substr($pact->end_t, 5, 3) == ":00") {
                                        if ((int)substr($pact->end_t, 0, 2) >= 1 && (int)substr($pact->end_t, 0, 2) < 12) {
                                            $startEnd = (int)substr($pact->end_t, 0, 2);
                                            $endEnd = " am";
                                            $end = $startEnd.substr($pact->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($pact->end_t, 0, 2) == 0) {
                                            $startEnd = 12;
                                            $endEnd = " am";
                                            $end = $startEnd.substr($pact->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($pact->end_t, 0, 2) == 12) {
                                            $startEnd = 12;
                                            $endEnd = " pm";
                                            $end = $startEnd.substr($pact->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($pact->end_t, 0, 2) > 12) {
                                            $startEnd = (int)substr($pact->end_t, 0, 2) - 12;
                                            $endEnd = " pm";
                                            $end = $startEnd.substr($pact->end_t, 2, 3).$endEnd;
                                        }
                                    }
                                }
                                else {
                                    $start = substr($pact->start_t, -8, 5);
                                    $end = substr($pact->end_t, -8, 5);
                                }
					   			
					   			foreach ($activitiesF as $key2=>$act) {
					   			
					   				
					   			if (($pact->id_cell == $number.$zero.$idcell) && ($act->id == $pact->id_activity)) {
					   				array_push($tabAct, $act->act_name);
									//On compte le nombre d'élément du tableau pour l'ajouter à l'id de l'activité
									$actCount = count($tabAct);

					   				if ($pact->state == 0) {
					   					$opacity = 0;
					   				}
					   				else {
					   					$opacity = 1;
					   				}
					   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $act->act_name));
					   				$acttitleid = preg_replace("/[\"’\/\\~<|+>@]+/", "", $acttitleid);
					   				$acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
						            $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
						            $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
						            $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
						            $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
						            $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
						            $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
						            $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
						            $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
						            $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
						            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
						            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
						            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
						            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
						            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
						            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
						            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
						            $acttitleid = preg_replace("/^8/", "height", $acttitleid);
						            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
						            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);

						            $realActName = ($act->act_name != $pact->acti_name && $pact->acti_name != "") ? $pact->acti_name : $act->act_name;

						            $realBgColor = ($pact->color == "") ? $act->color : $pact->color;
						            $realBgOColor = ($pact->overcolor == "") ? $act->overcolor : $pact->overcolor;
						            $realFtColor = ($pact->fontcolor == "") ? $act->fontcolor : $pact->fontcolor;
						            $realFtOColor = ($pact->fontovercolor == "") ? $act->fontovercolor : $pact->fontovercolor;
						            
						            if (!empty($act->fontcolor))
						            {
						            	$fontColor = "#".$act->fontcolor;
						            }
						            else 
						            {
						            	$fontColor = "#ffffff";
						            }
						            if (($act->linked == 1 && $act->targetmodal == 0) || $act->linked == 2 || $act->linked == 3)
						            {
							            if ($act->linked == 1 && $act->targetmodal == 0)
							            {
							            	$theUrl = JRoute::_(JURI::root() .'index.php?option=com_easytimetable&view=activity&id=' . $act->id);
							            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_DISPLAY_ACTIVITY');	
							            }
							            else if ($act->linked == 2)
							            {
							            	$theUrl =  $this->fullActivities[$act->id]->ext_link;
							            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE');	
							            }
							            else if ($act->linked == 3)
							            {
							            	$theUrl =  JURI::root() . $this->menulink[$act->id]->link;
							            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE');
							            }

							            $theLink = '<a href="';
						            	$theLink .= $theUrl;
						            	$theLink .= '"';
						            	$theLink .= 'target="';
						            	$theLink .= $act->target;
						            	$theLink .= '"';
						            	$theLink .= 'style="color:';
						            	$theLink .= $fontColor;
						            	$theLink .= '"';
						            	$theLink .= 'title="';
						            	$theLink .= $theTitle;
						            	$theLink .= '">';
						            	$theLink .= $realActName;
						            	$theLink .= '</a>'; 

							        }
							        else if ($act->linked == 1 && $act->targetmodal == 1)
							        {
							        	$theLink = '<a href="#syet_modal_desc_' . $act->id . '" uk-toggle>' . $realActName .'</a>';
							        }
							        else
						            {								            	
						            	$theLink = $realActName;
						            }
					   				?>
					   				<li id="<?php echo $acttitleid ?>_<?php echo $pact->id_cell ?><?php echo $actCount ?><?php echo $planning->id; ?>" data-image-url="<?php echo JRoute::_(JURI::base(). $act->image) ?>" data-linked="<?php echo $act->linked ?>" data-link="<?php echo htmlspecialchars($theLink) ?>" data-desktop-title="<?php echo $act->titlecell ?>" data-mobile-title="<?php echo $act->titlecellres ?>" data-desktop-time="<?php echo $act->timecell ?>" data-mobile-time="<?php echo $act->timecellres ?>" data-title="<?php echo $act->act_name ?>" data-start="<?php echo $start ?>" data-end="<?php echo $end ?>"  data-tooltip-trigger="<?php echo $act->tooltipclickhover ?>" data-idcell="<?php echo $pact->id_cell ?>" data-count="<?php echo $actCount ?>" data-li-id="<?php echo $acttitleid ?>_<?php echo $pact->id_cell ?><?php echo $actCount ?><?php echo $planning->id; ?>" data-tooltip-content="#sy-infofields<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?><?php echo $actCount ?><?php echo $planning->id; ?>" data-filter="<?php echo $acttitleid ?>" data-merge="<?php echo $pact->merge ?>" data-height="<?php echo $planningHeight ?>" data-state="<?php echo $pact->state ?>" data-act-id="<?php echo $act->id ?>" data-color="<?php echo $act->color ?>" data-overcolor="<?php echo $act->overcolor ?>" data-fontcolor="<?php echo $act->fontcolor ?>" data-fontovercolor="<?php echo $act->fontovercolor ?>" data-cat="<?php echo $act->categories ?>" class="<?php echo $acttitleid ?>-<?php echo $act->id ?> activite" style="background-color:#<?php echo $act->color ?> !important;color:<?php echo $fontColor ?> !important;opacity:<?php echo $opacity ?>;height: 100%;<?php echo $liStyle ?>">
					   					<?php if ($planning->sorttitletime == 0): ?>
						   						<?php if ((int)$act->titlecell == 1): ?>
							   						<?php if ($act->act_name != "blank"): ?><div class="acttitle" style="font-size:<?php if($planning->titlesize != "") {echo $planning->titlesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTitleStyle) ?>" title="<?php echo $realActName ?>"><?php echo $theLink ?></div><?php endif ?>
							   					<?php endif ?>
							   					
							   					<div class="time" <?php if ($act->act_name == "blank" || (int)$act->timecell == 0): ?>style="display:none;"<?php else: ?>style="font-size:<?php if($planning->timesize != "") {echo $planning->timesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTimeStyle) ?>"<?php endif ?>>
								   					<span class="sy-adastart" style="color:<?php echo $realFtColor; ?>"><?php echo $start ?></span>
								   					<?php if($planning->timeseparator != "4"): ?>
								   						<?php if($planning->timeseparator == "space"): ?>
								   						<?php else: ?>
								   							<span class="separator" style="color:<?php echo $realFtColor; ?>;"><?php echo $planning->timeseparator ?></span>
								   						<?php endif ?>
							   						<?php else: ?>
							   							<br>
								   					<?php endif ?>
								   					
								   					<span class="sy-adaend" style="color:<?php echo $realFtColor; ?>"><?php echo $end ?></span>
							   					<div class="duration invisible" style="display:none;"><?php echo $act->duration ?></div>
						   					</div>
					   					<?php else: ?>
						   					<?php if ((int)$act->timecell == 1): ?>
							   					<div class="time" <?php if ($act->act_name == "blank" || (int)$act->timecell == 0): ?>style="display:none;"<?php else: ?>style="font-size:<?php if($planning->timesize != "") {echo $planning->timesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTimeStyle) ?>"<?php endif ?>>
								   					<span class="sy-adastart" style="color:<?php echo $realFtColor; ?>"><?php echo $start ?></span>
								   					<?php if($planning->timeseparator != "4"): ?>
								   						<?php if($planning->timeseparator == "space"): ?>
								   						<?php else: ?>
								   							<span class="sy-adaseparator" style="color:<?php echo $realFtColor; ?>"><?php echo $planning->timeseparator ?></span>
								   						<?php endif ?>
							   						<?php else: ?>
							   							<br>
								   					<?php endif ?>
								   					<span class="sy-adaend" style="color:<?php echo $realFtColor; ?>"><?php echo $end ?></span>
							   					<div class="duration invisible" style="display:none;"><?php echo $act->duration ?></div>
						   					</div>
						   					<?php endif ?>
						   					<?php if ((int)$act->titlecell == 1): ?>
						   						<?php if ($act->act_name != "blank"): ?><div class="acttitle" style="font-size:<?php if($planning->titlesize != "") {echo $planning->titlesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTitleStyle) ?>" title="<?php echo $act->act_name ?>"><?php echo $theLink ?></div><?php endif ?>
						   					<?php endif ?>
						   				<?php endif ?>
							   				
						   				<?php if($pact->textincell != ""):	?>
						   					<div class="syet_cell_content" style="<?php echo $style1 ?>">
						   						<?php echo $pact->textincell ?>
						   					</div>
					   					<?php endif ?>

					   					<!-- Modal Description -->
					   					<?php if ($act->linked == 1 && $act->targetmodal == 1): ?>
					   						<div id="syet_modal_desc_<?php echo $act->id ?>" class="syet_modal_desc_module" uk-modal>
					   							<div class="uk-modal-dialog uk-modal-body">
					   								<button class="uk-modal-close-default" type="button" uk-close></button>
					   								<?php if(isset($act->image)): ?>
					   									<img src="<?php echo $act->image ?>">
					   								<?php endif ?>
					   								<h2 class="uk-modal-title"><?php echo $realActName; ?></h2>
					   								<p><?php echo $act->description ?></p>
					   							</div>
					   						</div>
					   					<?php endif ?>

					   					<div class="sy-tooltip-container" style="display:none;">
						   					<div id="sy-infofields<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?><?php echo $actCount ?><?php echo $planning->id; ?>" data-title-order="<?php echo $planning->tooltiptitletimepos ?>" data-tooltip-title-size="<?php echo $tttitlesize ?>" data-tooltip-font-size="<?php echo $ttfontsize ?>" data-tooltip-align="<?php echo $tttextalign ?>" data-tooltip-mobile-title="<?php echo $act->titletooltipres ?>" data-tooltip-mobile-time="<?php echo $act->timetooltipres ?>" data-tooltip-mobile-image="<?php echo $act->image_tipres ?>" class="sy-infotoshow"><?php
						   					
						   					if ($tttitletimepos == 0) {
						   						if ((int)$act->titletooltip == 1)
							   						{
							   							echo "<div class='sy-tooltip-title' style='text-align:".$tttextalign.";font-size:".$tttitlesize.";'>".$act->act_name."</div>";
							   						}
							   						if ((int)$act->timetooltip == 1)
							   						{
							   							echo "<div class='sy-tooltip-time' style='text-align:".$tttextalign.";font-size:".$ttfontsize.";'>".$pact->start_t." > ".$pact->end_t."</div>";
							   						}
					   						}
						   					if (!empty($act->tooltiptextabove))
						   					{
						   						echo "<div class='sy-tooltiptextabove' style='font-size:".$ttfontsize.";'>".$act->tooltiptextabove."</div>";
						   					}
						   					if (!empty($act->image) && $act->image_tip == 1) 
						   					{
						   							echo "<div class='sy-info-image' style='vertical-align:middle;text-align:center !important;'><div class='sy-tooltipimage' style='text-align:center;'><img style='text-align:center;' src='".JRoute::_(JURI::base(). $act->image)."'/></div></div>"; 
						   					} 
						   					if (!empty($act->tooltiptextunder))
						   					{
						   						echo "<div class='sy-tooltiptextunder' style='font-size:".$ttfontsize.";'>".$act->tooltiptextunder."</div>";
						   					}
						   					if ($tttitletimepos == 1) {
						   						if ((int)$act->titletooltip == 1)
						   						{
						   							echo "<div class='sy-tooltip-title' style='text-align:".$tttextalign.";font-size:".$tttitlesize.";'>".$act->act_name."</div>";
						   						}
						   						if ((int)$act->timetooltip == 1)
						   						{
						   							echo "<div class='sy-tooltip-time' style='text-align:".$tttextalign.";font-size:".$ttfontsize.";'>".$pact->start_t." > ".$pact->end_t."</div>";
						   						}
					   						}
					   						// define which activity to load
								    	    $count = 0;
								    	    $tabFields = array();
								    	    // define a counter
								    	    foreach ($fields as $field) {
								    	    	$count = $count+1;
								    	    	//echo "<div>Ok cool</div>";

								    	    } 
								    	    $b = 0;
								    	    // use counter to search activities
								    	    for ($i=0;$i< $count; $i++) {
								    	    	// search fclose(handle)or fields according to activity
								    	    	$fieldsArray = (array)$fields;
								    	    	
								    	    	$activitiesArray = explode(',',$fieldsArray[$i]->activity);
								    	    	
								    	    	if (in_array($act->id, $activitiesArray)) {
								    	    		// transform object to array
								    	    		$oneArray = (array)$fields[$i];
								    	    		//put item array in an array
								    	    		array_push($tabFields,$oneArray);
								    	   		}
								    	    }
								    	   
								    	    // Sort the item array
										    usort($tabFields, "custom_sort");

								    		foreach ($tabFields as $key=>$ffield) { 
									    		
										    	$display_mode = $ffield['display_mode'];
										    	
										    	$display_mode = json_decode($display_mode);
										    	if(isset($display_mode) && is_array($display_mode))
										    	{
										    		if (in_array(0, $display_mode) && in_array($ffield['access'], $userAccess) && $pact->state == 1) {
										    			if ((int)$ffield['display_title'] == 1)  
										    			{
											    			echo "<div class='sy-info-text' style='vertical-align:middle;color:#".$act->fontovercolor.";text-align:".$tttextalign.";font-size:".$ttfontsize.";'>
											    				<div class='sy-tooltiptitle'>".$ffield['title']."
												    			</div>
											    				<div class='sy-tooltiptext'>".$ffield['text_field']."
											    				</div>
											    			</div>";
										    			}
										    			else 
										    			{
											    			echo "<div class='sy-info-text' style='vertical-align:middle;color:#".$act->fontovercolor."'>
											    				<div class='sy-tooltiptext' style='vertical-align:middle;text-align:".$tttextalign.";font-size:".$ttfontsize.";'>".$ffield['text_field']."
											    				</div>
											    			</div>";
										    			}
									    			}
										    	}
										    		
								    		}
								    		//$tabFields = array();
					   					   	?></div>
					   					   </div>
				   					   	<div class="sy-insideInfo"><?php 
				   					   	// define which activity to load
							    	    $count = 0;
							    	    $tabFields = array();
							    	    // define a counter
							    	    foreach ($fields as $fieldz) {
							    	    	$count = $count+1;
							    	    	
							    	    } 
							    	    $b = 0;

							    	    // use counter to searche activities
							    	    for ($i=0;$i< $count; $i++) {
							    	    	// search for fields according to activity
							    	    	$fieldsArray2 = (array)$fields;
							    	    	
							    	    	$activitiesArray2 = explode(',',$fieldsArray2[$i]->activity);
							    	    	
							    	    	if (in_array($act->id, $activitiesArray2)) {
							    	    		// transform object to array
							    	    		$oneArray = (array)$fields[$i];
							    	    		//put item array in an array
							    	    		array_push($tabFields,$oneArray);
							    	   		}
							    	    }
							    	   
							    	    // Sort the item array
									    usort($tabFields, "custom_sort");

							    		foreach ($tabFields as $key=>$field) { 
								    		
							    			$display_mode = $field['display_mode'];
									    	
									    	$display_mode = json_decode($display_mode, true);
									    	
									    	if(isset($display_mode) && is_array($display_mode))
									    	{
									    		if (in_array(1, $display_mode) && in_array($field['access'], $userAccess) && $pact->state == 1) 
										    	{
									    			if ((int)$field['display_title'] == 1)  {
									    			echo "<div class='sy-info-text2' style='vertical-align:middle;color:#".$act->fontcolor."'>
									    				<div class='sy-tooltiptitle'>".$field['title']."
										    			</div>
									    				<div class='sy-tooltiptext2'>".$field['text_field']."
									    				</div>
									    			</div>";
									    			}
									    			else {
									    			echo "<div class='sy-info-text2' style='vertical-align:middle;color:#".$act->fontcolor."'>
									    				<div class='sy-tooltiptext'>".$field['text_field']."
									    				</div>
									    			</div>";
									    			
									    			}
								    			}
									    	}

							    		}
				   					   	?></div>
					   				</li>
					   				<?php
					   					}
					   				}	
					   			}
							
							?></ul>
					   	<?php		
			   		}
			    ?>	
		   	</div>
	   	</div>
   	
   	<?php	
   	}
    ?>
    <?php if ((int)$params->get('description') == 3 || (int)$params->get('description') == 4 || (int)$params->get('description') == 5): ?>
    		<div><?php echo $params->get('footertext') ?></div>
    	<?php endif ?>
    </div>
    </div>
<?php else: ?>


<!-- Adaptative -->

<div class="startingtime" style="display:none;"><?php echo $planning->start_h; ?></div>
	<input class="ttm" type="hidden" value="<?php echo $planning->type ?>" >
	
	<div id="easytimetable-<?php echo $planning->id; ?>" data-height-factor="<?php echo $planning->height_factor ?>" data-display-mode="<?php echo $params->get('displaymode'); ?>" class="fullplanning timetable<?php echo htmlspecialchars($params->get('moduleclass_sfx')); ?>" data-script="<?php echo $params->get('scriptorder'); ?>" data-id="<?php echo $planning->id; ?>" data-ttcol="<?php echo $planning->rows; ?>" data-colnum="<?php echo $params->get('colnumber'); ?>" data-starttime="<?php echo $planning->start_h; ?>" data-offset="<?php echo $params->get('offset'); ?>" data-cat-sort="<?php echo $planning->catfiltersort ?>">
		<?php if (isset($planning->print) && $planning->print == 1): ?>
			<div id="syet_print_<?php echo $planning->id ?>" class="sy-print button" style="position:absolute;right:0;cursor:pointer;" title="<?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNING_TITLE_PRINT'); ?>"><?php echo JText::_('MOD_EASYTIMETABLE_FORM_LBL_PLANNING_PRINT'); ?></div>
		<?php endif ?>
	    <?php if ((int)$params->get('title') == 1): ?>
    		<h2 class="syet_timetable_title"><?php echo $planning->p_name ?></h2>
    	<?php endif ?>
    	<?php if ((int)$params->get('description') == 1 || (int)$params->get('description') == 5): ?>
    		<div><?php echo $planning->description ?></div>
    	<?php endif ?>
    	<?php if ((int)$params->get('description') == 4 || (int)$params->get('description') == 2): ?>
    		<div><?php echo $params->get('customtext') ?></div>
    	<?php endif ?>	
	    <!-- Show Activity filters -->
	    <?php $flexstyle = ($planning->filtertype == 1 && $planning->catfiltertype == 1 ) ? "display:flex;" : ""; ?>
		    <div class="syet_all_filters" style="<?php echo $flexstyle ?>">
		    <?php if ((int)$params->get('filter') == 1): ?>
			    <?php if ($planning->filtertype == 0): ?>
				    <div class="sy-filters" data-filter-type="<?php echo $planning->filtertype ?>" data-timetable-id="<?php echo $planning->id ?>">
				    	<div id="sy-all" class="sy-actsingle allfilter button"><?php echo $planning->allfiltertext ?></div>
				    	<?php foreach ($activitiesF as $actiListSingle){
				    		$actsInTimetable = explode(",", $actiListSingle->timetable);
				    		$isTimetable = in_array($planning->id, $actsInTimetable);
				    		
			    	    	if ($isTimetable && $actiListSingle->act_name != "blank" && $actiListSingle->activityfilters == 1) {
			    	    		$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $actiListSingle->act_name));
				                $acttitleid = preg_replace("/[\"’\/~\\<|+>@]+/", "", $acttitleid);
				                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
				                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
				                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
				                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
				                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
				                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
				                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
				                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
				                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
				                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
					            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
					            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
					            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
					            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
					            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
					            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
					            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
					            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
					            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
					            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
				    	    	$filterTab[$acttitleid] = $actiListSingle;
				    	    	}
				    	    }
				    	    switch ($planning->filtersort) {
			    	    	case '0':
			    	    		break;
		    	    		case '1':
		    	    			ksort($filterTab);
			    	    		break;
			    	    	case '2':
		    	    			krsort($filterTab);
			    	    		break;
			    	    	default:
			    	    		ksort($filterTab);
			    	    		break;
			    	    }
			    	    
			    	    foreach ($filterTab as $key => $val) {
							if($val->act_name != "blank")
			    	    	{
								echo '<div id="sy-'.$key.'" class="sy-actsingle sy-'.$key.' button" data-title="'.$val->act_name.'" style="background-color:#'.$val->color.';color:#'.$val->fontcolor.' !important;">'.$val->act_name.'</div>';
							}
						}
				    	?>
				    </div>
				    <?php else: ?>
					<div class="sy-filters syet_select_cont" data-filter-type="<?php echo $planning->filtertype ?>" data-timetable-id="<?php echo $planning->id ?>">
				    	<select class="sy-select-filter" data-timetable-id="<?php echo $planning->id ?>">
				    		<option value="syresetfilters"><?php echo $planning->allfiltertext ?></option>
					    	<?php foreach ($activitiesF as $actiListSingle){
					    		$actsInTimetable = explode(",", $actiListSingle->timetable);
				    			$isTimetable = in_array($planning->id, $actsInTimetable);
					    	    	if ($isTimetable && $actiListSingle->act_name != "blank" && $actiListSingle->activityfilters == 1) {
						   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $actiListSingle->act_name));
						                $acttitleid = preg_replace("/[\"’\/~\\<|+\->@]+/", "", $acttitleid);			                
						                $acttitleid = preg_replace("/[éèêëÉÈÊËäÄ]+/", "e", $acttitleid);
						                $acttitleid = preg_replace("/[áàâÂæÆãÃåÅÀÁ]+/", "a", $acttitleid);
						                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
						                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
						                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
						                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
						                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
						                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
						                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
						                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
							            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
							            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
							            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
							            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
							            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
							            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
							            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
							            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
							            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
							            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
					    	    		$filterTab[$acttitleid] = $actiListSingle;
					    	    	}
					    	    }
					    	    switch ($planning->filtersort) {
					    	    	case '0':
					    	    		break;
				    	    		case '1':
				    	    			ksort($filterTab);
					    	    		break;
					    	    	case '2':
				    	    			krsort($filterTab);
					    	    		break;
					    	    	default:
					    	    		ksort($filterTab);
					    	    		break;
					    	    }
					    	    foreach ($filterTab as $key => $val) {
									if($val->act_name != "blank")
					    	    	{
										echo "<option value='" . $key . "'>" . $val->act_name . "</option>";
					    	    	}
								}
					    	?>
				    	</select>
				    </div>
			    <?php endif ?>
		    <?php endif ?>

		    <?php if ($planning->display_cat_filters == 1): ?>
					<?php if ($planning->catfiltertype == 1): ?>
						<div class="syet-cat-filter-select syet_cat_filter_<?php echo $planning->id ?>" data-cat-bgcolor="<?php echo $planning->catfilterbgcolor ?>" data-cat-ftcolor="<?php echo $planning->catfilterftcolor ?>" data-all-text="<?php echo $planning->catallfiltertext ?>" data-filter-type="<?php echo $planning->catfiltertype ?>" data-timetable-id="<?php echo $planning->id ?>" data-nocat="<?php echo $planning->nocatname ?>"></div>
					<?php else: ?>
						<div class="syet-cat-filter-button syet_cat_filter_<?php echo $planning->id ?>" data-cat-bgcolor="<?php echo $planning->catfilterbgcolor ?>" data-cat-ftcolor="<?php echo $planning->catfilterftcolor ?>" data-cat-mode="<?php echo $planning->catfiltermode ?>" data-all-text="<?php echo $planning->catallfiltertext ?>" data-filter-type="<?php echo $planning->catfiltertype ?>" data-timetable-id="<?php echo $planning->id ?>" data-nocat="<?php echo $planning->nocatname ?>"></div>
					<?php endif ?>
				<?php endif ?>
			</div>
		<div class="syet_timetable_container">	
	    <?php if($planning->display_time_scale == 1 && (int)$params->get('displaymode') == 0): ?>
	    	<div class="sy-row-container syet_timescale_cont">
	    		<div class="col-title">&nbsp;</div>
	    		<div id="row_0" class="time_scale"></div>
	    	</div>
	    <?php endif ?>
	    <?php 
   		$rows = $planning->rows;
   		$rwidth= 95/$rows;
   		for ($number=1;$number<=$rows;$number++) {
   	?>
	   	<div class="sy-row-container" style="width:<?php echo $rwidth ?>%" >
	   		
	   		<div class="col-title"><?php if (isset($goodtitles[$number-1])) {$title = $goodtitles[$number-1];} else {$title = "&nbsp;";} 
		   			echo JText::_($title); ?>
		   		</div>
		   	<div id="sy-theinfo" class="sy-thedivinfo" style="z-index:20000;position:absolute;"></div>
		   	<ul id="<?php echo $number ?>" class="row-<?php echo $number ?> rows sy-adaptative" style="background-color:#<?php echo $planning->cell_color ?>;height:<?php if ((int)$params->get('displaymode') == 0) {echo $planning->height."px";} ?>;" >
		   		
			   	<?php	
			   		$cells = 100;
			   		$rheight = 65*$cells;
			   		for ($cell=1;$cell<=$cells;$cell++) {
			   			$idcell = $cell;
			   			if ($idcell < 10) {
                            $zero = "00";
                        }
                        else {
                            $zero = "0";
                        } 
			   			global $empty;
			   			$empty;
			   			$idul = $number.$zero.$idcell;	
			   			$nbarray = count($planAct);
			   			
			   			for ($i=0;$i<$nbarray;$i++) {
			   				
			   				if ($idul == $planAct[$i]->id_cell ) {
			   					$empty = "full";
			   					break;	
			   				}
			   				else {
			   					$empty = "empty";
	
			   				}
			   			}
			   			?>
					   	
					   		<?php foreach ($planAct as $key=>$pact) {
					   			// Display time regarding Time mode
					   			
					   			if ((int)$planning->time_mode == 1)
                                {
                                    $start = $pact->start_t;
                                    $end = $pact->end_t;    
                                }
                                else {
                                    $start = substr($pact->start_t, -8, 5);
                                    $end = substr($pact->end_t, -8, 5);
                                }
					   			
					   			foreach ($activitiesF as $key=>$act) {
					   				
					   					
					   			if (($pact->id_cell == $number.$zero.$idcell) && ($act->id == $pact->id_activity)) 
					   			{
					   				
					   				if ($pact->state == 0) {
					   					$opacity = 0;
					   					$imgnotpub = "url('components/com_easytimetable/assets/images/notpublishedbig.png') no-repeat 5px 5px";
					   					$infonp = "";
					   					
					   				}
					   				else {
					   					$opacity = 1;
					   					$imgnotpub = '';
					   					$infonp = "";
					   				}
					   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $act->act_name));
					                $acttitleid = preg_replace("/[\"’\/~\\<+>@]+/", "", $acttitleid);
					                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
					                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
					                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
					                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
					                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
					                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
					                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
					                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
					                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
					                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
						            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
						            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
						            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
						            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
						            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
						            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
						            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
						            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
						            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
						            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
						           
						            $realActName = ($act->act_name != $pact->acti_name && $pact->acti_name != "") ? $pact->acti_name : $act->act_name;

						            $realBgColor = ($pact->color == "") ? $act->color : $pact->color;
						            $realBgOColor = ($pact->overcolor == "") ? $act->overcolor : $pact->overcolor;
						            $realFtColor = ($pact->fontcolor == "") ? $act->fontcolor : $pact->fontcolor;
						            $realFtOColor = ($pact->fontovercolor == "") ? $act->fontovercolor : $pact->fontovercolor;

						            if (($act->linked == 1 && $act->targetmodal == 0) || $act->linked == 2 || $act->linked == 3)
						            {
							            if ($act->linked == 1 && $act->targetmodal == 0)
							            {
							            	$theUrl = JRoute::_(JURI::root() .'index.php?option=com_easytimetable&view=activity&id=' . $act->id);
							            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_DISPLAY_ACTIVITY');	
							            }
							            else if ($act->linked == 2)
							            {
							            	$theUrl =  $this->fullActivities[$act->id]->ext_link;
							            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE');	
							            }
							            else if ($act->linked == 3)
							            {
							            	$theUrl =  JURI::root() . $this->menulink[$act->id]->link;
							            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE');
							            }

							            $theLink = '<a href="';
						            	$theLink .= $theUrl;
						            	$theLink .= '"';
						            	$theLink .= 'target="';
						            	$theLink .= $act->target;
						            	$theLink .= '"';
						            	$theLink .= 'style="color:';
						            	$theLink .= $fontColor;
						            	$theLink .= '"';
						            	$theLink .= 'title="';
						            	$theLink .= $theTitle;
						            	$theLink .= '">';
						            	$theLink .= $realActName;
						            	$theLink .= '</a>'; 

							        }
							        else if ($act->linked == 1 && $act->targetmodal == 1)
							        {
							        	$theLink = '<a href="#syet_modal_desc_' . $act->id . '" uk-toggle>' . $realActName .'</a>';
							        }
							        else
						            {								            	
						            	$theLink = $realActName;
						            }
						            $duree = (strtotime($end) - strtotime($start)) / 60;

					   				?>
					   				
					   				<li id="<?php echo $acttitleid ?>_<?php echo $pact->id_cell ?><?php echo $planning->id; ?>" data-image-url="<?php echo JRoute::_(JURI::base(). $act->image) ?>" data-linked="<?php echo $act->linked ?>" data-link="<?php echo htmlspecialchars($theLink) ?>" data-desktop-title="<?php echo $act->titlecell ?>" data-mobile-title="<?php echo $act->titlecellres ?>" data-desktop-time="<?php echo $act->timecell ?>" data-mobile-time="<?php echo $act->timecellres ?>" data-title="<?php echo $act->act_name ?>" data-start="<?php echo $start ?>" data-end="<?php echo $end ?>"  data-tooltip-trigger="<?php echo $act->tooltipclickhover ?>" data-idcell="<?php echo $pact->id_cell ?>" data-li-id="<?php echo $acttitleid ?>_<?php echo $pact->id_cell ?><?php echo $planning->id; ?>" data-tooltip-content="#sy-infofields<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?><?php echo $planning->id; ?>" data-filter="<?php echo $acttitleid ?>" data-state="<?php echo $pact->state ?>" data-color="<?php echo $realBgColor; ?>" data-overcolor="<?php echo $realBgOColor; ?>" data-fontcolor="<?php echo $realFtColor; ?>" data-fontovercolor="<?php echo $realFtOColor; ?>" class="<?php echo $acttitleid ?> activite" title="<?php echo $infonp ?>" data-duree="<?php echo $duree ?>" data-cat="<?php echo $act->categories ?>" <?php if ($realActName == "blank"): ?> style="background-color:rgba(255,255,255, 0);"<?php endif ?><?php if ($realActName != "blank"): ?> style="background-color:#<?php echo $realBgColor; ?> <?php echo $imgnotpub ?>;color:#<?php echo $realFtColor; ?>;opacity:<?php echo $opacity ?>;"<?php endif ?>>
					   					


						   				<?php if ($planning->sorttitletime == 0): ?>
						   						<?php if ((int)$act->titlecell == 1): ?>
							   						<?php if ($act->act_name != "blank"): ?><div class="acttitle" style="font-size:<?php if($planning->titlesize != "") {echo $planning->titlesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTitleStyle) ?>" title="<?php echo $realActName ?>"><?php echo $theLink ?></div><?php endif ?>
							   					<?php endif ?>
							   					
							   					<div class="time" <?php if ($act->act_name == "blank" || (int)$act->timecell == 0): ?>style="display:none;"<?php else: ?>style="font-size:<?php if($planning->timesize != "") {echo $planning->timesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTimeStyle) ?>"<?php endif ?>>
								   					<span class="sy-adastart" style="color:<?php echo $realFtColor; ?>"><?php echo $start ?></span>
								   					<?php if($planning->timeseparator != "4"): ?>
								   						<?php if($planning->timeseparator == "space"): ?>
								   						<?php else: ?>
								   							<span class="separator" style="color:<?php echo $realFtColor; ?>;"><?php echo $planning->timeseparator ?></span>
								   						<?php endif ?>
							   						<?php else: ?>
							   							<br>
								   					<?php endif ?>
								   					
								   					<span class="sy-adaend" style="color:<?php echo $realFtColor; ?>"><?php echo $end ?></span>
							   					<div class="duration invisible" style="display:none;"><?php echo $act->duration ?></div>
						   					</div>
					   					<?php else: ?>
						   					<?php if ((int)$act->timecell == 1): ?>
							   					<div class="time" <?php if ($act->act_name == "blank" || (int)$act->timecell == 0): ?>style="display:none;"<?php else: ?>style="font-size:<?php if($planning->timesize != "") {echo $planning->timesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTimeStyle) ?>"<?php endif ?>>
								   					<span class="sy-adastart" style="color:<?php echo $realFtColor; ?>"><?php echo $start ?></span>
								   					<?php if($planning->timeseparator != "4"): ?>
								   						<?php if($planning->timeseparator == "space"): ?>
								   						<?php else: ?>
								   							<span class="sy-adaseparator" style="color:<?php echo $realFtColor; ?>"><?php echo $planning->timeseparator ?></span>
								   						<?php endif ?>
							   						<?php else: ?>
							   							<br>
								   					<?php endif ?>
								   					<span class="sy-adaend" style="color:<?php echo $realFtColor; ?>"><?php echo $end ?></span>
							   					<div class="duration invisible" style="display:none;"><?php echo $act->duration ?></div>
						   					</div>
						   					<?php endif ?>
						   					<?php if ((int)$act->titlecell == 1): ?>
						   						<?php if ($act->act_name != "blank"): ?><div class="acttitle" style="font-size:<?php if($planning->titlesize != "") {echo $planning->titlesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTitleStyle) ?>" title="<?php echo $act->act_name ?>"><?php echo $theLink ?></div><?php endif ?>
						   					<?php endif ?>
						   				<?php endif ?>
							   				
						   				<?php if($pact->textincell != ""):	?>
						   					<div class="syet_cell_content" style="<?php echo $style1 ?>">
						   						<?php echo $pact->textincell ?>
						   					</div>
					   					<?php endif ?>


					   					<!-- Modal Description -->
					   					<?php if ($act->linked == 1 && $act->targetmodal == 1): ?>
					   						<div id="syet_modal_desc_<?php echo $act->id ?>" class="syet_modal_desc_module" uk-modal>
					   							<div class="uk-modal-dialog uk-modal-body">
					   								<button class="uk-modal-close-default" type="button" uk-close></button>
					   								<?php if(isset($act->image)): ?>
					   									<img src="<?php echo $act->image ?>">
					   								<?php endif ?>
					   								<h2 class="uk-modal-title"><?php echo $realActName; ?></h2>
					   								<p><?php echo $act->description ?></p>
					   							</div>
					   						</div>
					   					<?php endif ?>


					   					<div class="sy-tooltip-container" style="display:none;">
						   					<div id="sy-infofields<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?><?php echo $planning->id; ?>" class="sy-infotoshow" style="color:<?php echo $act->fontovercolor ?>"><?php
						   					
						   					if ($tttitletimepos == 0) {
						   						if ((int)$act->titletooltip == 1)
							   						{
							   							echo "<div class='sy-tooltip-title' style='text-align:".$tttextalign.";font-size:".$tttitlesize.";'>".$realActName."</div>";
							   						}
							   						if ((int)$act->timetooltip == 1)
							   						{
							   							echo "<div class='sy-tooltip-time' style='text-align:".$tttextalign.";font-size:".$ttfontsize.";'>".$pact->start_t." > ".$pact->end_t."</div>";
							   						}
					   						}
						   					if (!empty($act->tooltiptextabove))
						   					{
						   						echo "<div class='sy-tooltiptextabove' style='font-size:".$ttfontsize.";'>".$act->tooltiptextabove."</div>";
						   					}
						   					if (!empty($act->image) && $act->image_tip == 1) 
						   					{
						   							echo "<div class='sy-info-image' style='vertical-align:middle;text-align:center !important;'><div class='sy-tooltipimage' style='text-align:center;'><img style='text-align:center;' src='".JRoute::_(JURI::base(). $act->image)."'/></div></div>"; 
						   					} 
						   					if (!empty($act->tooltiptextunder))
						   					{
						   						echo "<div class='sy-tooltiptextunder' style='font-size:".$ttfontsize.";'>".$act->tooltiptextunder."</div>";
						   					}
						   					if ($tttitletimepos == 1) {
						   						if ((int)$act->titletooltip == 1)
							   						{
							   							echo "<div class='sy-tooltip-title' style='text-align:".$tttextalign.";font-size:".$tttitlesize.";'>".$realActName."</div>";
							   						}
							   						if ((int)$act->timetooltip == 1)
							   						{
							   							echo "<div class='sy-tooltip-time' style='text-align:".$tttextalign.";font-size:".$ttfontsize.";'>".$pact->start_t." > ".$pact->end_t."</div>";
							   						}
					   						}

					   						// define which activity to load
								    	    $count = 0;
								    	    $tabFields = array();
								    	    // define a counter
								    	    foreach ($fields as $field) {
								    	    	$count = $count+1;
								    	    	//echo "<div>Ok cool</div>";

								    	    } 
								    	    $b = 0;
								    	    // use counter to search activities
								    	    for ($i=0;$i< $count; $i++) {
								    	    	// search fclose(handle)or fields according to activity
								    	    	$fieldsArray = (array)$fields;
								    	    	
								    	    	$activitiesArray = explode(',',$fieldsArray[$i]->activity);
								    	    	
								    	    	if (in_array($act->id, $activitiesArray)) {
								    	    		// transform object to array
								    	    		$oneArray = (array)$fields[$i];
								    	    		//put item array in an array
								    	    		array_push($tabFields,$oneArray);
								    	   		}
								    	    }
								    	   
								    	    // Sort the item array
										    usort($tabFields, "custom_sort");

								    		foreach ($tabFields as $key=>$ffield) { 
									    		
										    	$display_mode = $ffield['display_mode'];
										    	
										    	$display_mode = json_decode($display_mode);
										    	
										    	if (in_array(0, $display_mode) && in_array($ffield['access'], $userAccess) && $pact->state == 1 /*&& $ffield['activity'] == $pact->id_activity*/) {
									    			if ((int)$ffield['display_title'] == 1)  {
									    			echo "<div class='sy-info-text' style='vertical-align:middle;color:#".$act->fontovercolor."'>
									    				<div class='sy-tooltiptitle'>".$ffield['title']."
										    			</div>
									    				<div class='sy-tooltiptext'>".$ffield['text_field']."
									    				</div>
									    			</div>";
									    			}
									    			else {
									    			echo "<div class='sy-info-text' style='vertical-align:middle;color:#".$act->fontovercolor."'>
									    				<div class='sy-tooltiptext'>".$ffield['text_field']."
									    				</div>
									    			</div>";
									    			
									    			}
								    			}	
								    		}
								    		$tabFields = array();
					   					   	?></div>
				   					   	</div>
				   					   	<div class="sy-insideInfo"><?php 
				   					   	// define which activity to load
							    	    $count = 0;
							    	    $tabFields = array();
							    	    // define a counter
							    	    foreach ($fields as $fieldz) {
							    	    	$count = $count+1;
							    	    	
							    	    } 
							    	    $b = 0;

							    	    // use counter to searche activities
							    	    for ($i=0;$i< $count; $i++) {
							    	    	// search for fields according to activity
							    	    	$fieldsArray2 = (array)$fields;
							    	    	
							    	    	$activitiesArray2 = explode(',',$fieldsArray2[$i]->activity);
							    	    	
							    	    	if (in_array($act->id, $activitiesArray2)) {
							    	    		// transform object to array
							    	    		$oneArray = (array)$fields[$i];
							    	    		//put item array in an array
							    	    		array_push($tabFields,$oneArray);
							    	   		}
							    	    }
							    	   
							    	    // Sort the item array
									    usort($tabFields, "custom_sort");

							    		foreach ($tabFields as $key=>$field) { 
								    		
							    			$display_mode = $field['display_mode'];
									    	
									    	$display_mode = json_decode($display_mode);
									    	
									    	if (in_array(1, $display_mode) && in_array($field['access'], $userAccess) && $pact->state == 1) {
								    			if ((int)$field['display_title'] == 1)  {
								    			echo "<div class='sy-info-text2' style='vertical-align:middle;color:#".$act->fontcolor."'>
								    				<div class='sy-tooltiptitle'>".$field['title']."
									    			</div>
								    				<div class='sy-tooltiptext'>".$field['text_field']."
								    				</div>
								    			</div>";
								    			}
								    			else {
								    			echo "<div class='sy-info-text2' style='vertical-align:middle;color:#".$act->fontcolor."'>
								    				<div class='sy-tooltiptext'>".$field['text_field']."
								    				</div>
								    			</div>";
								    			
								    			}
							    			}	
							    		}
				   					   	?></div>
									
					   				</li>
					   				<?php
					   					}
					   				}	
					   			}
							?>
					   	<?php		
			   		}
			    ?>	
		   	</ul>
	   	</div>
   	
   	<?php	
   	}
    ?>
    </div>
    <?php if ((int)$params->get('description') == 3 || (int)$params->get('description') == 4 || (int)$params->get('description') == 5): ?>
    		<div><?php echo $params->get('footertext') ?></div>
    	<?php endif ?>
	</div>

<?php endif ?>
    <?php }
    else {
    	echo JText::_('MOD_EASYTIMETABLE_NO_PLANNING_AVAILABLE');
	} ?>

	<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('.fullplanning').find('ul').each(function(){
			jQuery(this).find('li').each(function(){
				//console.log(jQuery(this).height());
				//console.log(jQuery(this).find('.duration').text());
				if(jQuery(this).height() == 0) {
					var goodHeight = jQuery(this).find('.duration').text()*1.35;
					jQuery(this).css('height', goodHeight);
				}
			})
		})
	})
	</script>

