<?php
/**
 * @version     1.7.1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015-2016. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$doc = JFactory::getDocument();
$doc->addStyleSheet('https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css');
$doc->addStyleSheet('components/com_easytimetable/views/activities/tmpl/css/activities.css');
$menuparams = $this->state->get("menuparams");
$app = JFactory::getApplication();
// Get menu parameters
$menuParam = $app->getParams()->toObject();



$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canCreate = $user->authorise('core.create', 'com_easytimetable');
$canEdit = $user->authorise('core.edit', 'com_easytimetable');
$canCheckin = $user->authorise('core.manage', 'com_easytimetable');
$canChange = $user->authorise('core.edit.state', 'com_easytimetable');
$canDelete = $user->authorise('core.delete', 'com_easytimetable');

//Charge les ids selectionnés dans la config du menu
if(isset($menuParam->timetableid))
{
    $ttIds = $menuParam->timetableid;
}
else
{
    $ttIds = array();
}



switch ($menuParam->deskw) {
    case '16.66':
        $columns = 6;
        break;
    case '20':
        $columns = 5;
        break;
    case '25':
        $columns = 4;
        break;
    case '33.33':
        $columns = 3;
        break;
    case '50':
        $columns = 2;
        break;
    case '100':
        $columns = 1;
        break;
    
    default:
         $columns = 6;
        break;
}
//Création d'un tableau en fonction des plannings selectionnés dans la config du menu
$this->timetables = array();
foreach ($this->items as $item) {
    $timetables = explode(',', $item->timetable);
    
        foreach ($timetables as $timetable) {
            if (in_array($timetable, $ttIds) || empty($ttIds))
            {
                //dump($timetable, "timetable");
                array_push($this->timetables, $item);
                break;
            }
        }
    
}

//nbre d'items finaux
$count = count($this->timetables); 

//nbre de colonnes
$colArray = array();

//tableau de colonnes
for($i = 1; $i <= $columns; $i++){ 
    $col = 'col'.$i;
    $$col = array() ;
    array_push($colArray, ${$col});
}
//dump($colArray, "colArray");
$itemsInArray = (int)( $count / $columns );
$restitems = $count % $columns;

//Répartition des activités dans les colonnes en fonction du nombre de colonne choisi
for($i = 1 ; $i <= $itemsInArray ; $i++)
{
    for($j = 0 ; $j < $columns ; $j++)
    {
        $index = $i*$j;
        array_push($colArray[$j], $this->timetables[$index]); 
    }
}
if($restitems > 0){
    for($i = 0 ; $i < $restitems ; $i++)
    {
        $index = $count - $restitems + $i;
        array_push($colArray[$i], $this->timetables[$index]);
    }
}

?>
<style type="text/css">
.syet_column{
    width: <?php echo $menuParam->deskw ?>%;
}

@media(max-width:1024px) and (orientation:landscape){
    .syet_column{
        width: <?php echo $menuParam->tablethw ?>%;
    }
}
@media (max-width:768px) and (orientation:portrait){
    .syet_column{
        width: <?php echo $menuParam->tabletvw ?>%;
    }
}
@media (max-width:768px) and (orientation:landscape){
    .syet_column{
        width: <?php echo $menuParam->mobilehw ?>%;
    }
}
@media (max-width:500px) and (orientation:portrait) {
    .syet_column{
        width: <?php echo $menuParam->mobilevw ?>%;
    }
}

</style>

<form action="<?php echo JRoute::_('index.php?option=com_easytimetable&view=activities'); ?>" method="post" name="adminForm" id="adminForm">
<?php if ($canCreate): ?>
    <div class="syet_add_item">      
        <a href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=activityform.edit&id=0', false, 2); ?>" class="btn btn-success btn-small">
            <i class="icon-plus"></i> <?php echo JText::_('COM_EASYTIMETABLE_ADD_ITEM'); ?>
        </a>
    </div>
<?php endif; ?>

<?php if($menuParam->syshowtitle == 1): ?>
	<<?php echo $menuParam->titlestyle ?>><?php echo $menuParam->page_title ?></<?php echo $menuParam->titlestyle ?>>
<?php endif; ?>
    
    <div class="syet_activities_container">

        <?php foreach ($colArray as $column): ?>
            <div class="syet_column">
                <?php foreach ($column as $item): ?>
                    <div class="syet_activity_single" data-timetable="<?php echo $item->timetable ?>">
                        <?php if($item->image): ?>                        
                            <div class="syet_activitylist_image_<?php echo $item->id ?>" style="background:#<?php echo $item->color ?>">
                                <img src="<?php echo $item->image; ?>">
                            </div>
                            
                        <?php endif ?>
                            
                            <h3 class="syet_activity_title">
                                <a href="<?php echo JRoute::_('index.php?option=com_easytimetable&view=activity&id='.(int) $item->id); ?>" title="<?php echo $item->act_name; ?>"><?php echo $item->act_name; ?></a> 
                                <div class="syet_duration_container" >
                                    <div class="syet_duration_act"><i class="fa fa-clock-o"></i>&nbsp;<?php echo $item->duration ?>'</div>
                                </div>
                                
                            </h3>
                            <div class="syet_manage_item">
                            <?php if (isset($item->checked_out) && $item->checked_out) : ?>
                                <?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'activities.', $canCheckin); ?>
                            <?php endif; ?>
                                
                            
                        </div>
                        <?php if($item->description != ""): ?>
                        	<div class="syet_mini_act_desc"><?php echo substr($item->description,0,(int)$menuParam->symaxdesc)."..." ; ?><br><a class="<?php echo implode( " " , $menuParam->readmorestyle) ?>" href="<?php echo JRoute::_('index.php?option=com_easytimetable&view=activity&id='.(int) $item->id); ?>" title="<?php echo $item->act_name; ?>"><?php echo $menuParam->syreadmore ?></a></div>
                        <?php endif ?>
                        <?php if($menuParam->showtimetablelink == 1): ?>
                            <div class="syet_desc_over_no_image">    
                                <i class="fa fa-calendar"></i><?php echo $this->actModel->getTimetableLink($item->timetable); ?>
                            </div>
                        <?php endif ?>

                        <div>
                            <?php if ($canEdit): ?>
                                <a href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=activityform.edit&id=' . $item->id, false, 2); ?>" class="btn btn-mini" type="button"><i class="icon-edit" ></i></a>
                            <?php endif; ?>
                            <?php if ($canDelete): ?>
                                <button data-item-id="<?php echo $item->id; ?>" class="btn btn-mini delete-button" type="button"><i class="icon-trash" ></i></button>
                            <?php endif; ?>
                        </div>
                    
                    </div>
                    
                <?php endforeach ?>
            </div>

        <?php endforeach ?>

        
    </div>

    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
    <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
    <?php echo JHtml::_('form.token'); ?>
</form>

<script type="text/javascript">

    jQuery(document).ready(function () {
        jQuery('.delete-button').click(deleteItem);
    });

    function deleteItem() {
        var item_id = jQuery(this).attr('data-item-id');
        if (confirm("<?php echo JText::_('COM_EASYTIMETABLE_DELETE_MESSAGE'); ?>")) {
            window.location.href = '<?php echo JRoute::_('index.php?option=com_easytimetable&task=activityform.remove&id=', false, 2) ?>' + item_id;
        }
    }
</script>


