<?php
/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;

$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/views/activity/tmpl/css/activity.css');
$user = JFactory::getUser();
$userId = JFactory::getUser()->id;
$userAccess = JAccess::getAuthorisedViewLevels($userId);

$canEdit = $user->authorise('core.edit', 'com_easytimetable');
if (!$canEdit && JFactory::getUser()->authorise('core.edit.own', 'com_easytimetable' . $this->item->id)) {
	$canEdit = JFactory::getUser()->id == $this->item->created_by;
}
?>
<div class="sy-buttons">
	<?php if($canEdit && $this->item->checked_out == 0): ?>
			<a class="button" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=activity.edit&id='.$this->item->id); ?>"><?php echo JText::_("COM_EASYTIMETABLE_EDIT_ITEM"); ?></a>
		<?php endif; ?>
			<?php if(JFactory::getUser()->authorise('core.delete','com_easytimetable.activity.'.$this->item->id)):?>
				<a class="button" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=activity.remove&id=' . $this->item->id, false, 2); ?>"><?php echo JText::_("COM_EASYTIMETABLE_DELETE_ITEM"); ?></a>
			<?php endif; ?>
	<?php if ($this->item) : ?>
</div>

    <div class="sy-content">
		<div class="sy-description">	
			<div class="sy-description">	
				<p class="sy-pdescription">
					<?php if (!empty($this->item->image)): ?>
						<img src="<?php echo JURI::base().$this->item->image; ?>">
					<?php endif ?>		
				<div class="sy-activity" data-activity-id="<?php echo $this->item->id; ?>" data-asset-id="<?php echo $this->item->asset_id; ?>"> 
					<h1 style="border-bottom-color:#<?php echo $this->item->color ?>;"><?php echo $this->item->act_name; ?></h1>
				</div>
				<div class="sy-subtitle">
				<?php foreach ($this->field as $field) {
					if ($this->fieldRaw[$field->id]->activity == $this->item->id && $this->fieldRaw[$field->id]->field_type == 0 && $this->fieldRaw[$field->id]->display_mode == 0 && $this->fieldRaw[$field->id]->field_index == 1) {
						?>
						<h4><?php if ($this->fieldRaw[$field->id]->display_title == 1):  ?><?php echo $field->title ?> // <?php endif ?><?php echo $field->text_field ?></h4>
						<?php
					}
				} 	?>
				</div>
				<div class="sy-secondary-info">
				<?php
		    	// define which activity to load
		    	    $count = 0;
		    	    $tabFields = array();
		    	    // define a counter
		    	    foreach ($this->field as $field) {
		    	    	$count = $count+1;	
		    	    } 
		    	    $b = 0;
		    	    // use counter to searche activities
		    	    for ($i=0;$i< $count; $i++) {
		    	    	// search for fields according to activity
		    	    	$activities = explode(',',$this->fieldRaw[$this->field[$i]->id]->activity);
		    	    	////////dump($activities);
		    	    	if (in_array($this->item->id, $activities)) {
		    	    		// transform object to array
		    	    		$oneArray = (array)$this->field[$i];
		    	    		//put item array in an array
		    	    		array_push($tabFields,$oneArray);
		    	   		}
		    	    }
		    	    ////////dump($tabFields);
		    	    // Define the sort function based on the field index

				    if (!function_exists('custom_sort'))
					{
						function custom_sort($a,$b) {
						    return strcmp($a["field_index"], $b["field_index"]);
						}
					}
		    	    // Sort the item array
				    usort($tabFields, "custom_sort");

		    		foreach ($tabFields as $key=>$field) { 
		    		if ($field['field_index'] > 1 ) { 
		    			////////dump($this->fieldRaw[$field['id']]->display_title, "field['display_title']");
		    			////////dump($this->fieldRaw[$field['id']]->display_mode);
		    			$pattern = '/"/';
				    	$display_mode = preg_replace($pattern, "", $this->fieldRaw[$field['id']]->display_mode);
				    	$pattern = '/(\])/';
				    	$display_mode = preg_replace($pattern, "", $display_mode);
				    	$pattern = '/(\[)/';
				    	$display_mode = preg_replace($pattern, "", $display_mode);
				    	
				    	$display_mode = explode(",", $display_mode);
				    	////////dump($display_mode, "display_mode");
				    	if (in_array(2, $display_mode)) {
		    			if ((int)$this->fieldRaw[$field['id']]->display_title == 1)  { ?>
		    			<h6>
		    				<?php echo $field['title'] ?>, <?php echo $field['text_field'] ?><span class="sy-separator"> | </span>
		    			</h6>

		    			<?php }
		    			else { ?>
		    			<h6>
		    				<?php echo $field['text_field'] ?><span class="sy-separator"> | </span>
		    			</h6>
		    			<?php }
		    			 }
		    			 }
		    			 } ?>
				</div> <!-- End secondary infos-->
				<?php echo $this->item->description ?></p>
			</div>	
		</div>
	</div>

    
    <?php
else:
    echo JText::_('COM_EASYTIMETABLE_ITEM_NOT_LOADED');
endif;
?>
