	<?php
/**
 * @version     1.8.2
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. All rigths reserved.
 * @license     GNU General Public License version 2 or later ; See Licence.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;


$app = JFactory::getApplication('site');
$ettParams = $app->getParams('com_easytimetable');
$jquery = $ettParams->get('loadjquery');
$jqueryui = $ettParams->get('loadjqueryui');

//JHtml::_('bootstrap.tooltip');

// Import CSS & JS
$document = JFactory::getDocument();
if ((int)$jquery == 1) {

	$document->addScript(JURI::root().'/media/jui/js/jquery.min.js');
}
if ((int)$jqueryui == 1) {
	$document->addScript('https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js');
}
$document->addStyleSheet('components/com_easytimetable/assets/js/tooltipster/css/tooltipster.bundle.min.css');
$document->addStyleSheet('components/com_easytimetable/assets/js/tooltipster/css/plugins/tooltipster/sideTip/themes/tooltipster-sideTip-borderless.min.css');

if ($this->item->type == 0) {
	
	$document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/planning.css');
	$document->addScript('components/com_easytimetable/views/planning/tmpl/js/filters.js');
	$document->addScript('components/com_easytimetable/views/planning/tmpl/js/merge-fixed.js');
}
else {
	$document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/planningadapt.css');
	$document->addScript('components/com_easytimetable/views/planning/tmpl/js/filtersadap.js');
	$document->addScript('components/com_easytimetable/views/planning/tmpl/js/adaptul.js');
	$document->addScript('components/com_easytimetable/views/planning/tmpl/js/timescale.js');
	$document->addScript('https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.3/moment.min.js');
}

$document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/uikit.min.css');
$document->addScript('components/com_easytimetable/views/planning/tmpl/js/uikit.min.js');
$document->addScript('components/com_easytimetable/assets/js/tooltipster/js/tooltipster.bundle.min.js');
$document->addScript('components/com_easytimetable/views/planning/tmpl/js/infofields.js');
$document->addScript('components/com_easytimetable/views/planning/tmpl/js/dist/html2canvas.min.js');
$document->addScript('components/com_easytimetable/views/planning/tmpl/js/print.js');


$user = JFactory::getUser();
$userId = JFactory::getUser()->id;
$userAccess = JAccess::getAuthorisedViewLevels($userId);

$name = $user->name;
$extension	= 'com_easytimetable';
jimport( 'joomla.access.access' );
$groups = JAccess::getGroupsByUser($userId, false);

$canEdit = $user->authorise('core.edit', 'com_easytimetable');
$canEditItem    = $user->authorise('core.edit', $extension .'.planning.'. $this->item->id);

if (!$canEdit && JFactory::getUser()->authorise('core.edit.own', 'com_easytimetable' . $this->item->id)) {
	$canEdit = JFactory::getUser()->id == $this->item->created_by;
}
if (!$canEdit && $canEditItem) {
	$canEdit = true;
}


$canEditOwn = $user->authorise('core.edit.own',   $extension . '.category.' . $this->item->id) && $this->item->created_by == $name;

$columns_names = explode(", ", $this->item->rows_name);

// Define the sort function for custom fields based on the field index
function custom_sort($a,$b) {
    return strcmp($a["field_index"], $b["field_index"]);
}
switch ($this->item->tooltiptextalign)
{
	case 0:
	$tttextalign = "left";
	break;
	case 1:
	$tttextalign = "center";
	break;
	case 2:
	$tttextalign = "right";
	break;
}

$ttfontsize = $this->item->tooltiptextsize . "px";
$tttitlesize = $this->item->tooltiptitlesize . "px";
$tttitletimepos = $this->item->tooltiptitletimepos;
$filterTab = array();
$insideStyle = "";

$titlestyle = json_decode($this->item->titlestyle);
$fullTitleStyle = array();
if(is_array($titlestyle))
{
	if(in_array("center", $titlestyle))
	{
		$style1 = "text-align:center;";
		array_push($fullTitleStyle, $style1);
	}
	if(in_array("left", $titlestyle))
	{
		$style1 = "text-align:left;padding-right: 5px;";
		array_push($fullTitleStyle, $style1);
	}
	if(in_array("right", $titlestyle))
	{
		$style1 = "text-align:right;padding-right: 5px;";
		array_push($fullTitleStyle, $style1);
	}
	if(in_array("bold", $titlestyle))
	{
		$style2 = "font-weight:bold;";
		array_push($fullTitleStyle, $style2);
	}
	if(in_array("underline", $titlestyle))
	{
		$style3 = "text-decoration:underline;";
		array_push($fullTitleStyle, $style3);
	}
	if(in_array("italic", $titlestyle))
	{
		$style4 = "font-style:italic;";
		array_push($fullTitleStyle, $style4);
	}
	if(in_array("small-caps", $titlestyle))
	{
		$style4 = "font-variant:small-caps;";
		array_push($fullTitleStyle, $style4);
	}
}


$timestyle = json_decode($this->item->timestyle);
$fullTimeStyle = array();
if(is_array($timestyle)){
	if(in_array("center", $timestyle))
	{
		$stylet1 = "text-align:center;";
		array_push($fullTimeStyle, $stylet1);
	}
	if(in_array("left", $timestyle))
	{
		$stylet1 = "text-align:left;padding-left: 5px;";
		array_push($fullTimeStyle, $stylet1);
	}
	if(in_array("right", $timestyle))
	{
		$stylet1 = "text-align:right;padding-right: 5px;";
		array_push($fullTimeStyle, $stylet1);
	}
	if(!in_array("left", $timestyle) && !in_array("right", $timestyle) && !in_array("center", $timestyle))
	{
		$stylet1 = "text-align:left;padding-left: 5px;";
		array_push($fullTimeStyle, $stylet1);
	}
	if(in_array("bold", $timestyle))
	{
		$stylet2 = "font-weight:bold;";
		array_push($fullTimeStyle, $stylet2);
	}
	if(in_array("underline", $timestyle))
	{
		$stylet3 = "text-decoration:underline;";
		array_push($fullTimeStyle, $stylet3);
	}
	if(in_array("italic", $timestyle))
	{
		$stylet4 = "font-style:italic;";
		array_push($fullTimeStyle, $stylet4);
	}
	if(in_array("small-caps", $timestyle))
	{
		$stylet4 = "font-variant:small-caps;";
		array_push($fullTimeStyle, $stylet4);
	}

	if(in_array("center", $titlestyle) && in_array("center", $timestyle))
	{
		$insideStyle = "text-align:center;";
	}

}


?>
<style type="text/css">
	.syet_select_cont {
		background: <?php echo $this->item->filterbgcolor ?>88;
		color: <?php echo $this->item->filterftcolor ?>;
	}
	.syet_select_cont::after {
		background: <?php echo $this->item->filterbgcolor ?>;
	}
	select.sy-select-filter {
		background: <?php echo $this->item->filterbgcolor ?>AA;
		color: <?php echo $this->item->filterftcolor ?>;
	}

	@media (max-width:768px) {
		<?php if (in_array("center", $titlestyle) && in_array("center", $timestyle)): ?>
			.activite {
				justify-content:center;
			}
		<?php elseif(in_array("right", $titlestyle) && in_array("left", $timestyle)):; ?>
			.activite {
				justify-content:space-between;
			}
			.time{
				order:1;
			}
			.acttitle{
				order:2;
			}
		<?php elseif(in_array("left", $titlestyle) && in_array("right", $timestyle)):; ?>
			.activite {
				justify-content:space-between;
			}
			.time{
				order:2;
			}
			.acttitle{
				order:1;
			}
		<?php endif ?>
	}
</style>
<?php if ($this->item) : ?>
	<?php if((int)$this->item->frontuser == 0 || (int)$this->item->frontuser == (int)$userId || in_array(7, $groups) || in_array(8, $groups)): ?>
		<input class="at" type="hidden" value="<?php echo $this->item->time_mode ?>" >
		<?php if ($this->item->type == 0): ?>
			<input class="ttm" type="hidden" value="<?php echo $this->item->type ?>" >
			<input class="baseurl" type="hidden" value="<?php echo JURI::root() ?>">
		<div class="syet-header" style="position:relative;">
			<?php if (isset($this->item->print) && $this->item->print == 1): ?>
				<div id="syet_print_<?php echo $this->item->id ?>" class="sy-print button" style="position:absolute;right:0;cursor:pointer;" title="<?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNING_TITLE_PRINT'); ?>"><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNING_PRINT'); ?></div>
			<?php endif ?>
			<?php if ($this->item->display_title == 1): ?>
		    	<h2 class="syet_timetable_title"><?php echo $this->item->p_name ?></h2>
		    <?php endif ?>
			
			<div class="sy-description">
				<?php echo $this->item->description ?>
			</div>
			
		</div>
		
		<?php $flexstyle = ($this->item->filtertype == 1 && $this->item->catfiltertype == 1 ) ? "display:flex;" : ""; ?>
		<div class="syet_all_filters" style="<?php echo $flexstyle ?>">
			<?php if ($this->item->display_filters == 1): ?>
				<?php if ($this->item->filtertype == 0): ?>

			    	<div class="sy-filters-<?php echo $this->item->id; ?>" data-planning-id="<?php echo $this->item->id; ?>" data-filter-type="<?php echo $this->item->filtertype ?>">
				    	<div id="sy-all" class="sy-actsingle allfilter button" style="background-color: <?php echo $this->item->filterbgcolor ?>;color:<?php echo $this->item->filterftcolor ?>;"><?php echo $this->item->allfiltertext ?></div>
				    	<?php foreach ($this->activities as $actiListSingle){
				    		$actsInTimetable = explode(",", $actiListSingle->timetable);
				    		$isTimetable = in_array($this->item->id, $actsInTimetable);
				    	    	if ($isTimetable && $actiListSingle->act_name != "blank" && $actiListSingle->activityfilters == 1) {
					   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $actiListSingle->act_name));
					                $acttitleid = preg_replace("/[\"’\/~\\<|\+->@]+/", "", $acttitleid);			                
					                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
					                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
					                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
					                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
					                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
					                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
					                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
					                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
					                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
					                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
						            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
						            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
						            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
						            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
						            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
						            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
						            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
						            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
						            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
						            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
						            
						            $filterTab[$acttitleid] = $actiListSingle;	
				    	    	}
				    	    }
				    	    switch ($this->item->filtersort) {
				    	    	case '0':
				    	    		break;
			    	    		case '1':
			    	    			ksort($filterTab);
				    	    		break;
				    	    	case '2':
			    	    			krsort($filterTab);
				    	    		break;
				    	    	default:
				    	    		ksort($filterTab);
				    	    		break;
				    	    }
				    	    foreach ($filterTab as $key => $val) {
							    if($val->act_name != "blank")
				    	    	{
							    	echo "<div id='sy-".$key."' class='sy-actsingle sy-".$key." button' data-linked=".$val->linked." activated='notactivated' overcolor='#".$val->color."' style='background-color: #".$val->color.";color:#".$val->fontcolor.";' data-act-id='".$val->id."'>&nbsp;".$val->act_name."</div>";
								}
							}
				    	 ?>
				    </div>
				<?php else: ?>
					<div class="sy-filters syet_select_cont" data-filter-type="<?php echo $this->item->filtertype ?>" data-timetable-id="<?php echo $this->item->id ?>">
				    	<select class="sy-select-filter">
				    		<option value="syresetfilters"><?php echo $this->item->allfiltertext ?></option>
					    	<?php foreach ($this->activities as $actiListSingle){
					    		$actsInTimetable = explode(",", $actiListSingle->timetable);
				    			$isTimetable = in_array($this->item->id, $actsInTimetable);
					    	    	if ($isTimetable && $actiListSingle->act_name != "blank" && $actiListSingle->activityfilters == 1) {
						   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $actiListSingle->act_name));
						                $acttitleid = preg_replace("/[\"’\/~\\<|\+->@]+/", "", $acttitleid);			                
						                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
						                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
						                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
						                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
						                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
						                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
						                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
						                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
						                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
						                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
							            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
							            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
							            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
							            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
							            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
							            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
							            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
							            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
							            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
							            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
					    	    		$filterTab[$acttitleid] = $actiListSingle;
					    	    	}
					    	    }
					    	    switch ($this->item->filtersort) {
					    	    	case '0':
					    	    		break;
				    	    		case '1':
				    	    			ksort($filterTab);
					    	    		break;
					    	    	case '2':
				    	    			krsort($filterTab);
					    	    		break;
					    	    	default:
					    	    		ksort($filterTab);
					    	    		break;
					    	    }
					    	    foreach ($filterTab as $key => $val) {
					    	    	if($val->act_name != "blank")
					    	    	{
					    	    		echo "<option value='" . $key . "'>" . $val->act_name . "</option>";
					    	    	}
									
					    	    	
								}
					    	?>
				    	</select>
				    </div>
			    <?php endif ?>	
			<?php endif ?>
			<?php if ($this->item->display_cat_filters == 1): ?>
				<?php if ($this->item->catfiltertype == 1): ?>
					<div class="syet-cat-filter-select syet_cat_filter_<?php echo $this->item->id ?>" data-cat-bgcolor="<?php echo $this->item->catfilterbgcolor ?>" data-cat-ftcolor="<?php echo $this->item->catfilterftcolor ?>" data-all-text="<?php echo $this->item->catallfiltertext ?>"  data-filter-type="<?php echo $this->item->catfiltertype ?>" data-timetable-id="<?php echo $this->item->id ?>" data-nocat="<?php echo $this->item->nocatname ?>"></div>
				<?php else: ?>
					<div class="syet-cat-filter-button syet_cat_filter_<?php echo $this->item->id ?>" data-cat-bgcolor="<?php echo $this->item->catfilterbgcolor ?>" data-cat-ftcolor="<?php echo $this->item->catfilterftcolor ?>" data-cat-mode="<?php echo $this->item->catfiltermode ?>" data-all-text="<?php echo $this->item->catallfiltertext ?>" data-filter-type="<?php echo $this->item->catfiltertype ?>" data-timetable-id="<?php echo $this->item->id ?>" data-nocat="<?php echo $this->item->nocatname ?>"></div>
				<?php endif ?>
			<?php endif ?>
		</div>
			
	    <div id="easytimetable-<?php echo $this->item->id ?>" class="fullplanning" data-id="<?php echo $this->item->id ?>" data-cat-sort="<?php echo $this->item->catfiltersort ?>">		
	    	<div class="syet_timetable_container">
		    	<?php if($this->item->display_time_scale == 1): ?>
			    	<div class="syet_timescale_cont">
			    		<div class="col-title timescale">&nbsp;</div>
			    		<div class="sy-row-container syet_timescale" data-rows="<?php echo $this->item->rows ?>">
			    			<?php 
			    			
			    			$timescale_duration = ((int)$this->item->timescale_duration > 0 && $this->item->timescale_duration != "" && !empty($this->item->timescale_duration)) ? (int)$this->item->timescale_duration : 60;
			    			for ($i=0; $i < $this->item->cells; $i++) {
				    			$timestamp = strtotime($this->item->start_h) + 60 * $timescale_duration * $i;
				    			if((int)$this->item->time_mode == 1)
				    			{
				    				$time = date('g:i a', $timestamp);
				    			}
				    			else
				    			{
				    				$time = date('H:i', $timestamp);
				    			}
								
								?>
			    				<div class="creneau" style="height:<?php echo $this->item->height ?>px;"><?php echo $time ?></div>

			    			<?php }	?>
			    		</div>
			    	</div>
			    <?php endif ?>
		   	<?php 
		   		$rows = $this->item->rows;
		   		$rwidth= 95/$rows;

		   		for ($number=1;$number<=$rows;$number++) { ?>
			   	
			   	<div class="sy-row-container" style="width:<?php // echo $rwidth ?>%" >
				   	<div id="<?php echo $number ?>" class="row-<?php echo $number ?> rows" >
				   		<div class="col-title"><?php if (isset($columns_names[$number-1])) {$title = $columns_names[$number-1];echo JText::_($title);}  ?></div>
					   	<?php	
					   		$cells = $this->item->cells;
					   		$rheight = 65*$cells;
					   		for ($cell=1;$cell<=$cells;$cell++) {
					   			$idcell = $cell;
					   			if ($idcell < 10) {
		                            $zero = "00";
		                        }
		                        else {
		                            $zero = "0";
		                        } 
					   			global $empty;
					   			$empty;
					   			$idul = $number.$zero.$idcell;	
					   			$nbarray = count($this->planact);
					   			
					   			
					   			for ($i=0;$i<$nbarray;$i++) {
					   				
					   				if ($idul == $this->planact[$i]->id_cell && $this->planact[$i]->id_planning == $this->item->id ) {
					   					$empty = "full";

					   					break;	
					   				}
					   				else {
					   					$empty = "empty";
			
					   				}
					   			}
					   			$tabAct = [];
					   			?>
							   	<ul id="cellule_<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?>" class="creneau creneau<?php echo $idcell ?> <?php echo $empty ?>" data-height="<?php echo $this->item->height ?>" style="background-color:#<?php echo $this->item->cell_color ?>;height:<?php echo $this->item->height ?>px;">
							   		<?php $pActs = $this->pact->getPlannedAct((int)$this->item->id, (int)$idul);  ?>

							   		<?php foreach ($pActs as $key=>$value) {
							   			if ($this->item->time_mode == 1)
		                                {
		                                    $start = $value->start_t;
		                                    $end = $value->end_t;
		                                    //modification heure suite à mise à jour mode 12h
		                                    if (substr($value->start_t, 5, 3) == ":00") {
		                                        if ((int)substr($value->start_t, 0, 2) >= 1 && (int)substr($value->start_t, 0, 2) < 12) {
		                                            $startStart = (int)substr($value->start_t, 0, 2);
		                                            $endStart = " am";
		                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
		                                        }
		                                        else if ((int)substr($value->start_t, 0, 2) == 0) {
		                                            $startStart = 12;
		                                            $endStart = " am";
		                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
		                                        }
		                                        else if ((int)substr($value->start_t, 0, 2) == 12) {
		                                            $startStart = 12;
		                                            $endStart = " pm";
		                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
		                                        }
		                                        else if ((int)substr($value->start_t, 0, 2) > 12) {
		                                            $startStart = (int)substr($value->start_t, 0, 2) - 12;
		                                            $endStart = " pm";
		                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
		                                        }
		                                    }
		                                    if (substr($value->end_t, 5, 3) == ":00") {
		                                        if ((int)substr($value->end_t, 0, 2) >= 1 && (int)substr($value->end_t, 0, 2) < 12) {
		                                            $startEnd = (int)substr($value->end_t, 0, 2);
		                                            $endEnd = " am";
		                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
		                                        }
		                                        else if ((int)substr($value->end_t, 0, 2) == 0) {
		                                            $startEnd = 12;
		                                            $endEnd = " am";
		                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
		                                        }
		                                        else if ((int)substr($value->end_t, 0, 2) == 12) {
		                                            $startEnd = 12;
		                                            $endEnd = " pm";
		                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
		                                        }
		                                        else if ((int)substr($value->end_t, 0, 2) > 12) {
		                                            $startEnd = (int)substr($value->end_t, 0, 2) - 12;
		                                            $endEnd = " pm";
		                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
		                                        }
		                                    }
		                                }
		                                else {
		                                    $start = substr($value->start_t, -8, 5);
		                                    $end = substr($value->end_t, -8, 5);
		                                }
							   			
							   			$act =  $this->pact->getActi($value->id_activity); 
							   			
							   			if (($value->id_cell == $number.$zero.$idcell) && ($value->id_activity == $act->id) && ($this->item->id == $value->id_planning)) {
							   				array_push($tabAct, $act->act_name);
											//On compte le nombre d'élément du tableau pour l'ajouter à l'id de l'activité
											$actCount = count($tabAct);
											
							   				if ($value->state == 0) {
							   					$opacity = 0.4;
							   				}
							   				else {
							   					$opacity = 1;
							   				}
							   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'\-\*]/", "", $act->act_name));
							                $acttitleid = preg_replace("/[\"’\/~\\<|\+->@]+/", "", $acttitleid);
							                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
							                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
							                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
							                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
							                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
							                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
							                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
							                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
							                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
							                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
								            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
								            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
								            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
								            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
								            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
								            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
								            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
								            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
								            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
								            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
								            if (!empty($act->overcolor))
								            {
								            	$overColor = "#".$act->overcolor;
								            }
								            else 
								            {
								            	$overColor = "#".$act->color;
								            }

								            if (!empty($act->fontcolor))
								            {
								            	$fontColor = "#".$act->fontcolor;
								            }
								            else 
								            {
								            	$fontColor = "#ffffff";
								            }

								            if (!empty($act->fontovercolor))
								            {
								            	$fontOverColor = "#".$act->fontovercolor;
								            }
								            else 
								            {
								            	$fontOverColor = "#ffffff";
								            }

									        $realActName = ($act->act_name != $value->acti_name && $value->acti_name != "") ? $value->acti_name : $act->act_name;

								            if (($act->linked == 1 && $act->targetmodal == 0) || $act->linked == 2 || $act->linked == 3)
								            {
									            if ($act->linked == 1 && $act->targetmodal == 0)
									            {
									            	$theUrl = JRoute::_(JURI::root() .'index.php?option=com_easytimetable&view=activity&id=' . $act->id);
									            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_DISPLAY_ACTIVITY');	
									            }
									            else if ($act->linked == 2)
									            {
									            	$theUrl =  $this->fullActivities[$act->id]->ext_link;
									            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE');	
									            }
									            else if ($act->linked == 3)
									            {
									            	$theUrl =  JURI::root() . $this->menulink[$act->id]->link;
									            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE');
									            }

									            $theLink = '<a href="';
								            	$theLink .= $theUrl;
								            	$theLink .= '"';
								            	$theLink .= 'target="';
								            	$theLink .= $act->target;
								            	$theLink .= '"';
								            	$theLink .= 'style="color:';
								            	$theLink .= $fontColor;
								            	$theLink .= '"';
								            	$theLink .= 'title="';
								            	$theLink .= $theTitle;
								            	$theLink .= '">';
								            	$theLink .= $realActName;
								            	$theLink .= '</a>'; 

									        }
									        else if ($act->linked == 1 && $act->targetmodal == 1)
									        {
									        	$theLink = '<a href="#syet_modal_desc_' . $act->id . '" uk-toggle>' . $realActName .'</a>';
									        }
									        else
								            {								            	
								            	$theLink = $realActName;
								            }

								            $realBgColor = ($value->color == "") ? $act->color : $value->color;
								            $realBgOColor = ($value->overcolor == "") ? $act->overcolor : $value->overcolor;
								            $realFtColor = ($value->fontcolor == "") ? $act->fontcolor : $value->fontcolor;
								            $realFtOColor = ($value->fontovercolor == "") ? $act->fontovercolor : $value->fontovercolor;
							   				?>
							   				<li id="act_<?php echo $value->id_cell ?><?php echo $actCount ?><?php echo $this->item->id ?>" data-image-url="<?php echo JRoute::_(JURI::base(). $act->image) ?>" data-linked="<?php echo $act->linked ?>" data-link="<?php echo htmlspecialchars($theLink) ?>" data-desktop-title="<?php echo $act->titlecell ?>" data-mobile-title="<?php echo $act->titlecellres ?>" data-desktop-time="<?php echo $act->timecell ?>" data-mobile-time="<?php echo $act->timecellres ?>" data-title="<?php echo $act->act_name ?>" data-start="<?php echo $start ?>" data-end="<?php echo $end ?>"  data-tooltip-trigger="<?php echo $act->tooltipclickhover ?>" data-idcell="<?php echo $value->id_cell ?>" data-count="<?php echo $actCount ?>" data-li-id="<?php echo $acttitleid ?>_<?php echo $value->id_cell ?><?php echo $actCount ?><?php echo $this->item->id ?>" data-tooltip-content="#sy-infofields<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?><?php echo $actCount ?><?php echo $this->item->id ?>" data-filter="<?php echo $acttitleid ?>" data-merge="<?php echo $value->merge ?>" data-height="<?php echo $this->item->height ?>" data-act-id="<?php echo $act->id ?>" data-color="#<?php echo $realBgColor; ?>" data-overcolor="<?php echo $realBgOColor; ?>" data-fontcolor="<?php echo $realFtColor; ?>" data-fontovercolor="<?php echo $realFtOColor ?>" class="<?php echo $acttitleid ?>-<?php echo $act->id ?> activite" data-timetable-id="<?php echo $this->item->id ?>" data-cat="<?php echo $act->categories ?>" style="background-color:#<?php echo $realBgColor; ?>;color:#<?php echo $realFtColor; ?> !important;opacity:<?php echo $opacity ?>;" title="">
							   					<?php if ($this->item->sorttitletime == 0): ?>
							   						<?php if ((int)$act->titlecell == 1): ?>
								   						<div class="acttitle" style="font-size:<?php if($this->item->titlesize != "") {echo $this->item->titlesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTitleStyle) ?>" title="<?php echo $act->act_name ?>"><?php echo $theLink ?></div>
								   					<?php else: ?>
								   						<div class="acttitle" style="font-size:<?php if($this->item->titlesize != "") {echo $this->item->titlesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTitleStyle) ?> title="<?php echo $act->act_name ?>">&nbsp;</div>
								   					<?php endif ?>
								   					<?php if ((int)$act->timecell == 1 && $this->item->timedisplay == 0): ?>
									   					<div class="time" style="font-size:<?php if($this->item->timesize != "") {echo $this->item->timesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTimeStyle) ?>">
										   					<span class="start"><?php echo $start ?></span>
											   					<?php if($this->item->timeseparator != "4"): ?>
											   						<?php if($this->item->timeseparator == "space"): ?>
											   						<?php else: ?>
											   							<span class="separator"><?php echo $this->item->timeseparator ?></span>
											   						<?php endif ?>
										   						<?php else: ?>
										   							<br>
											   					<?php endif ?>
										   					<span class="end"><?php echo $end ?></span>
									   					</div>
								   					<?php endif ?>
							   					<?php else: ?>
								   					<?php if ((int)$act->timecell == 1 && $this->item->timedisplay == 0): ?>
									   					<div class="time" style="font-size:<?php if($this->item->timesize != "") {echo $this->item->timesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTimeStyle) ?>">
										   					<span class="start"><?php echo $start ?></span>
											   					<?php if($this->item->timeseparator != "4"): ?>
											   						<?php if($this->item->timeseparator == "space"): ?>
											   						<?php else: ?>
											   							<span class="separator"><?php echo $this->item->timeseparator ?></span>
											   						<?php endif ?>
										   						<?php else: ?>
										   							<br>
											   					<?php endif ?>
										   					<span class="end"><?php echo $end ?></span>
									   					</div>
								   					<?php endif ?>
								   					<?php if ((int)$act->titlecell == 1): ?>	
								   						<div class="acttitle" style="font-size:<?php if($this->item->titlesize != "") {echo $this->item->titlesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTitleStyle) ?>" title="<?php echo $act->act_name ?>"><?php echo $theLink ?></div>
								   					<?php endif ?>
								   					
							   					<?php endif ?>
							   					<?php if($value->textincell != ""):	?>
								   					<div class="syet_cell_content" style="<?php echo $insideStyle ?>">
								   						<?php echo $value->textincell ?>
								   					</div>
							   					<?php endif ?>
							   					<!-- Modal Description -->
							   					<?php if ($act->linked == 1 && $act->targetmodal == 1): ?>
							   						<div id="syet_modal_desc_<?php echo $act->id ?>" class="" uk-modal>
							   							<div class="uk-modal-dialog uk-modal-body">
							   								<button class="uk-modal-close-default" type="button" uk-close></button>
							   								<?php if(isset($act->image)): ?>
							   									<img src="<?php echo $act->image ?>">
							   								<?php endif ?>
							   								<h2 class="uk-modal-title"><?php echo $realActName; ?></h2>
							   								<p><?php echo $act->description ?></p>
							   							</div>
							   						</div>
							   					<?php endif ?>
							   					<div class="sy-tooltip-container" style="display:none;">
							   					<div id="sy-infofields<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?><?php echo $actCount ?><?php echo $this->item->id ?>" data-title-order="<?php echo $this->item->tooltiptitletimepos ?>" data-tooltip-title-size="<?php echo $tttitlesize ?>" data-tooltip-font-size="<?php echo $ttfontsize ?>" data-tooltip-align="<?php echo $tttextalign ?>" data-tooltip-mobile-title="<?php echo $act->titletooltipres ?>" data-tooltip-mobile-time="<?php echo $act->timetooltipres ?>" data-tooltip-mobile-image="<?php echo $act->image_tipres ?>" class="sy-infotoshow" style="color:#<?php echo $realFtOColor ?>"><?php
									   				
									   				if ($tttitletimepos == 0) {
								   						if ((int)$act->titletooltip == 1)
									   						{
									   							echo "<div class='sy-tooltip-title' style='text-align:".$tttextalign.";font-size:".$tttitlesize.";'>".$realActName."</div>";
									   						}
									   						if ((int)$act->timetooltip == 1)
									   						{
									   							echo "<div class='sy-tooltip-time' style='text-align:".$tttextalign.";font-size:".$ttfontsize.";'>".$value->start_t." > ".$value->end_t."</div>";
									   						}
							   						}
								   					
								   					//Si contenu modifié dans cell
								   					if ($act->tooltiptextabove != $value->tooltiptextabove && $value->tooltiptextabove != "")
								   					{
								   						echo "<div class='sy-tooltiptextabove' style=';font-size:".$ttfontsize.";'>".$value->tooltiptextabove."</div>";
								   					}
								   					elseif (!empty($act->tooltiptextabove)) {
								   						echo "<div class='sy-tooltiptextabove' style=';font-size:".$ttfontsize.";'>".$act->tooltiptextabove."</div>";
								   					}

								   					 

								   					if ($act->image != $value->image && $value->image != "" && $this->fullActivities[$act->id]->image_tip == 1) 
								   					{
								   							echo "<div class='sy-info-image' style='vertical-align:middle;text-align:center !important;'><div class='sy-tooltipimage' style='text-align:center;'><img style='text-align:center;' src='".JRoute::_(JURI::base(). $value->image)."'/></div></div>"; 
								   					} 
								   					elseif (!empty($act->image) && $this->fullActivities[$act->id]->image_tip == 1) 
								   					{
								   							echo "<div class='sy-info-image' style='vertical-align:middle;text-align:center !important;'><div class='sy-tooltipimage' style='text-align:center;'><img style='text-align:center;' src='".JRoute::_(JURI::base(). $act->image)."'/></div></div>"; 
								   					}

								   					
								   					//Si contenu modifié dans cell
								   					if ($act->tooltiptextunder != $value->tooltiptextunder && $value->tooltiptextunder != "")
								   					{
								   						echo "<div class='sy-tooltiptextabove' style=';font-size:".$ttfontsize.";'>".$value->tooltiptextunder."</div>";
								   					}
								   					elseif (!empty($act->tooltiptextunder))
								   					{
								   						echo "<div class='sy-tooltiptextunder' style='font-size:".$ttfontsize.";'>".$act->tooltiptextunder."</div>";
								   					}
								   					if ($tttitletimepos == 1) {
								   						if ((int)$act->titletooltip == 1)
									   						{
									   							echo "<div class='sy-tooltip-title' style='text-align:".$tttextalign.";font-size:".$tttitlesize.";'>".$realActName."</div>";
									   						}
									   						if ((int)$act->timetooltip == 1)
									   						{
									   							echo "<div class='sy-tooltip-time' style='text-align:".$tttextalign.";font-size:".$ttfontsize.";'>".$value->start_t." > ".$value->end_t."</div>";
									   						}
							   						}

								   					// define which activity to load
										    	    $count = 0;
										    	    $tabFields = array();
										    	    // define a counter
										    	    foreach ($this->field as $field) {
										    	    	$count = $count+1;
										    	    	
										    	    } 
										    	    $b = 0;
										    	    // use counter to searche activities
										    	    for ($i=0;$i< $count; $i++) {
										    	    	// search for fields according to activity
										    	    	$activities = explode(',',$this->fieldRaw[$this->field[$i]->id]->activity);
										    	    	
										    	    	if (in_array($act->id, $activities)) {
										    	    		// transform object to array
										    	    		$oneArray = (array)$this->field[$i];
										    	    		//put item array in an array
										    	    		array_push($tabFields,$oneArray);
										    	   		}
										    	    }
										    	   
										    	    // Sort the item array
												    usort($tabFields, "custom_sort");

										    		foreach ($tabFields as $key=>$field) { 
											    		
										    			$pattern = '/"/';
												    	$display_mode = preg_replace($pattern, "", $this->fieldRaw[$field['id']]->display_mode);
												    	$pattern = '/(\])/';
												    	$display_mode = preg_replace($pattern, "", $display_mode);
												    	$pattern = '/(\[)/';
												    	$display_mode = preg_replace($pattern, "", $display_mode);
												    	
												    	$display_mode = explode(",", $display_mode);
												    	
												    	if (in_array(0, $display_mode) && in_array($field['access'], $userAccess) && $value->state == 1) {
											    			if ((int)$this->fieldRaw[$field['id']]->display_title == 1)  {
											    			echo "<div class='sy-info-text' style='vertical-align:middle;text-align:".$tttextalign.";font-size:".$ttfontsize.";'>
											    				<div class='sy-tooltiptitle'>".$field['title']."
												    			</div>
											    				<div class='sy-tooltiptext'>".$field['text_field']."
											    				</div>
											    			</div>";
											    			}
											    			else {
											    			echo "<div class='sy-info-text' style='vertical-align:middle;'>
											    				<div class='sy-tooltiptext' style='vertical-align:middle;text-align:".$tttextalign.";font-size:".$ttfontsize.";'>".$field['text_field']."
											    				</div>
											    			</div>";
											    			
											    			}
										    			}	
										    		}  
													 ?></div>
												</div>	
												 <div class="sy-insideInfo"><?php 
						   					   	// define which activity to load
									    	    $count = 0;
									    	    $tabFields = array();
									    	    // define a counter
									    	    foreach ($this->field as $field) {
									    	    	$count = $count+1;
									    	    	
									    	    } 
									    	    $b = 0;

									    	    // use counter to searche activities
									    	    for ($i=0;$i< $count; $i++) {
									    	    	// search for fields according to activity
									    	    	$activities = explode(',',$this->fieldRaw[$this->field[$i]->id]->activity);
									    	    	
									    	    	if (in_array($act->id, $activities)) {
									    	    		// transform object to array
									    	    		$oneArray = (array)$this->field[$i];
									    	    		//put item array in an array
									    	    		array_push($tabFields,$oneArray);
									    	   		}
									    	    }
									    	   
									    	    // Sort the item array
											    usort($tabFields, "custom_sort");

									    		foreach ($tabFields as $key=>$field) { 
										    		
									    			$pattern = '/"/';
											    	$display_mode = preg_replace($pattern, "", $this->fieldRaw[$field['id']]->display_mode);
											    	$pattern = '/(\])/';
											    	$display_mode = preg_replace($pattern, "", $display_mode);
											    	$pattern = '/(\[)/';
											    	$display_mode = preg_replace($pattern, "", $display_mode);
											    	
											    	$display_mode = explode(",", $display_mode);
											    	
											    	if (in_array(1, $display_mode) && in_array($field['access'], $userAccess) && $value->state == 1) {
										    			if ((int)$this->fieldRaw[$field['id']]->display_title == 1)  {
										    			echo "<div class='sy-info-text' style='vertical-align:middle;'>
										    				<div class='sy-tooltiptitle'>".$field['title']."
											    			</div>
										    				<div class='sy-tooltiptext'>".$field['text_field']."
										    				</div>
										    			</div>";
										    			}
										    			else {
										    			echo "<div class='sy-info-text' style='vertical-align:middle;'>
										    				<div class='sy-tooltiptext'>".$field['text_field']."
										    				</div>
										    			</div>";
										    			
										    			}
									    			}	
									    		}
						   					   	?></div>
							   				</li>
							   				<?php
							   					}
							   			}								
									?></ul>
							   	<?php		
					   		}
					    ?>	
				   	</div>
			   	</div>
		   	
		   	<?php	
		   	}
		    ?>
		    </div>
	    </div>
	    <?php endif ?>

	    <!-- Adaptative Layout -->
		<?php if ($this->item->type == 1): ?>
		<div class="startingtime" style="display:none;"><?php echo $this->item->start_h; ?></div>
		<input class="ttm" type="hidden" value="<?php echo $this->item->type ?>" >
		<div class="syet-header" style="position:relative;">
			<?php if (isset($this->item->print) && $this->item->print == 1): ?>
				<div id="syet_print_<?php echo $this->item->id ?>" class="sy-print button" style="position:absolute;right:0;cursor:pointer;" title="<?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNING_TITLE_PRINT'); ?>"><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNING_PRINT'); ?></div>
			<?php endif ?>
			<?php if ($this->item->display_title == 1): ?>
		    	<h2 class="syet_timetable_title"><?php echo $this->item->p_name ?></h2>
		    <?php endif ?>
		    <div class="sy-description">
				<?php echo $this->item->description ?>
			</div>
			
	    </div>
		<div id="easytimetable-<?php echo $this->item->id?>" data-height-factor="<?php echo $this->item->height_factor ?>" data-display-mode="0" data-starttime="<?php echo $this->item->start_h; ?>" class="fullplanning" data-cat-sort="<?php echo $this->item->catfiltersort ?>" data-id="<?php echo $this->item->id?>">
		    
		    <!-- Show Activity filters -->
		    <?php $flexstyle = ($this->item->filtertype == 1 && $this->item->catfiltertype == 1 ) ? "display:flex;" : ""; ?>
		    <div class="syet_all_filters" style="<?php echo $flexstyle ?>">
		    <?php if ($this->item->display_filters == 1): ?>
		    	<?php if ($this->item->filtertype == 0): ?>
			    <div class="sy-filters" data-filter-type="<?php echo $this->item->filtertype ?>">
			    	<div id="sy-all" class="sy-actsingle allfilter button" style="background-color: <?php echo $this->item->filterbgcolor ?>;color:<?php echo $this->item->filterftcolor ?>;"><?php echo $this->item->allfiltertext ?></div>
			    	<?php foreach ($this->activities as $actiListSingle){
			    		$actsInTimetable = explode(",", $actiListSingle->timetable);
			    		$isTimetable = in_array($this->item->id, $actsInTimetable);
			    		
		    	    	if ($isTimetable && $actiListSingle->activityfilters == 1) {
		    	    		$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $actiListSingle->act_name));
			                $acttitleid = preg_replace("/[\"’\/~\\<|\+->@]+/", "", $acttitleid);
			                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
			                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
			                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
			                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
			                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
			                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
			                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
			                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
			                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
			                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
				            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
				            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
				            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
				            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
				            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
				            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
				            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
				            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
				            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
				            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
				            $filterTab[$acttitleid] = $actiListSingle;

			    	    	}
			    	    }
			    	    switch ($this->item->filtersort) {
			    	    	case '0':
			    	    		break;
		    	    		case '1':
		    	    			ksort($filterTab);
			    	    		break;
			    	    	case '2':
		    	    			krsort($filterTab);
			    	    		break;
			    	    	default:
			    	    		ksort($filterTab);
			    	    		break;
			    	    }
			    	    
			    	    foreach ($filterTab as $key => $val) {
							if($val->act_name != "blank")
			    	    	{	
								echo '<div id="sy-'.$key.'" class="sy-actsingle sy-'.$key.' button" data-title="'.$val->act_name.'" style="background-color:#'.$val->color.';color:#'.$val->fontcolor.' !important;">'.$val->act_name.'</div>';
							}
						}
		    	?>
			    </div>
			    <?php else: ?>
					<div class="sy-filters syet_select_cont" data-filter-type="<?php echo $this->item->filtertype ?>" data-timetable-id="<?php echo $this->item->id ?>">
				    	<select class="sy-select-filter">
				    		<option value="syresetfilters"><?php echo $this->item->allfiltertext ?></option>
					    	<?php foreach ($this->activities as $actiListSingle){
					    		$actsInTimetable = explode(",", $actiListSingle->timetable);
				    			$isTimetable = in_array($this->item->id, $actsInTimetable);
					    	    	if ($isTimetable && $actiListSingle->act_name != "blank" && $actiListSingle->activityfilters == 1) {
						   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $actiListSingle->act_name));
						                $acttitleid = preg_replace("/[\"’\/~\\<|+\->@]+/", "", $acttitleid);			                
						                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
						                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
						                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
						                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
						                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
						                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
						                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
						                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
						                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
						                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
							            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
							            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
							            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
							            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
							            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
							            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
							            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
							            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
							            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
							            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
					    	    		$filterTab[$acttitleid] = $actiListSingle;
					    	    	}
					    	    }
					    	    switch ($this->item->filtersort) {
					    	    	case '0':
					    	    		break;
				    	    		case '1':
				    	    			ksort($filterTab);
					    	    		break;
					    	    	case '2':
				    	    			krsort($filterTab);
					    	    		break;
					    	    	default:
					    	    		ksort($filterTab);
					    	    		break;
					    	    }
					    	    foreach ($filterTab as $key => $val) {
									if($val->act_name != "blank")
					    	    	{
										echo "<option value='" . $key . "'>" . $val->act_name . "</option>";
					    	    	}
								}
					    	?>
				    	</select>
				    </div>
			    <?php endif ?>
		    <?php endif ?>
		    <?php if ($this->item->display_cat_filters == 1): ?>
				<?php if ($this->item->catfiltertype == 1): ?>
					<div class="syet-cat-filter-select syet_cat_filter_<?php echo $this->item->id ?>" data-cat-bgcolor="<?php echo $this->item->catfilterbgcolor ?>" data-cat-ftcolor="<?php echo $this->item->catfilterftcolor ?>" data-all-text="<?php echo $this->item->catallfiltertext ?>" data-filter-type="<?php echo $this->item->catfiltertype ?>" data-timetable-id="<?php echo $this->item->id ?>" data-nocat="<?php echo $this->item->nocatname ?>"></div>
				<?php else: ?>
					<div class="syet-cat-filter-button syet_cat_filter_<?php echo $this->item->id ?>" data-cat-bgcolor="<?php echo $this->item->catfilterbgcolor ?>" data-cat-ftcolor="<?php echo $this->item->catfilterftcolor ?>" data-cat-mode="<?php echo $this->item->catfiltermode ?>" data-all-text="<?php echo $this->item->catallfiltertext ?>" data-filter-type="<?php echo $this->item->catfiltertype ?>" data-timetable-id="<?php echo $this->item->id ?>" data-nocat="<?php echo $this->item->nocatname ?>"></div>
				<?php endif ?>
			<?php endif ?>
		</div>
		<div class="syet_timetable_container">	
		<?php if($this->item->display_time_scale == 1): ?>
	    	<div class="sy-row-container syet_timescale_cont">
	    		<div class="col-title">&nbsp;</div>
	    		<div id="row_0" class="time_scale"></div>
	    	</div>
	    <?php endif ?>

		    <?php 
	   		$rows = $this->item->rows;
	   		$rwidth= 95/$rows;
	   		for ($number=1;$number<=$rows;$number++) {
	   	?>
		   	<div class="sy-row-container" style="width:<?php echo $rwidth ?>%" >
		   		
		   		<div class="col-title"><?php if (isset($columns_names[$number-1])) {$title = $columns_names[$number-1];} else {$title = "";} 
			   			echo JText::_($title); ?>
			   		</div>
			   	<div id="sy-theinfo" class="sy-thedivinfo" style="z-index:20000;position:absolute;"></div>
			   	<ul id="<?php echo $number ?>" class="row-<?php echo $number ?> rows sy-adaptative" style="background-color:#<?php echo $this->item->cell_color ?>;height:<?php echo $this->item->height ?>px;" >
			   		
				   	<?php	
				   		$cells = 100;
				   		$rheight = 65*$cells;
				   		for ($cell=1;$cell<=$cells;$cell++) {
				   			$idcell = $cell;
				   			if ($idcell < 10) {
	                            $zero = "00";
	                        }
	                        else {
	                            $zero = "0";
	                        } 
				   			global $empty;
				   			$empty;
				   			$idul = $number.$zero.$idcell;	
				   			$nbarray = count($this->planact);
				   			
				   			for ($i=0;$i<$nbarray;$i++) {
				   				
				   				if ($idul == $this->planact[$i]->id_cell ) {
				   					$empty = "full";
				   					break;	
				   				}
				   				else {
				   					$empty = "empty";
		
				   				}
				   			}
				   			?>
						   	 <?php $pActs = $this->pact->getPlannedAct((int)$this->item->id, (int)$idul);  ?>
						   		<?php foreach ($pActs as $key=>$value) {
						   			// Display time regarding Time mode
						   			if ((int)$this->item->time_mode == 1)
	                                {
	                                    $start = $value->start_t;
	                                    $end = $value->end_t;    
	                                }
	                                else {
	                                    $start = substr($value->start_t, -8, 5);
	                                    $end = substr($value->end_t, -8, 5);
	                                }
						   			//
						   			$act =  $this->pact->getActi($value->id_activity); 
						   			
						   				
						   			if (($value->id_cell == $number.$zero.$idcell) && ($value->id_activity == $act->id) && ($this->item->id == $value->id_planning)) {
						   				
						   				if ($value->state == 0) {
						   					$opacity = 0;
						   					$imgnotpub = "url('components/com_easytimetable/assets/images/notpublishedbig.png') no-repeat 5px 5px";
						   					$infonp = "";
						   					
						   				}
						   				else {
						   					$opacity = 1;
						   					$imgnotpub = '';
						   					$infonp = "";
						   				}
						   				
						   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $act->act_name));
						                $acttitleid = preg_replace("/[\"’\/~\\<+>@]+/", "", $acttitleid);
						                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
						                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
						                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
						                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
						                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
						                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
						                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
						                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
						                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
						                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
							            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
							            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
							            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
							            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
							            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
							            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
							            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
							            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
							            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
							            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
							            
							            $realActName = ($act->act_name != $value->acti_name && $value->acti_name != "") ? $value->acti_name : $act->act_name;

							            $realBgColor = ($value->color == "") ? $act->color : $value->color;
							            $realBgOColor = ($value->overcolor == "") ? $act->overcolor : $value->overcolor;
							            $realFtColor = ($value->fontcolor == "") ? $act->fontcolor : $value->fontcolor;
							            $realFtOColor = ($value->fontovercolor == "") ? $act->fontovercolor : $value->fontovercolor;


							            if (($act->linked == 1 && $act->targetmodal == 0) || $act->linked == 2 || $act->linked == 3)
							            {
								            if ($act->linked == 1 && $act->targetmodal == 0)
								            {
								            	$theUrl = JRoute::_(JURI::root() .'index.php?option=com_easytimetable&view=activity&id=' . $act->id);
								            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_DISPLAY_ACTIVITY');	
								            }
								            else if ($act->linked == 2)
								            {
								            	$theUrl =  $this->fullActivities[$act->id]->ext_link;
								            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE');	
								            }
								            else if ($act->linked == 3)
								            {
								            	$theUrl =  JURI::root() . $this->menulink[$act->id]->link;
								            	$theTitle = JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE');
								            }

								            $theLink = '<a href="';
							            	$theLink .= $theUrl;
							            	$theLink .= '"';
							            	$theLink .= 'target="';
							            	$theLink .= $act->target;
							            	$theLink .= '"';
							            	$theLink .= 'style="color:';
							            	$theLink .= $fontColor;
							            	$theLink .= '"';
							            	$theLink .= 'title="';
							            	$theLink .= $theTitle;
							            	$theLink .= '">';
							            	$theLink .= $realActName;
							            	$theLink .= '</a>'; 

								        }
								        else if ($act->linked == 1 && $act->targetmodal == 1)
								        {
								        	$theLink = '<a href="#syet_modal_desc_' . $act->id . '" uk-toggle>' . $realActName .'</a>';
								        }
								        else
							            {								            	
							            	$theLink = $realActName;
							            }

							            
							            $duree = (strtotime($end) - strtotime($start)) / 60;
							            
						   				?>
						   				
						   				<li id="act_<?php echo $value->id_cell ?><?php echo $this->item->id ?>" data-filter="<?php echo $acttitleid ?>" data-image-url="<?php echo JRoute::_(JURI::base(). $act->image) ?>" data-linked="<?php echo $act->linked ?>" data-link="<?php echo htmlspecialchars($theLink) ?>" data-desktop-title="<?php echo $act->titlecell ?>" data-mobile-title="<?php echo $act->titlecellres ?>" data-desktop-time="<?php echo $act->timecell ?>" data-mobile-time="<?php echo $act->timecellres ?>" data-title="<?php echo $act->act_name ?>" data-start="<?php echo $start ?>" data-end="<?php echo $end ?>" data-tooltip-trigger="<?php echo $act->tooltipclickhover ?>" data-idcell="<?php echo $value->id_cell ?>" data-li-id="<?php echo $acttitleid ?>_<?php echo $value->id_cell ?><?php echo $this->item->id ?>" data-tooltip-content="#sy-infofields<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?><?php echo $this->item->id ?>" data-state="<?php echo $value->state ?>" data-color="<?php echo $realBgColor; ?>" data-overcolor="<?php echo $realBgOColor; ?>" data-fontcolor="<?php echo $realFtColor; ?>" data-fontovercolor="<?php echo $realFtOColor; ?>" data-duree="<?php echo $duree ?>" data-cat="<?php echo $act->categories ?>" class="<?php echo $acttitleid ?> activite" title="<?php echo $infonp ?>" <?php if ($realActName == "blank"): ?> style="background-color:rgba(255,255,255, 0);"<?php endif ?><?php if ($realActName != "blank"): ?> style="background-color:#<?php echo $realBgColor; ?> <?php echo $imgnotpub ?>;color:#<?php echo $realFtColor; ?>;height: 100%;opacity:<?php echo $opacity ?>;"<?php endif ?>>
						   					<div class="duration invisible" style="display:none;"><?php echo $act->duration ?></div>
						   					<?php if ($this->item->sorttitletime == 0): ?>
						   						<?php if ((int)$act->titlecell == 1): ?>
							   						<?php if ($act->act_name != "blank"): ?><div class="acttitle" style="font-size:<?php if($this->item->titlesize != "") {echo $this->item->titlesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTitleStyle) ?>" title="<?php echo $act->act_name ?>"><?php echo $theLink ?></div><?php endif ?>
							   					<?php endif ?>
							   					
								   					<div class="time" <?php if ($act->act_name == "blank" || (int)$act->timecell == 0): ?>style="display:none;"<?php else: ?>style="font-size:<?php if($this->item->timesize != "") {echo $this->item->timesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTimeStyle) ?>"<?php endif ?>>
									   					<span class="sy-adastart" style="color:<?php echo $realFtColor; ?>"><?php echo $start ?></span>
									   					<?php if($this->item->timeseparator != "4"): ?>
									   						<?php if($this->item->timeseparator == "space"): ?>
									   						<?php else: ?>
									   							<span class="separator" style="color:<?php echo $realFtColor; ?>;"><?php echo $this->item->timeseparator ?></span>
									   						<?php endif ?>
								   						<?php else: ?>
								   							<br>
									   					<?php endif ?>
									   					
									   					<span class="sy-adaend" style="color:<?php echo $realFtColor; ?>"><?php echo $end ?></span>
								   					
							   					</div>

						   					<?php else: ?>
							   					<?php if ((int)$act->timecell == 1): ?>
								   					<div class="time" <?php if ($act->act_name == "blank" || (int)$act->timecell == 0): ?>style="display:none;"<?php else: ?>style="font-size:<?php if($this->item->timesize != "") {echo $this->item->timesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTimeStyle) ?>"<?php endif ?>>
									   					<span class="sy-adastart" style="color:<?php echo $realFtColor; ?>"><?php echo $start ?></span>
									   					<?php if($this->item->timeseparator != "4"): ?>
									   						<?php if($this->item->timeseparator == "space"): ?>
									   						<?php else: ?>
									   							<span class="sy-adaseparator" style="color:<?php echo $realFtColor; ?>"><?php echo $this->item->timeseparator ?></span>
									   						<?php endif ?>
								   						<?php else: ?>
								   							<br>
									   					<?php endif ?>
									   					<span class="sy-adaend" style="color:<?php echo $realFtColor; ?>"><?php echo $end ?></span>
								   					
							   					</div>
							   					<?php endif ?>
							   					<?php if ((int)$act->titlecell == 1): ?>
							   						<?php if ($act->act_name != "blank"): ?><div class="acttitle" style="font-size:<?php if($this->item->titlesize != "") {echo $this->item->titlesize;} else { echo "16"; } ?>px;<?php echo implode("", $fullTitleStyle) ?>" title="<?php echo $act->act_name ?>"><?php echo $theLink ?></div><?php endif ?>
							   					<?php endif ?>
							   				<?php endif ?>
							   				<?php if($value->textincell != ""):	?>
							   					<div class="syet_cell_content" style="<?php echo $insideStyle ?>">
							   						<?php echo $value->textincell ?>
							   					</div>
						   					<?php endif ?>
						   					<!-- Modal Description -->
						   					<?php if ($act->linked == 1 && $act->targetmodal == 1): ?>
						   						<div id="syet_modal_desc_<?php echo $act->id ?>" class="" uk-modal>
						   							<div class="uk-modal-dialog uk-modal-body">
						   								<button class="uk-modal-close-default" type="button" uk-close></button>
														<?php if(isset($act->image)): ?>
						   									<img src="<?php echo $act->image ?>">
						   								<?php endif ?>
						   								<h2 class="uk-modal-title"><?php echo $realActName; ?></h2>
						   								<p><?php echo $act->description ?></p>
						   							</div>
						   						</div>
						   					<?php endif ?>
						   					<div class="sy-tooltip-container"  style="display:none;">
						   					<div id="sy-infofields<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?><?php echo $this->item->id ?>" data-title-order="<?php echo $this->item->tooltiptitletimepos ?>" data-tooltip-title-size="<?php echo $tttitlesize ?>" data-tooltip-font-size="<?php echo $ttfontsize ?>" data-tooltip-align="<?php echo $tttextalign ?>" data-tooltip-mobile-title="<?php echo $act->titletooltipres ?>" data-tooltip-mobile-time="<?php echo $act->timetooltipres ?>" data-tooltip-mobile-image="<?php echo $act->image_tipres ?>" class="sy-infotoshow"><?php
								   				if ($tttitletimepos == 0) {
							   						if ((int)$act->titletooltip == 1)
							   						{
							   							echo "<div class='sy-tooltip-title' style='text-align:".$tttextalign.";font-size:".$tttitlesize.";'>".$realActName."</div>";
							   						}
							   						if ((int)$act->timetooltip == 1)
							   						{
							   							echo "<div class='sy-tooltip-time' style='text-align:".$tttextalign.";font-size:".$ttfontsize.";'>".$value->start_t." ".$this->item->timeseparator." ".$value->end_t."</div>";
							   						}
						   						}
							   					
							   					//Si contenu modifié dans cell
							   					if ($act->tooltiptextabove != $value->tooltiptextabove && $value->tooltiptextabove != "")
							   					{
							   						echo "<div class='sy-tooltiptextabove' style=';font-size:".$ttfontsize.";'>".$value->tooltiptextabove."</div>";
							   					}
							   					elseif (!empty($act->tooltiptextabove)) {
							   						echo "<div class='sy-tooltiptextabove' style=';font-size:".$ttfontsize.";'>".$act->tooltiptextabove."</div>";
							   					}

							   					 

							   					if ($act->image != $value->image && $value->image != "" && $this->fullActivities[$act->id]->image_tip == 1) 
							   					{
							   							echo "<div class='sy-info-image' style='vertical-align:middle;text-align:center !important;'><div class='sy-tooltipimage' style='text-align:center;'><img style='text-align:center;' src='".JRoute::_(JURI::base(). $value->image)."'/></div></div>"; 
							   					} 
							   					elseif (!empty($act->image) && $this->fullActivities[$act->id]->image_tip == 1) 
							   					{
							   							echo "<div class='sy-info-image' style='vertical-align:middle;text-align:center !important;'><div class='sy-tooltipimage' style='text-align:center;'><img style='text-align:center;' src='".JRoute::_(JURI::base(). $act->image)."'/></div></div>"; 
							   					}

							   					
							   					//Si contenu modifié dans cell
							   					if ($act->tooltiptextunder != $value->tooltiptextunder && $value->tooltiptextunder != "")
							   					{
							   						echo "<div class='sy-tooltiptextabove' style=';font-size:".$ttfontsize.";'>".$value->tooltiptextunder."</div>";
							   					}
							   					elseif (!empty($act->tooltiptextunder))
							   					{
							   						echo "<div class='sy-tooltiptextunder' style='font-size:".$ttfontsize.";'>".$act->tooltiptextunder."</div>";
							   					}
							   					if ($tttitletimepos == 1) {
							   						if ((int)$act->titletooltip == 1)
								   						{
								   							echo "<div class='sy-tooltip-title' style='text-align:".$tttextalign.";font-size:".$tttitlesize.";'>".$realActName."</div>";
								   						}
								   						if ((int)$act->timetooltip == 1)
								   						{
								   							echo "<div class='sy-tooltip-time' style='text-align:".$tttextalign.";font-size:".$ttfontsize.";'>".$value->start_t." ".$this->item->timeseparator." ".$value->end_t."</div>";
								   						}
						   						}
												
							   					// define which activity to load
									    	    $count = 0;
									    	    $tabFields = array();
									    	    // define a counter
									    	    foreach ($this->field as $field) {
									    	    	$count = $count+1;
									    	    	
									    	    } 
									    	    $b = 0;
									    	    // use counter to searche activities
									    	    for ($i=0;$i< $count; $i++) {
									    	    	// search for fields according to activity
									    	    	$activities = explode(',',$this->fieldRaw[$this->field[$i]->id]->activity);
									    	    	
									    	    	if (in_array($act->id, $activities)) {
									    	    		// transform object to array
									    	    		$oneArray = (array)$this->field[$i];
									    	    		//put item array in an array
									    	    		array_push($tabFields,$oneArray);
									    	   		}
									    	    }
									    	   
									    	    // Sort the item array
											    usort($tabFields, "custom_sort");

									    		foreach ($tabFields as $key=>$field) { 
										    		
									    			$pattern = '/"/';
											    	$display_mode = preg_replace($pattern, "", $this->fieldRaw[$field['id']]->display_mode);
											    	$pattern = '/(\])/';
											    	$display_mode = preg_replace($pattern, "", $display_mode);
											    	$pattern = '/(\[)/';
											    	$display_mode = preg_replace($pattern, "", $display_mode);
											    	
											    	$display_mode = explode(",", $display_mode);
											    	
											    	if (in_array(0, $display_mode) && in_array($field['access'], $userAccess) && $value->state == 1) {
										    			if ((int)$this->fieldRaw[$field['id']]->display_title == 1)  {
										    			echo "<div class='sy-info-text' style='vertical-align:middle;text-align:".$tttextalign.";font-size:".$ttfontsize.";'>
										    				<div class='sy-tooltiptitle'>".$field['title']."
											    			</div>
										    				<div class='sy-tooltiptext'>".$field['text_field']."
										    				</div>
										    			</div>";
										    			}
										    			else {
										    			echo "<div class='sy-info-text' style='vertical-align:middle;text-align:".$tttextalign.";font-size:".$ttfontsize.";'>
										    				<div class='sy-tooltiptext'>".$field['text_field']."
										    				</div>
										    			</div>";
										    			
										    			}
									    			}	
									    		}  
												 ?></div>
					   					   	</div>
					   					   	<div class="sy-insideInfo"><?php 
					   					   	// define which activity to load
								    	    $count = 0;
								    	    $tabFields = array();
								    	    // define a counter
								    	    foreach ($this->field as $field) {
								    	    	$count = $count+1;
								    	    	
								    	    } 
								    	    $b = 0;

								    	    // use counter to searche activities
								    	    for ($i=0;$i< $count; $i++) {
								    	    	// search for fields according to activity
								    	    	$activities = explode(',',$this->fieldRaw[$this->field[$i]->id]->activity);
								    	    	
								    	    	if (in_array($act->id, $activities)) {
								    	    		// transform object to array
								    	    		$oneArray = (array)$this->field[$i];
								    	    		//put item array in an array
								    	    		array_push($tabFields,$oneArray);
								    	   		}
								    	    }
								    	   
								    	    // Sort the item array
										    usort($tabFields, "custom_sort");

								    		foreach ($tabFields as $key=>$field) { 
									    		
								    			$pattern = '/"/';
										    	$display_mode = preg_replace($pattern, "", $this->fieldRaw[$field['id']]->display_mode);
										    	$pattern = '/(\])/';
										    	$display_mode = preg_replace($pattern, "", $display_mode);
										    	$pattern = '/(\[)/';
										    	$display_mode = preg_replace($pattern, "", $display_mode);
										    	
										    	$display_mode = explode(",", $display_mode);
										    	
										    	if (in_array(1, $display_mode) && in_array($field['access'], $userAccess) && $value->state == 1) {
									    			if ((int)$this->fieldRaw[$field['id']]->display_title == 1)  {
									    			echo "<div class='sy-info-text2' style='vertical-align:middle;color:#".$act->fontcolor."'>
									    				<div class='sy-tooltiptitle'>".$field['title']."
										    			</div>
									    				<div class='sy-tooltiptext'>".$field['text_field']."
									    				</div>
									    			</div>";
									    			}
									    			else {
									    			echo "<div class='sy-info-text2' style='vertical-align:middle;color:#".$act->fontcolor."'>
									    				<div class='sy-tooltiptext'>".$field['text_field']."
									    				</div>
									    			</div>";
									    			
									    			}
								    			}	
								    		}
					   					   	?></div>
										
						   				</li>
						   				<?php
						   					}
						   					
						   			}
								?>
						   	<?php		
				   		}
				    ?>	
			   	</ul>
		   	</div>
	   	
	   	<?php	
	   	}
	    ?>
	    </div>
		</div>
		<?php endif ?>
	<?php endif ?>
	

    <?php if((($canEdit && $this->item->checked_out == "0") && $canEditItem) || ($canEditOwn && $this->item->checked_out == "0") || in_array(8, $groups) || in_array(7, $groups)): ?>
		<a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=planning.edit&id='.$this->item->id); ?>"><?php echo JText::_("COM_EASYTIMETABLE_EDIT_ITEM"); ?></a>
	<?php endif; ?>
	<?php if(JFactory::getUser()->authorise('core.delete','com_easytimetable.planning.'.$this->item->id)):?>
		<a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=planning.remove&id=' . $this->item->id, false, 2); ?>"><?php echo JText::_("COM_EASYTIMETABLE_DELETE_ITEM"); ?></a>
	<?php endif; ?>
    <?php
	else: echo JText::_('COM_EASYTIMETABLE_ITEM_NOT_LOADED');
	endif;
?>
