<?php
/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. All rights reserved.
 * @license     GNU General Public License v2 or later ; See LICENSE.txt
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/views/planningform/tmpl/css/planningedit.css');
$document = JFactory::getDocument();
$document->addScript('https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js');
if ((int)$this->item->type == 0) {  
    if ($this->item->time_mode == 0){
        $document = JFactory::getDocument();
        $document->addStyleSheet('components/com_easytimetable/views/planningform/tmpl/css/planning.css'); 
        $document = JFactory::getDocument();
        $document->addScript('components/com_easytimetable/views/planningform/tmpl/js/timetable.js'); 
    } 
    else {
        $document = JFactory::getDocument();
        $document->addStyleSheet('components/com_easytimetable/views/planningform/tmpl/css/12/planning.css');
        $document = JFactory::getDocument();
        $document->addScript('components/com_easytimetable/views/planningform/tmpl/js/timetable2.js'); 
    }
    $document->addScript('components/com_easytimetable/views/planningform/tmpl/js/merge-fixed-front.js');
}
else {
    
    if ($this->item->time_mode == 0){
        $document = JFactory::getDocument();
        $document->addScript('components/com_easytimetable/views/planningform/tmpl/js/timetableadapt.js');
        $document = JFactory::getDocument();
        $document->addStyleSheet('components/com_easytimetable/views/planningform/tmpl/css/planningadapt.css');
        
    }
    else {
        $document = JFactory::getDocument();
        $document->addScript('components/com_easytimetable/views/planningform/tmpl/js/timetableadapt2.js');
        
        $document = JFactory::getDocument();
        $document->addStyleSheet('components/com_easytimetable/views/planningform/tmpl/css/12/planningadapt.css');

    }
}

$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/views/planningform/tmpl/css/jquery.datetimepicker.css');
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/assets/css/colpick.css');
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/views/planningform/tmpl/css/planningform.css');


// Import js
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/assets/js/colpick.js');

$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/views/planningform/tmpl/js/jquery.datetimepicker.js');
if ((int)$this->item->type == 0) 
{
    $document = JFactory::getDocument();
    $document->addScript('components/com_easytimetable/views/planningform/tmpl/js/listact.js');
    $document = JFactory::getDocument();
    $document->addScript('components/com_easytimetable/views/planningform/tmpl/js/newact.js');
}
else 
{
    $document = JFactory::getDocument();
    $document->addScript('components/com_easytimetable/views/planningform/tmpl/js/listact2.js');
    $document = JFactory::getDocument();
    $document->addScript('components/com_easytimetable/views/planningform/tmpl/js/newact2.js');
}


//Load admin language file
$lang = JFactory::getLanguage();
$lang->load('com_easytimetable', JPATH_ADMINISTRATOR);
$doc = JFactory::getDocument();
$doc->addScript(JUri::base() . '/components/com_easytimetable/assets/js/form.js');
$user = JFactory::getUser();
$userId = JFactory::getUser()->id;
$userAccess = JAccess::getAuthorisedViewLevels($userId);

$name = $user->name;
$extension  = 'com_easytimetable';
jimport( 'joomla.access.access' );
$groups = JAccess::getGroupsByUser($userId, false);

$canEdit = $user->authorise('core.edit', 'com_easytimetable');
$canEditItem    = $user->authorise('core.edit', $extension .'.planning.'. $this->item->id);

if (!$canEdit && JFactory::getUser()->authorise('core.edit.own', 'com_easytimetable' . $this->item->id)) {
    $canEdit = JFactory::getUser()->id == $this->item->created_by;
}
if (!$canEdit && $canEditItem) {
    $canEdit = true;
}


$canEditOwn = $user->authorise('core.edit.own',   $extension . '.category.' . $this->item->id) && $this->item->created_by == $name;

if($this->item->state == 1){
	$state_string = 'Publish';
	$state_value = 1;
} else {
	$state_string = 'Unpublish';
	$state_value = 0;
}
if($this->item->id) {
	$canState = JFactory::getUser()->authorise('core.edit.state','com_easytimetable.planning');
} else {
	$canState = JFactory::getUser()->authorise('core.edit.state','com_easytimetable.planning.'.$this->item->id);
}

if ($this->item->time_mode == 0) {
    $timeMode = "24h";
}
else {
    $timeMode = "12h";
}

?>
<?php if(($canEdit && $canEditItem) || $canEditOwn || in_array(8, $groups) || in_array(7, $groups)): ?>
<script type="text/javascript">
    if (jQuery === 'undefined') {
        document.addEventListener("DOMContentLoaded", function(event) { 
            jQuery('#form-planning').submit(function(event) {
                
            });        
        });
    } else {
        jQuery(document).ready(function() {
            var counter = 0;
            var starth1;
            jQuery('.ui-dialog-buttonset').find('button').eq(1).css('display', "none");
        if (!jQuery(".timemode").html()) {
            jQuery("#jform_start_h").datetimepicker({
                format:'H:i',
                formatTime:'H:i',
                step:5,
                closeOnTimeSelect:true,
                timepicker:true,
                datepicker:false,
                onSelectTime:function(ct){
                    start_h1 = jQuery("#jform_start_h").val();
                    jQuery("#jform_start_h").attr('value', start_h1);
                }
            });
        }
        else {
            if (jQuery(".timemode").html() == "24h") { 
                jQuery("#jform_start_h").datetimepicker({
                    format:'H:i',
                    formatTime:'H:i',
                    step:5,
                    closeOnTimeSelect:true,
                    timepicker:true,
                    datepicker:false
                });
            }
            else {
                jQuery("#jform_start_h").datetimepicker({
                    format:'g:i a',
                    formatTime:'g:i a',
                    step:5,
                    closeOnTimeSelect:true,
                    timepicker:true,
                    datepicker:false
                });
            }
        }
        if (jQuery("#jform_start_h").val().length >= 1) {
            var start_h = jQuery("#jform_start_h").val();
        }

        jQuery("input#jform_time_mode1").mousedown(function() {
            jQuery("#jform_start_h").datetimepicker({
                format:'g:i a',
                formatTime:'g:i a',
                step:5,
                closeOnTimeSelect:true,
                timepicker:true,
                datepicker:false
            });
            if (jQuery("#jform_start_h").val().length >= 1) {
                if (counter == 0) {
                    start_h1 = jQuery("#jform_start_h").val();
                    var hour = parseInt(jQuery("#jform_start_h").val().substr(0,2));
                    var minutes = jQuery("#jform_start_h").val().substr(3,2);
                    var am = " am"
                    var pm = " pm";
                    if (hour == 0) {
                        hour = 12;
                        postfix = am;
                    }
                    else if (hour > 0 && hour < 12) {
                        hour = hour;
                        postfix = am;
                    }
                    else if (hour == 12) {
                        hour = hour;
                        postfix = pm;
                    }
                    else if (hour > 12 && hour < 24) {
                        hour = hour - 12;
                        postfix = pm;
                    }
                    
                    var start_hFinal = hour+":"+minutes+postfix;
                    jQuery("#jform_start_h").attr('value', start_hFinal);
                    counter = counter+1;
                }
            }

        })

        jQuery("input#jform_time_mode0").mousedown(function() {
            counter = 0;
            jQuery("#jform_start_h").datetimepicker({
                format:'H:i',
                formatTime:'H:i',
                step:5,
                closeOnTimeSelect:true,
                timepicker:true,
                datepicker:false
            });
            jQuery("#jform_start_h").attr('value', start_h1);
        })
        jQuery("#jform_start_h").disableSelection();
        jQuery("#jform_cell_color, #actcolor, #actovercolor, #fontcolor, #fontovercolor").colpick({
            layout:'hex',
            submit:0,
            colorScheme:'dark',
            onChange:function(hsb,hex,rgb,el,bySetColor) {
            jQuery(el).css('border-color','#'+hex);
            jQuery('.ui-dialog-buttonset').find('button').eq(1).css('display', "inline-block"); 
            // Fill the text box just if the color was set using the picker, and not the colpickSetColor function.
            if(!bySetColor) jQuery(el).val(hex);
            }
        }).keyup(function(){
            jQuery(this).colpickSetColor(this.value);
        });
        jQuery('.sy-helpimage').tooltip();

        jQuery('.activites').find('li').each(function(){

            if(jQuery(this).find('.name').html().length > 13 && jQuery(this).find('.name').html().length < 24) {
                jQuery(this).find('.name').css("font-size", "12px");
            }
            else if (jQuery(this).find('.name').html().length > 23 && jQuery(this).find('.name').html().length < 30) {
                jQuery(this).find('.name').css("font-size", "10px");
            }
            else if (jQuery(this).find('.name').html().length > 29) {
                jQuery(this).find('.name').css("font-size", "10px");
                jQuery(this).find('.name').css("line-height", "12px");
            }
        })

        jQuery('#jform_type1').on('click', function(){
            jQuery('.sy-oldfixedcells').css('display', 'none');
            jQuery('.sy-cellheight').css('display', 'none');
        })

        jQuery('#jform_type0').on('click', function(){
            jQuery('.sy-oldfixedcells').css('display', 'block');
            jQuery('.sy-cellheight').css('display', 'block');
        })     

        jQuery('#form-planning').submit(function(event) {
            
        });
        jQuery('.fullplanning').find('ul').each(function(){
            jQuery(this).find('li').each(function(){

                if(jQuery(this).find('.nameacti').html().length > 13) 
                {
                    var smallName = jQuery(this).find('.nameacti').text().substr(0,13) + "...";
                    jQuery(this).find('.nameacti').text(smallName);
                }
                
            })
        })

            
        });
    }
</script>

<div class="planning-edit front-end-edit">
    <?php if (!empty($this->item->id)): ?>
        <h1>Edit <?php echo $this->item->p_name; ?></h1>
    <?php else: ?>
        <h1>Add</h1>
    <?php endif; ?>
    
    <?php if (!empty($this->item->id)): echo JHtml::_('sliders.start', 'editing-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
    <?php echo JHtml::_('sliders.panel', JText::_('COM_EASYTIMETABLE_PLANNINGFORM_TIMETABLE'), 'timetable'); ?>
	<!-- DEBUT AJOUT -->
     <?php if ((int)$this->item->type == 1): ?>
        <div id="cont-trash">
            <div id="trash" class="trash"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_TRASH') ?></div>
        </div>
    <?php endif ?>
    <?php if($this->item->time_mode == ""){
       echo '<div class="alert alert-message infoTimemode"><a class="close" data-dismiss="alert">×</a><h4 class="alert-heading">Message</h4><div class="message">'.JText::_('COM_EASYTIMETABLE_MESSAGE_NEW_TIMEMODE').'</div></div>';
    } ?>
    <div class="sy-url" style="display:none;" data-url="<?php echo JURI::root(); ?>"></div>
    <div class="sy-headtimetable"> 
        <div class="headact"><?php echo JText::_('COM_EASYTIMETABLE_HELP_PLANNINGFORM') ?>&nbsp;<img class="hasTooltip" data-original-title="<?php echo JText::_('COM_EASYTIMETABLE_HELP_PLANNINGFORM_ACTIVITIES') ?>" src="components/com_easytimetable/assets/images/help.png"></div>
        <div id="dialog-form" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_ACTIVITY') ?>" class="invisible">
            <form id="actiform">
                <fieldset class="newactform">
                    <label for="actid" ></label>
                    <input id="actid" type="hidden" value="0" name="actid">
                    <div class="sy-namelink">
                        <div class="sy-namepart">
                            <label for="actname" ><?php echo JText::_('COM_EASYTIMETABLE_ACTIVITIES_ACT_NAME') ?></label>
                            <input id="actname" type="text" value="" name="actname">
                        </div>  
                    </div>
                    <div class="sy-linkpart">
                        <div class="sy-duration">
                            <label for="actduration" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_ACTIVITY_DURATION') ?></label>
                            <input id="actduration" type="text" value="" name="actduration">
                        </div>
                    </div>
                    <label for="acttimetable" ></label>
                    <input id="acttimetable" type="hidden" value="<?php echo $this->item->id; ?>" name="acttimetable" disabled> 
                    <div class="sy-formcolors">
                        <div class="sy-labelcolors">
                           
                        </div>
  
                        <div class="sy-colors">
                            <label for="actcolor" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_ACTIVITY_COLOR') ?></label> 
                            <input id="actcolor" type="text" value="" name="actcolor">   
                        </div>
                        <div class="sy-overcolor">
                            <label for="actovercolor" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_ACTIVITY_OVERCOLOR') ?></label> 
                            <input id="actovercolor" type="text" value="" name="actovercolor">   
                        </div>
                        <div class="sy-fontcolor">
                            <label for="fontcolor" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_ACTIVITY_FONTCOLOR') ?></label> 
                            <input id="fontcolor" type="text" value="ffffff" name="fontcolor">   
                        </div>
                        <div class="sy-fontovercolor">
                            <label for="fontovercolor" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_ACTIVITY_FONTOVERCOLOR') ?></label> 
                            <input id="fontovercolor" type="text" value="ffffff" name="fontovercolor">   
                        </div>
                    </div>
                    <div class="sy-help"><img class="sy-helpimage" src="components/com_easytimetable/views/planningform/tmpl/images/question-mark.png" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_COMPLETE_ALL_FILEDS') ?>"></div>

                    
                        
                    <label for="actstatus" ></label>
                    <input id="actstatus" type="hidden" value="1" name="actstatus">
                    <input id="acttoken" type="hidden" value="<?php echo JSession::getFormToken()?>" name="acttoken">


                   <!-- Allow form submission with keyboard without duplicating the dialog button -->
                   <input type="submit" tabindex="-1" style="position:absolute; top:-1000px">
                </fieldset>
            </form>
        </div>
        <ul id="actiListedit" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_MANAGE_ACTIVITIES') ?>" class="laliste invisible">
            <form id="actilist" class="theliste">
                <fieldset>
                <?php 
                if (count($this->activities) == 0) {
                    echo '<p style="padding:20px;font-size:16px;line-height:22px;">'.JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_ACT_FIRST').'</p>';
                }

                foreach ($this->activities as $key2=>$activity) {
                    $actTimetable = explode(",", $activity->timetable);
                    $isTimetable = in_array($this->item->id, $actTimetable);

                    if ($isTimetable) {
                        $checked = "checked='checked'";
                    }
                    else {
                        $checked = "";
                    }
                    // If fixed Timetable and activity's name != blank or Adaptative Timetable, 
                    // load activity in the list of activities to add to the timetable
                    if (($this->item->type == 0 && $activity->act_name != "blank") || $this->item->type == 1) {
                        echo '<li id="activite-'.$activity->id.'" class="listactivites actlistbutton" data-id="'.$activity->id.'">
                        <div style="background-color:#'.$activity->color.';width:15px;height:15px;display:inline-block;vertical-align: middle;">&nbsp;&nbsp;&nbsp;&nbsp;</div>
                        <label id="label-'.$activity->id.'" for="checkbox-'.$activity->id.'" class="sy-labelact">'.$activity->act_name.'</label>
                        <input id="checkbox-'.$activity->id.'" class="sy-checkAct" name="'.$activity->id.'" type="checkbox" '.$checked.' value="'.$this->timetableIdInt[(int)$activity->id]->timetable.'" >
                        <input id="dataid" type="hidden" name="data-'.$activity->id.'" value="'.$activity->id.'" >
                        <input id="dataname" type="hidden" name="data-'.$activity->id.'" value="'.$activity->act_name.'" >
                        <input id="datatimetable" type="hidden" name="data-'.$activity->id.'" value="'.$this->timetableIdInt[(int)$activity->id]->timetable.'" >
                        <input id="datathistimetable" type="hidden" value="'.$this->item->id.'" name="datathistimetable">
                        <input id="dataduration" type="hidden" value="'.$activity->duration.'" name="dataduration">
                        <input id="datacolor" type="hidden" value="'.$activity->color.'" name="datacolor">
                        <input id="actovercolor" type="hidden" value="'.$activity->overcolor.'" name="actovercolor">
                        <input id="fontcolor" type="hidden" value="'.$activity->fontcolor.'" name="fontcolor">
                        <input id="fontovercolor" type="hidden" value="'.$activity->fontovercolor.'" name="fontovercolor">
                                    
                        <input id="datastatus" type="hidden" value="1" name="datastatus">
                        <input id="datatoken" type="hidden" value="'.JSession::getFormToken().'" name="datatoken">
                        </li>';
                    }
                        
                } ?>
                </fieldset>
            </form>
        </ul>

        <button id="create" class="createnew button"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_ACTIVITY') ?></button>
        <button id="loadAct" class="loadact button"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_LOAD') ?></button>
        
        <ul id="activites" class="activites ">
            <?php 
            $nact = count($this->activities);
            foreach ($this->activities as $key2=>$activity) {
                $acttitle = $activity->act_name;
                $isTimetable = strstr($activity->timetable, $this->item->id);
                $acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $acttitle));
                $acttitleid = preg_replace("/[\"’\/~\\<|+>@]+/", "", $acttitleid);
                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
                $acttitleid = preg_replace("/^1/", "one", $acttitleid);
                $acttitleid = preg_replace("/^2/", "two", $acttitleid);
                $acttitleid = preg_replace("/^3/", "three", $acttitleid);
                $acttitleid = preg_replace("/^4/", "four", $acttitleid);
                $acttitleid = preg_replace("/^5/", "five", $acttitleid);
                $acttitleid = preg_replace("/^6/", "six", $acttitleid);
                $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
                $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
                $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
                $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
                if ($this->item->id != 0)  {  
                if ($isTimetable && $activity->act_name != "blank"): ?>
                <li id="<?php echo $acttitleid ?>-<?php echo $activity->id ?>" class="<?php echo $acttitleid ?>-<?php echo $activity->id ?> activity act-<?php echo $activity->id ?>" style="background-color:#<?php echo $activity->color ?>;color:#<?php echo $activity->fontcolor ?>;">
                    <div id="nom" class="name"><?php echo $acttitle ?></div>
                    <?php if ((int)$this->item->type == 1): ?>
                        <input id="duree" name="duree" class="sy-duration-blank" style="width:45% !important;" type="text" value ="<?php echo $activity->duration ?>">
                    <?php else: ?>
                        <input id="duree" name="duree" type="hidden" value ="<?php echo $activity->duration ?>">
                        <div id="duration" class="duration"><?php echo $activity->duration ?>'</div>
                    <?php endif ?>
                    <input id="title" name="title" type="hidden" value = "<?php echo $activity->act_name ?>">
                    <input id="idacti" name="idacti" type="hidden" value = "">
                    <input id="count" name="count" type="hidden" value = "">
                    <input type="hidden" id="token" name="token" value="<?php echo JSession::getFormToken()?>">
                    <input id="id_planning" name="id_planning" type="hidden" value ="<?php echo $this->item->id ?>">
                    <input id="id_cell" name="id_cell" type="hidden" value = "">
                    <input id="id_activity" name="id_activity" type="hidden" value ="<?php echo $activity->id ?>">
                    <div class="syet_time invisible">
                        <input id="start_t" name="start_t" type="text" value = "" class="start" placeholder="Début" style="color:#<?php echo $activity->fontcolor ?>;">
                        <div class="to" style="color:#<?php echo $activity->fontcolor ?>;"> > </div>
                        <input id="end_t" name="end_t" type="text" value = "" class="end" placeholder="Fin" style="color:#<?php echo $activity->fontcolor ?>;">
                    </div>
                    <input id="status" name="status" type="hidden" value="1">
                    <div class="loader1" style="visibility:hidden;background-color:#<?php echo $activity->color ?>;"><img src="components/com_easytimetable/assets/images/loader.png" alt="Timetable below"></div>
                    <input id="htomove" name="htomove" type="hidden" value="<?php // echo $start ?>">
                    <input id="index" name="index" type="hidden" value="0">
                    <input id="merge" name="merge" type="hidden" value="0">
                    <div class="sy-mergebutton invisible"></div>
                </li>   
            <?php elseif ($isTimetable && $activity->act_name == "blank" && (int)$this->item->type == 1): ?>
                    <li id="<?php echo $acttitleid ?>-<?php echo $activity->id ?>" class="<?php echo $acttitleid ?> activity act-<?php echo $activity->id ?> blank">
                        <div id="nom" class="name"><?php echo $acttitle ?></div>
                        <input id="duree" name="duree" class="sy-duration-blank" type="text" value ="<?php echo $activity->duration ?>">
                        <input id="title" name="title" type="hidden" value = "<?php echo $activity->act_name ?>">
                        <input id="idacti" name="idacti" type="hidden" value = "">
                        <input id="count" name="count" type="hidden" value = "">
                        <input type="hidden" id="token" name="token" value="<?php echo JSession::getFormToken()?>">
                        <input id="id_planning" name="id_planning" type="hidden" value ="<?php echo $this->item->id ?>">
                        <input id="id_cell" name="id_cell" type="hidden" value = "">
                        <input id="id_activity" name="id_activity" type="hidden" value ="<?php echo $activity->id ?>">
                        <!--<input id="access" name="access" type="hidden" value ="<?php echo $this->fullActivities[$activity->id]->access; ?>">-->
                        <div class="syet_time invisible">
                            <input id="start_t" name="start_t" type="text" value = "" class="start" placeholder="Début">
                            <div class="to"> > </div>
                            <input id="end_t" name="end_t" type="text" value = "" class="end" placeholder="Fin">
                        </div>
                        <input id="status" name="status" type="hidden" value="1">
                        <div class="loader1" style="visibility:hidden;background-color:#<?php echo $activity->color ?>;"><img src="components/com_easytimetable/assets/images/loader.png" alt="Timetable below"></div>
                        <input id="htomove" name="htomove" type="hidden" value="">
                        <input id="index" name="index" type="hidden" value="0">
                        <input id="merge" name="merge" type="hidden" value="0">
                        <div class="sy-mergebutton invisible"></div>
                    </li>
                <?php endif ?>
           <?php }
        }       
        ?>
        </ul>
        <div class="arrow-down"><img src="components/com_easytimetable/assets/images/arrow-down.png" alt="Timetable below"></div>
    </div>
    <?php if ((int)$this->item->type == 0): ?>
    <div class="fullplanning">
    <?php
    // Extract the row name
    $planningid;
    $rows_names;
    foreach ($this->planningData as $valueplanning) {
        if ($valueplanning->id == $this->item->id) {
        $rows_names = $valueplanning->rows_name;
        }
    } 
        $columns_names = explode(", ", $rows_names);
    // END Extract the row name    
        $rows = $this->item->rows;
        if (isset($this->item->rows)) {
        $rwidth= 95/$rows;
        for ($number=1;$number<=$rows;$number++) {
    ?>
    
        <div class="sy-row-container" style="width:<?php echo $rwidth ?>%" >
            <div id="<?php echo $number ?>" class="row-<?php echo $number ?> rows" >
                <div class="col-title"><?php if (isset($columns_names[$number-1])) {$title = $columns_names[$number-1]; echo JText::_($title);} ?></div>
                <?php   
                    $cells = $this->item->cells;
                    $zero;
                    $rheight = 65*$cells;
                    for ($cell=1;$cell<=$cells;$cell++) {
                        $idcell = $cell;//+$cells*($number-1);
                        if ($idcell < 10) {
                            $zero = "00";
                        }
                        else {
                            $zero = "0";
                        } 
                        ?>
                        <ul id="cellule_<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?>" class="creneau creneau<?php echo $idcell ?>">
                            <?php foreach ($this->planact as $key=>$value) {
                                if ($this->item->time_mode == 1)
                                {
                                    $start = $value->start_t;
                                    $end = $value->end_t;
                                    //modification heure suite à mise à jour mode 12h
                                    if (substr($value->start_t, 5, 3) == ":00") {
                                        if ((int)substr($value->start_t, 0, 2) >= 1 && (int)substr($value->start_t, 0, 2) < 12) {
                                            $startStart = (int)substr($value->start_t, 0, 2);
                                            $endStart = " am";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($value->start_t, 0, 2) == 0) {
                                            $startStart = 12;
                                            $endStart = " am";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($value->start_t, 0, 2) == 12) {
                                            $startStart = 12;
                                            $endStart = " pm";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($value->start_t, 0, 2) > 12) {
                                            $startStart = (int)substr($value->start_t, 0, 2) - 12;
                                            $endStart = " pm";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                    }
                                    if (substr($value->end_t, 5, 3) == ":00") {
                                        if ((int)substr($value->end_t, 0, 2) >= 1 && (int)substr($value->end_t, 0, 2) < 12) {
                                            $startEnd = (int)substr($value->end_t, 0, 2);
                                            $endEnd = " am";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($value->end_t, 0, 2) == 0) {
                                            $startEnd = 12;
                                            $endEnd = " am";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($value->end_t, 0, 2) == 12) {
                                            $startEnd = 12;
                                            $endEnd = " pm";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($value->end_t, 0, 2) > 12) {
                                            $startEnd = (int)substr($value->end_t, 0, 2) - 12;
                                            $endEnd = " pm";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                    }
                                }
                                else {
                                    $start = substr($value->start_t, -8, 5);
                                    $end = substr($value->end_t, -8, 5);
                                }
                                $act =  $this->pact->getActi($value->id_activity); 
                                
                                    $acttitle = $act->act_name;
                                if (($value->id_cell == $number.$zero.$idcell) && ($value->id_activity == $act->id) && ($this->item->id == $value->id_planning)) {
                                    if ($value->state == 0) {
                                        $stateclass = 'notpublished';
                                        $statetitle = 'not published';
                                    }
                                    else {
                                        $stateclass = 'published';
                                        $statetitle = 'published';
                                    }
                                    if ($value->merge == 1) {
                                        $doubleClass = "sy-doubleclass";
                                    }
                                    else {
                                        $doubleClass = "";
                                    }
                                    $acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $acttitle));
                                    $acttitleid = preg_replace("/[\"’\/~\\<|+>@]+/", "", $acttitleid);
                                    $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
                                    $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
                                    $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
                                    $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
                                    $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
                                    $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
                                    $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
                                    $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
                                    $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
                                    $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
                                    $acttitleid = preg_replace("/^1/", "one", $acttitleid);
                                    $acttitleid = preg_replace("/^2/", "two", $acttitleid);
                                    $acttitleid = preg_replace("/^3/", "three", $acttitleid);
                                    $acttitleid = preg_replace("/^4/", "four", $acttitleid);
                                    $acttitleid = preg_replace("/^5/", "five", $acttitleid);
                                    $acttitleid = preg_replace("/^6/", "six", $acttitleid);
                                    $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
                                    $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
                                    $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
                                    $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
                                    ?>


                                    <li id="<?php echo $acttitleid ?>-<?php echo $value->id_cell ?>" data-merge="<?php echo $value->merge ?>" class="<?php echo $acttitleid ?>-<?php echo $act->id ?> <?php echo $doubleClass ?> activite" style="background-color:#<?php echo $act->color ?>;color:#<?php echo $act->fontcolor ?>;">
                                        <a class="supprimer-<?php echo $value->id_cell ?> del" title="<?php echo JText::_('COM_EASYTIMETABLE_HELP_PLANNINGFORM_DELETE') ?>" style="display: inline-block;"><script type='text/javascript'>jQuery(document).ready(function(){jQuery('.supprimer-<?php echo $value->id_cell ?>').click(function() {jQuery('.tooltip').css('visibility', 'hidden');idul = '#'+jQuery(this).parent('li').parent('ul').attr('id');jQuery(idul).removeClass('onlyone');   var idActi = jQuery(this).parent().find('input#idacti').attr('value');var token = jQuery(this).parent().find('input#token').val();var datatok = 'id='+idActi+'&'+token+'=1';jQuery.ajax({url:'/index.php?option=com_easytimetable&task=PlannedactivityForm.remove&',type: 'POST',data: datatok,dataType: 'xml'}),jQuery(this).parent().remove(); }); });</script></a>
                                        <a class="publish-<?php echo $value->id_cell ?> <?php echo $stateclass ?> status" title="<?php echo JText::_('COM_EASYTIMETABLE_HELP_PLANNINGFORM_PUBLISHED') ?>" style="display: inline-block;" ><script type="text/javascript">jQuery(document).ready(function(){
                                            jQuery(this).find('.publish-<?php echo $value->id_cell ?>').click(function() {
                                            // Publication ou dépublication de l'acti planning en cliquant sur le lien 'publish'
                                                var startId = "#"+jQuery(this).parent().attr('id');
                                                var id_activity = jQuery(this).parent().find("input#id_activity").val();
                                                var id_planning = jQuery(this).parent().find("input#id_planning").val();
                                                var id_cell = jQuery(this).parent().find("input#id_cell").val();
                                                var start_t = jQuery(this).parent().find("input#start_t").val();
                                                var end_t = jQuery(this).parent().find("input#end_t").val();
                                                var id = jQuery(this).parent().find("input#idacti").val();
                                                var token = jQuery(this).parent().find('#token').val();
                                                var status = jQuery(this).parent().find("input#status").val();
                                                var state;
                                                if (status == 0) {
                                                    state = 1;
                                                    jQuery(this).parent().find("input#status").attr('value', state);
                                                    jQuery(this).addClass('published');
                                                    jQuery(this).removeClass('notpublished');
                                                }
                                                else if (status == 1) {
                                                    state = 0;
                                                    jQuery(this).parent().find("input#status").attr('value', state);
                                                    jQuery(this).addClass('notpublished');
                                                    jQuery(this).removeClass('published');
                                                }
                                                
                                                var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start_t+'&jform[end_t]='+end_t+'&jform[state]='+state+'&'+token+'=1';
                                                jQuery.ajax({
                                                    url:"/index.php?option=com_easytimetable&task=PlannedactivityForm.save2&",
                                                    type: "POST",
                                                    data: data2,    
                                                    beforeSend: function() {
                                                        jQuery(startId).find('.loader1').css("visibility", "visible");
                                                    },
                                                    complete: function(data){
                                                        jQuery(startId).find('.loader1').css("visibility", "hidden");
                                                    }
                                                });
                                            }); // Fin publish button
                                        });</script>
                                        </a>
                                        <div id="nom" class="nameacti" title="<?php echo  $act->act_name ?>"><?php echo  $act->act_name ?></div>
                                        <input id="duree" name="duree" type="hidden" value ="<?php echo $act->duration ?>">
                                        <input id="title" name="title" type="hidden" value = "<?php echo $act->act_name ?>">
                                        <input id="idacti" name="idacti" type="hidden" value ="<?php echo $value->id ?>">
                                        <input id="id_planning" name="id_planning" type="hidden" value ="<?php echo $value->id_planning ?>">
                                        <input id="nom" name="nom" type="hidden" value = "<?php echo $act->act_name ?>">
                                        <input type="hidden" id="token" name="token" value="<?php echo JSession::getFormToken()?>"/>
                                        <input id="id_cell" name="id_cell" type="hidden" value = "<?php echo $value->id_cell ?>">
                                        <input id="id_activity" name="id_activity" type="hidden" value ="<?php echo $value->id_activity ?>">
                                        <div class="syet_time">
                                            <input id="start_t" name="start_t" type="text" value="<?php echo $start ?>" class="start" style="color:#<?php echo $act->fontcolor ?>;">
                                            <span class="to" style="color:#<?php echo $act->fontcolor ?>;"> > </span>
                                            <input id="end_t" name="end_t" type="text" value = "<?php echo $end ?>" class="end" style="color:#<?php echo $act->fontcolor ?>;">
                                        </div>
                                        <input id="status" name="status" type="hidden" value="<?php echo $value->state ?>">
                                        <div class="loader1" style="visibility:hidden;background-color:#<?php echo $act->color ?>;"><img src="components/com_easytimetable/assets/images/loader.png"></div>
                                        <input id="htomove" name="htomove" type="hidden" value="<?php echo $start ?>">
                                        <input id="merge" name="merge" type="hidden" value="<?php echo $value->merge ?>">
                                        <div class="sy-mergebutton"></div>
                                    </li>
                                    <?php
                                        }
                                     
                                }
                            
                            ?></ul>
                        <?php       
                    }
                ?>  
            </div>
        </div>
    
    <?php   
    }
    }
    ?>
    </div>
    <?php endif ?>

    <!-- Adaptative form -->
    <?php if ((int)$this->item->type == 1): ?>
    <div class="fullplanning">
    <?php
    // Extract the row name
    $planningid;
    $rows_names;
    foreach ($this->planningData as $valueplanning) {
        if ($valueplanning->id == $this->item->id) {
        $rows_names = $valueplanning->rows_name;
        }
    } 
        $columns_names = explode(", ", $rows_names);
    // END Extract the row name    
        $rows = $this->item->rows;
        if (isset($this->item->rows)) {
        $rwidth= 95/$rows;
        for ($number=1;$number<=$rows;$number++) {
    ?>
    
        <div class="sy-row-container" style="width:<?php echo $rwidth ?>%" >
            <div class="col-title">
                    <?php if (isset($columns_names[$number-1])) {$title = $columns_names[$number-1];} else {$title = "&nbsp;";} 
                    echo JText::_($title); ?>
                </div>
            <ul id="<?php echo $number ?>" class="row-<?php echo $number ?> rows creneau" >

                <?php   
                    $cells = $this->item->cells;
                    $zero;
                    $rheight = 65*$cells;
                    for ($cell=1;$cell<=$cells;$cell++) {
                        $idcell = $cell;//+$cells*($number-1);
                        if ($idcell < 10) {
                            $zero = "00";
                        }
                        else {
                            $zero = "0";
                        } 
                        $idul = $number.$zero.$idcell;
                        ?>
                         <?php $pActs = $this->pact->getPlannedAct((int)$this->item->id, (int)$idul);  ?>
                            <?php foreach ($pActs as $key=>$value) {
                                
                                if ($this->item->time_mode == 1)
                                {
                                    $start = $value->start_t;
                                    $end = $value->end_t;
                                    //modification heure suite à mise à jour mode 12h
                                    if (substr($value->start_t, 5, 3) == ":00") {
                                        if ((int)substr($value->start_t, 0, 2) >= 1 && (int)substr($value->start_t, 0, 2) < 12) {
                                            $startStart = (int)substr($value->start_t, 0, 2);
                                            $endStart = " am";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($value->start_t, 0, 2) == 0) {
                                            $startStart = 12;
                                            $endStart = " am";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($value->start_t, 0, 2) == 12) {
                                            $startStart = 12;
                                            $endStart = " pm";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($value->start_t, 0, 2) > 12) {
                                            $startStart = (int)substr($value->start_t, 0, 2) - 12;
                                            $endStart = " pm";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                    }
                                    if (substr($value->end_t, 5, 3) == ":00") {
                                        if ((int)substr($value->end_t, 0, 2) >= 1 && (int)substr($value->end_t, 0, 2) < 12) {
                                            $startEnd = (int)substr($value->end_t, 0, 2);
                                            $endEnd = " am";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($value->end_t, 0, 2) == 0) {
                                            $startEnd = 12;
                                            $endEnd = " am";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($value->end_t, 0, 2) == 12) {
                                            $startEnd = 12;
                                            $endEnd = " pm";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($value->end_t, 0, 2) > 12) {
                                            $startEnd = (int)substr($value->end_t, 0, 2) - 12;
                                            $endEnd = " pm";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                    }
                                }
                                else {
                                    $start = substr($value->start_t, -8, 5);
                                    $end = substr($value->end_t, -8, 5);
                                }
                                $act =  $this->pact->getActi($value->id_activity); 
                                
                                    $acttitle = $act->act_name;

                                if (($value->id_cell == $number.$zero.$idcell) && ($value->id_activity == $act->id) && ($this->item->id == $value->id_planning)) {
                                    if ($value->state == 0) {
                                        $stateclass = 'notpublished';
                                        $statetitle = 'not published';
                                    }
                                    else {
                                        $stateclass = 'published';
                                        $statetitle = 'published';
                                    }
                                    $acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $acttitle));
                                    $acttitleid = preg_replace("/[\"’\/~\\<|+>@]+/", "", $acttitleid);
                                    $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
                                    $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
                                    $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
                                    $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
                                    $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
                                    $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
                                    $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
                                    $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
                                    $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
                                    $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
                                    $acttitleid = preg_replace("/^1/", "one", $acttitleid);
                                    $acttitleid = preg_replace("/^2/", "two", $acttitleid);
                                    $acttitleid = preg_replace("/^3/", "three", $acttitleid);
                                    $acttitleid = preg_replace("/^4/", "four", $acttitleid);
                                    $acttitleid = preg_replace("/^5/", "five", $acttitleid);
                                    $acttitleid = preg_replace("/^6/", "six", $acttitleid);
                                    $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
                                    $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
                                    $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
                                    $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
                                    ?>
                                    <li id="<?php echo $acttitleid ?>-<?php echo $value->id_cell ?>" class="<?php echo $acttitleid ?> activite" <?php if ($act->act_name == "blank") { ?>style="background-color:#fff;border:#000 dashed 1px;color:#000;" <?php } else { ?> style="background-color:#<?php echo $act->color ?>;color:#<?php echo $act->fontcolor ?>;height:<?php echo $act->duration ?>px;"<?php } ?>>
                                        <?php if ($act->act_name != "blank"): ?>
                                        <a class="publish-<?php echo $value->id_cell ?> <?php echo $stateclass ?> status" title="<?php echo JText::_('COM_EASYTIMETABLE_HELP_PLANNINGFORM_PUBLISHED') ?>" style="display: inline-block;" ><script type="text/javascript">jQuery(document).ready(function(){
                                            jQuery(this).find('.publish-<?php echo $value->id_cell ?>').click(function() {
                                            // Publication ou dépublication de l'acti planning en cliquant sur le lien 'publish'
                                                var startId = "#"+jQuery(this).parent().attr('id');
                                                var id_activity = jQuery(this).parent().find("input#id_activity").val();
                                                var id_planning = jQuery(this).parent().find("input#id_planning").val();
                                                var id_cell = jQuery(this).parent().find("input#id_cell").val();
                                                var start_t = jQuery(this).parent().find("input#start_t").val();
                                                var end_t = jQuery(this).parent().find("input#end_t").val();
                                                var id = jQuery(this).parent().find("input#idacti").val();
                                                var token = jQuery(this).parent().find('#token').val();
                                                //var access = parseInt(jQuery(this).parent().find('input#access').val());
                                                //console.log(access);
                                                var status = jQuery(this).parent().find("input#status").val();
                                                var state;
                                                if (status == 0) {
                                                    state = 1;
                                                    jQuery(this).parent().find("input#status").attr('value', state);
                                                    jQuery(this).addClass('published');
                                                    jQuery(this).removeClass('notpublished');
                                                }
                                                else if (status == 1) {
                                                    state = 0;
                                                    jQuery(this).parent().find("input#status").attr('value', state);
                                                    jQuery(this).addClass('notpublished');
                                                    jQuery(this).removeClass('published');
                                                }
                                                
                                                var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start_t+'&jform[end_t]='+end_t+'&jform[state]='+state+'&'+token+'=1';
                                                jQuery.ajax({
                                                    url:"index.php?option=com_easytimetable&task=PlannedactivityForm.save2&",
                                                    type: "POST",
                                                    data: data2,    
                                                    beforeSend: function() {
                                                        jQuery(startId).find('.loader1').css("visibility", "visible");
                                                    },
                                                    complete: function(data){
                                                        jQuery(startId).find('.loader1').css("visibility", "hidden");
                                                    }
                                                });
                                            }); // Fin publish button
                                        });</script>
                                        </a>
                                    <?php endif ?><!-- Fin if !blank-->
                                        <div id="nom" class="nameacti"><?php echo  $act->act_name ?></div>
                                        <?php if ($act->act_name != "blank") { ?>
                                        <input id="duree" name="duree" type="hidden" value ="<?php echo $act->duration ?>">
                                        <?php }
                                        else { ?>
                                             <input id="duree" name="duree" type="hidden" value ="">
                                        <?php }  ?>
                                        <input id="title" name="title" type="hidden" value = "<?php echo $act->act_name ?>">
                                        <input id="count" name="count" type="hidden" value = "<?php echo (int)substr($value->id, -2, 2) ?>">
                                        <input id="idacti" name="idacti" type="hidden" value ="<?php echo $value->id ?>">
                                        <input id="id_planning" name="id_planning" type="hidden" value ="<?php echo $this->item->id ?>">
                                        <input id="nom" name="nom" type="hidden" value = "<?php echo $act->act_name ?>">
                                        <input type="hidden" id="token" name="token" value="<?php echo JSession::getFormToken()?>"/>
                                        <input id="id_cell" name="id_cell" type="hidden" value = "<?php echo $value->id_cell ?>">
                                        <input id="id_activity" name="id_activity" type="hidden" value ="<?php echo $act->id ?>">
                                        <!--<input id="access" name="access" type="hidden" value ="<?php // echo $this->fullPlanAct[$value->id]->access; ?>">-->
                                        <input id="start_t" name="start_t" type="text"  disabled value = "<?php echo $start ?>" class="start" style="color:#<?php echo $act->fontcolor ?>;">
                                        <span class="to" style="color:#<?php echo $act->fontcolor ?>;"> > </span>
                                        <input id="end_t" name="end_t" type="text"  disabled value = "<?php echo $end ?>" class="end" style="color:#<?php echo $act->fontcolor ?>;">
                                        <input id="status" name="status" type="hidden" value="<?php echo $value->state ?>">
                                        <div class="loader1" style="visibility:hidden;background-color:#<?php echo $act->color ?>;"><img src="components/com_easytimetable/assets/images/loader.png"></div>
                                        <input id="htomove" name="htomove" type="hidden" value="<?php echo $start ?>">
                                        <input id="index" name="index" type="hidden" value="<?php echo $value->id_cell ?>">
                                    </li>
                                    <?php
                                        }
                                      
                                }
                            
                            ?>
                        <?php       
                    }
                ?>  
            </ul>
        </div>
    
    <?php   
    }
    }
    ?>
    </div>
    <?php endif ?>


    <div class="resultat-ajax"></div>
    <!-- FIN AJOUT -->
    <?php else: echo JHtml::_('sliders.start', 'editing-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
    <?php endif; ?>
    <?php echo JHtml::_('sliders.panel', JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CONFIG'), 'config'); ?>
    <?php if($this->item->time_mode == "" && !empty($this->item->id)){
       echo '<div class="alert alert-message infoTimemode"><a class="close" data-dismiss="alert">×</a><h4 class="alert-heading">Message</h4><div class="message">'.JText::_('COM_EASYTIMETABLE_MESSAGE_NEW_TIMEMODE2').'</div></div>';
    } ?>
    <?php if($this->item->id == 0){
           echo '<div class="filltheform"><img src="components/com_easytimetable/views/planningform/tmpl/images/question-mark.png" class="hasTooltip" data-original-title="'.JText::_('COM_EASYTIMETABLE_MESSAGE_FILLTHEFORM').'"/><br />&nbsp;</div>';
    } ?>

    <form id="form-planning" action="<?php echo JRoute::_('index.php?option=com_easytimetable&task=planning.save'); ?>" method="post" class="form-validate form-horizontal" enctype="multipart/form-data">
    <div class="saisie">
        <div class="sy-firstone">
            <div class="sy-blocktitle"><h3><?php echo JText::_('COM_EASYTIMETABLE_BLOCK_TITLE_MAIN'); ?></h3></div>     
        	<div class="control-group">
        		<div class="control-label"><?php echo $this->form->getLabel('id'); ?></div>
        		<div class="controls"><?php echo $this->form->getInput('id'); ?></div>
        	</div>
        	<div class="control-group">
        		<div class="control-label"><?php echo $this->form->getLabel('p_name'); ?></div>
        		<div class="controls"><?php echo $this->form->getInput('p_name'); ?></div>
        	</div>
            <?php if ($this->item->id == 0): ?>
                <div class="control-group" style ="display:block">
                    <div class="control-label"><?php echo $this->form->getLabel('type'); ?></div>
                    <div class="controls"><?php echo $this->form->getInput('type'); ?></div>
                </div>
            <?php elseif ($this->item->type == ""): ?>
                <div class="control-label"><?php echo $this->form->getLabel('type'); ?></div>
                <div class="control-label"><?php echo "empty"; ?></div>
            <?php else: ?>
                <div class="control-group" style ="display:block">
                    <div class="control-label"><?php echo $this->form->getLabel('type'); ?></div>
                    <div class="controls" style="display:none"><?php echo $this->form->getInput('type'); ?></div>
                    <div class="controls" style="font-size:14px;padding-top:5px;"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGS_TYPE_OPTION_'.$this->item->type); ?></div>
                </div>
            <?php endif ?>

            <?php if ($this->item->id == 0): ?>
                <div class="control-group">
                    <div class="control-label" style="color:red !important;"><?php echo $this->form->getLabel('time_mode'); ?></div>
                    <div class="controls"><?php echo $this->form->getInput('time_mode'); ?></div>
                </div>
            <?php else: ?>
            <div class="control-group">
                    <div class="control-label"><?php echo $this->form->getLabel('time_mode'); ?></div>
                    <div class="timemode" ><?php echo $timeMode ?></div>
                </div>
            <?php endif; ?>

        	<div class="control-group">
        		<div class="control-label"><?php echo $this->form->getLabel('start_h'); ?></div>
        		<div class="controls"><?php echo $this->form->getInput('start_h'); ?></div>
        	</div>
        	<div class="control-group">
        		<div class="control-label"><?php echo $this->form->getLabel('rows'); ?></div>
        		<div class="controls"><?php echo $this->form->getInput('rows'); ?></div>
        	</div>
        	<?php if ($this->item->id == 0 || $this->item->type == 0): ?>
                <div class="control-group sy-oldfixedcells">
                    <div class="control-label"><?php echo $this->form->getLabel('cells'); ?></div>
                    <div class="controls"><?php echo $this->form->getInput('cells'); ?></div>
                </div>
            <?php endif ?>
            <div class="sy-blocktitle"><h3><?php echo JText::_('COM_EASYTIMETABLE_BLOCK_TITLE_PUBLICATION'); ?></h3></div>
            <div class="control-group sy-printopt">
                <div class="control-label"><?php echo $this->form->getLabel('print'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('print'); ?></div>
            </div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('access'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('access'); ?></div>
            </div>
            <div class="control-group">
                <?php if(!$canState): ?>
                    <div class="control-label"><?php echo $this->form->getLabel('state'); ?></div>
                    <div class="controls"><?php echo $state_string; ?></div>
                    <input type="hidden" name="jform[state]" value="<?php echo $state_value; ?>" />
                <?php else: ?>
                    <div class="control-label"><?php echo $this->form->getLabel('state'); ?></div>
                    <div class="controls"><?php echo $this->form->getInput('state'); ?></div>
                <?php endif; ?>
            </div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('created_by'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('created_by'); ?></div>
            </div>
        </div>
        <div class="sy-secondone">
            <div class="sy-blocktitle"><h3><?php echo JText::_('COM_EASYTIMETABLE_BLOCK_TITLE_DISPLAY'); ?></h3></div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('display_title'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('display_title'); ?></div>
            </div>
            <h3 class="sy_title_edit"><?php echo JText::_('COM_EASYTIMETABLE_TITLE_LIST_VIEW_ACTIVITIES') ?></h3>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('sorttitletime'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('sorttitletime'); ?></div>
            </div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('display_filters'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('display_filters'); ?></div>
            </div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('rows_name'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('rows_name'); ?></div>
            </div>
        	<div class="control-group">
        		<div class="control-label"><?php echo $this->form->getLabel('cell_color'); ?></div>
        		<div class="controls"><?php echo $this->form->getInput('cell_color'); ?></div>
        	</div>
            <?php if ($this->item->id == 0 || $this->item->type == 0): ?>
                <div class="control-group sy-cellheight">
                    <div class="control-label"><?php echo $this->form->getLabel('height'); ?></div>
                    <div class="controls"><?php echo $this->form->getInput('height'); ?></div>
                </div>
            <?php endif ?>
            <h3 class="sy_title_edit"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_DISPLAY_FILTERS') ?></h3>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('display_filters'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('display_filters'); ?></div>
            </div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('filtertype'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('filtertype'); ?></div>
            </div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('filtersort'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('filtersort'); ?></div>
            </div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('allfiltertext'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('allfiltertext'); ?></div>
            </div>
            <h3 class="sy_title_edit"><?php echo JText::_('COM_EASYTIMETABLE_EDIT_DISPLAY_TOOLTIPS') ?></h3>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('tooltiptextalign'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('tooltiptextalign'); ?></div>
            </div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('tooltiptextsize'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('tooltiptextsize'); ?></div>
            </div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('tooltiptitlesize'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('tooltiptitlesize'); ?></div>
            </div>
            <div class="control-group">
                <div class="control-label"><?php echo $this->form->getLabel('tooltiptitletimepos'); ?></div>
                <div class="controls"><?php echo $this->form->getInput('tooltiptitletimepos'); ?></div>
            </div>
            
            
        </div>	
	</div>
   
    
    <?php if (in_array(12, $userAccess)): ?>
	<div class="fltlft" <?php if (!JFactory::getUser()->authorise('core.admin','easytimetable')): ?> <?php endif; ?> >
        <?php echo JHtml::_('sliders.start', 'permissions-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
        <?php echo JHtml::_('sliders.panel', JText::_('ACL Configuration'), 'access-rules'); ?>
        <fieldset class="panelform">
            <?php echo $this->form->getLabel('rules'); ?>
            <?php echo $this->form->getInput('rules'); ?>
        </fieldset>
        <?php echo JHtml::_('sliders.end'); ?>
    </div>
    <?php if (!JFactory::getUser()->authorise('core.admin','easytimetable')): ?>
        <script type="text/javascript">
            jQuery.noConflict();
            jQuery('.tab-pane select').each(function(){
               var option_selected = jQuery(this).find(':selected');
               var input = document.createElement("input");
               input.setAttribute("type", "hidden");
               input.setAttribute("name", jQuery(this).attr('name'));
               input.setAttribute("value", option_selected.val());
               document.getElementById("form-planning").appendChild(input);
            });
        </script>
    <?php endif; ?>
    <?php endif; ?>

    <?php echo JHtml::_('sliders.panel', JText::_('COM_EASYTIMETABLE_PLANNINGFORM_DESC'), 'config'); ?>
    <div class="saisie">
    <div class="control-group">
            <div class="control-label"><?php echo $this->form->getLabel('description'); ?></div>
            <div class="controls"><?php echo $this->form->getInput('description'); ?></div>
        </div> 
    </div>  
    <?php echo JHtml::_('sliders.end'); ?>
        <div class="control-group sy-submitform">
            <div class="controls">
                <button type="submit" class="validate btn btn-primary"><?php echo JText::_('JSUBMIT'); ?></button>
                <a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=planningform.cancel'); ?>" title="<?php echo JText::_('JCANCEL'); ?>"><?php echo JText::_('JCANCEL'); ?></a>
            </div>
        </div>
        
        <input type="hidden" name="option" value="com_easytimetable" />
        <input type="hidden" name="task" value="planningform.save" />
        <?php echo JHtml::_('form.token'); ?>
    </form>
</div>

<div id="sy-messages" style="display:none;">
    <div id="sy-trash"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_TRASH') ?></div>
    <div id="sy-remove"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_REMOVE') ?></div>
    <div id="sy-removed"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_REMOVED') ?></div>
    <div id="sy-create"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE') ?></div>
    <div id="sy-close"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CLOSE') ?></div>
    <div id="sy-load"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_LOAD') ?></div>
    <div id="sy-load"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_MANAGE_ACTIVITIES') ?></div>
    <div id="sy-load"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_DAY') ?></div>
</div>
<?php else: ?>
    <?php 
        $app =& JFactory::getApplication();
        $app->redirect('index.php?option=com_easytimetable&task=planningform.cancel');
    ?>
<?php endif ?>
