<?php

/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View to edit
 */
class EasytimetableViewPlanningform extends JViewLegacy {

    protected $state;
    protected $item;
    protected $form;
    protected $params;

    /**
     * Display the view
     */
    public function display($tpl = null) {

        $app = JFactory::getApplication();
        $user = JFactory::getUser();

        $this->state = $this->get('State');
        $this->item = $this->get('Data');
        // Get other models
        $plModel = JModelList::getInstance('Plannings', 'EasytimetableModel');
        $this->planningData = $plModel->getItems();
        
        $paModel = JModelList::getInstance('Plannedactivities', 'EasytimetableModel');
        $this->planact = $paModel->getItems();
        $this->pact = $paModel;

        $onePlanAct = JModelItem::getInstance('Plannedactivity', 'EasytimetableModel');
        
        $actModel = JModelList::getInstance('Activities', 'EasytimetableModel');
        
        $oneActForm = JModelItem::getInstance('Activityform', 'EasytimetableModel');

        $actModel = JModelList::getInstance('Activities', 'EasytimetableModel');
        $this->activities = $actModel->getItems();

        $oneactiModel = JModelItem::getInstance('Activity', 'EasytimetableModel');

        // Get Timetable Id from Activity
        foreach ($this->activities as $actvalue) {
            $id = $actvalue->id;    
            $this->activity = $oneactiModel->getData($id);
            $this->timetableId = $oneactiModel->getTimetableId($id);
            $this->fullActivities[$id] = $this->activity; 
            $this->timetableIdInt[$id] =  $this->timetableId;
        }

        // Get every activity Item content (not list which is good!)
        foreach ($this->planact as $planActvalue) {
            $actId = $planActvalue->id;    
            $this->planAct = $onePlanAct->getData($actId);
            $this->fullPlanAct[$actId] = $this->planAct;    
        }

        $this->activities = $actModel->getItems();

        $oneField = JModelItem::getInstance('Field', 'EasytimetableModel');
        $oneDay = JModelList::getInstance('Days', 'EasytimetableModel');
        $this->day = $oneDay->getItems();
        
        $oneDayForm = JModelList::getInstance('Dayform', 'EasytimetableModel');
        $this->dayForm = $oneDayForm->getForm();
        
        // End
        $this->params = $app->getParams('com_easytimetable');
        $this->form		= $this->get('Form');

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors));
        }

        if(!empty($this->item->access) && !in_array($this->item->access, $user->getAuthorisedViewLevels())){
                throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'), 403);
            }
        

        $this->_prepareDocument();

        parent::display($tpl);
    }

    /**
     * Prepares the document
     */
    protected function _prepareDocument() {
        $app = JFactory::getApplication();
        $menus = $app->getMenu();
        $title = null;

        // Because the application sets a default page title,
        // we need to get it from the menu item itself
        $menu = $menus->getActive();
        if ($menu) {
            $this->params->def('page_heading', $this->params->get('page_title', $menu->title));
        } else {
            $this->params->def('page_heading', JText::_('COM_EASYTIMETABLE_DEFAULT_PAGE_TITLE'));
        }
        $title = $this->params->get('page_title', '');
        if (empty($title)) {
            $title = $app->getCfg('sitename');
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
            $title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
            $title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
        }
        $this->document->setTitle($title);

        if ($this->params->get('menu-meta_description')) {
            $this->document->setDescription($this->params->get('menu-meta_description'));
        }

        if ($this->params->get('menu-meta_keywords')) {
            $this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
        }

        if ($this->params->get('robots')) {
            $this->document->setMetadata('robots', $this->params->get('robots'));
        }
    }

}
