<?php
/**
 * @version     1.7.2
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
//Plannings front-end list
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$doc = JFactory::getDocument();
$doc->addStyleSheet('components/com_easytimetable/assets/css/list.css');
$doc->addStyleSheet('https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css');

$user = JFactory::getUser();
$userId = $user->get('id');
$name = $user->name;
$extension  = 'com_easytimetable';
jimport( 'joomla.access.access' );
$groups = JAccess::getGroupsByUser($userId, false);

$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canCreate = $user->authorise('core.create', 'com_easytimetable');
$canEdit = $user->authorise('core.edit', 'com_easytimetable');
$canEditOwn = $user->authorise('core.edit.own', 'com_easytimetable');

$canCheckin = $user->authorise('core.manage', 'com_easytimetable');
$canChange = $user->authorise('core.edit.state', 'com_easytimetable');
$canDelete = $user->authorise('core.delete', 'com_easytimetable');
?>
<h2><?php echo JText::_('COM_EASYTIMETABLE_TITLE_PLANNINGS') ?></h2>
<form action="<?php echo JRoute::_('index.php?option=com_easytimetable&view=plannings'); ?>" method="post" name="adminForm" id="adminForm">

<div class="sy_timetable_list_full">
    
    <?php foreach ($this->items as $i => $item) : ?>
        <?php if((int)$item->frontuser == 0 || (int)$item->frontuser == (int)$userId || in_array(7, $groups) || in_array(8, $groups)): ?>

            <?php $canEdit = $user->authorise('core.edit', 'com_easytimetable'); 
            $canEditOwn = $user->authorise('core.edit.own',   $extension . '.category.' . $item->id) && $item->created_by == $userId;
            $canEditItem    = $user->authorise('core.edit', $extension .'.planning.'. $item->id);
            
            ?>

    			<?php if ((!$canEdit && $canEditOwn)): ?>
            		<?php $canEdit = JFactory::getUser()->id == $item->created_by; ?>
            	<?php endif; ?>
                <?php if ((!$canEdit && $canEditItem)): ?>
                    <?php $canEdit = true; ?>
                <?php endif; ?>

            <div class="sy_container_global">
                <h3>
                <a href="<?php echo JRoute::_('index.php?option=com_easytimetable&view=planning&id='.(int) $item->id); ?>">
                <?php echo $this->escape($item->p_name); ?></a>
            </h3>
            <div style="margin-bottom:8px;"> 
            <?php if ($canEdit): ?>
                          
                    <?php if ((($canEdit && $item->checked_out == "0") && $canEditItem) || ($canEditOwn && $item->checked_out == "0") || in_array(8, $groups) || in_array(7, $groups) ): ?>
                        <a href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=planning.edit&id=' . $item->id, false, 2); ?>" class="btn btn-mini" type="button"><i class="icon-edit" ></i></a>
                    <?php endif; ?>
                    <?php if ($canDelete): ?>
                        <button data-item-id="<?php echo $item->id; ?>" class="btn btn-mini delete-button" type="button"><i class="icon-trash" ></i></button>
                    <?php endif; ?>
                    <?php if(($canEdit && $canEditOwn) || $canEditItem): ?> 
                        <?php if (isset($this->items[0]->state)): ?>
                            <?php $class = ((($canEdit && $canChange) || ($canEditItem && $canChange) ) && $canEditOwn) ? 'active' : 'disabled'; ?>
                            <a class="btn btn-micro <?php echo $class; ?>"
                               href="<?php echo (($canEdit && $canChange) || ($canEditItem && $canChange)) ? JRoute::_('index.php?option=com_easytimetable&task=planning.publish&id=' . $item->id . '&state=' . (($item->state + 1) % 2), false, 2) : '#'; ?>">
                                <?php if ($item->state == 1): ?>
                                    <i class="icon-publish"></i>
                                <?php else: ?>
                                    <i class="icon-unpublish"></i>
                                <?php endif; ?>
                            </a>
                        <?php endif; ?>
                    <?php endif; ?>
                   
                <?php endif; ?>

                <?php if (isset($item->checked_out) && $item->checked_out) : ?>
                    <?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'plannings.', $canCheckin); ?>
                <?php endif; ?>
                 </div>
                
            <div class="sy-small-schedule">
               
            <?php
                $activities = array();
                $rows = $item->rows;
                $rwidth= 90/$rows;
                for ($number=1;$number<=$rows;$number++) { ?>
                    <div class="sy-small-col"  style="width:<?php echo $rwidth ?>%;">   
                    <?php
                    $cells = $item->cells;
                    
                    $rheight = 65*$cells;
                    for ($cell=1;$cell<=$cells;$cell++) {
                        $zero = ($cell < 10) ? "00" : "0";
                        
                        $idul = $number.$zero.$cell;
                        $tabAct = array();
                        ?>
                        <ul id="cellule_<?php echo $idul ?>" class="sy-small-creneau" style="background-color:#<?php echo $item->cell_color ?>;height:15px;margin-bottom:1px !important;">
                                <?php $pActs = $this->pact->getPlannedAct((int)$item->id, (int)$idul);  ?>
                                <?php if(!empty($pActs)): ?>
                                    <?php foreach ($pActs as $key => $pAct): ?>
                                        <?php $act =  $this->pact->getActi($pAct->id_activity);  ?>
                                        <?php if(!in_array($act, $activities)): ?>
                                            <?php array_push($activities, $act); ?>
                                        <?php endif; ?>
                                         <?php if(!is_null($act)): ?>    
                                            <li class="activite" style="background-color:#<?php echo $act->color ?>;color:#<?php echo  $act->fontcolor ?>; height:15px;">
                                            </li>
                                    <?php endif; ?>
                                    <?php endforeach ?>
                                <?php endif; ?>
                                </ul>
                        <?php  
                        }// fin for arrayplanAct
                    //}// fin if $data[0]->scheduledact ?>
                        

                       
                    </div>
            <?php   }
                    ?>
            </div>
            <div>
                <i class="fa fa-sticky-note-o" aria-hidden="true"></i>
                <?php foreach ($activities as $key => $activity) : ?>
                    <?php if(!is_null($activity)): ?>    
                       <a href="<?php echo JRoute::_('index.php?option=com_easytimetable&view=activity&id=' . $activity->id) ?>"><?php echo $activity->act_name ?> </a>
                    <?php endif; ?>
                <?php endforeach ?>
            </div>
            
            </div>
        <?php endif ?> 
    <?php endforeach; ?>
   </div>

    <?php if ($canCreate): ?>
        <a href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=planningform.edit&id=0', false, 2); ?>"
           class="btn btn-success btn-small"><i
                class="icon-plus"></i> <?php echo JText::_('COM_EASYTIMETABLE_ADD_ITEM'); ?></a>
    <?php endif; ?>

    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
    <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
    <?php echo JHtml::_('form.token'); ?>

</form>

<script type="text/javascript">

    jQuery(document).ready(function () {
        jQuery('.delete-button').click(deleteItem);
    });

    function deleteItem() {
        var item_id = jQuery(this).attr('data-item-id');
        if (confirm("<?php echo JText::_('COM_EASYTIMETABLE_DELETE_MESSAGE'); ?>")) {
            window.location.href = '<?php echo JRoute::_('index.php?option=com_easytimetable&task=planningform.remove&id=', false, 2) ?>' + item_id;
        }
    }
</script>


