<?php

/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for a list of Easytimetable.
 */
class EasytimetableViewPlannings extends JViewLegacy {

    protected $items;
    protected $pagination;
    protected $state;
    protected $params;

    /**
     * Display the view
     */
    public function display($tpl = null) {
        $app = JFactory::getApplication();

        $this->state = $this->get('State');
        $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');
        $this->params = $app->getParams('com_easytimetable');
        //$this->filterForm = $this->get('FilterForm');
		//$this->activeFilters = $this->get('ActiveFilters');

         // chargement du modèle Plannedactivities
        $paModel = JModelList::getInstance('Plannedactivities', 'EasytimetableModel');
        $this->pact = $paModel;
        // chargement du modèle Activities
        $actModel = JModelList::getInstance('Activities', 'EasytimetableModel');
        $this->activities = $actModel->getItems();
        //dump($this->activities, "this->activities");
        //$this->menulink = $actModel->getMenuLink();

        $oneactModel = JModelItem::getInstance('Activity', 'EasytimetableModel');
        $this->menu_Id = $oneactModel->getData();
        ////////dump($this->menu_Id, "this->menu_Id");
        
        
        foreach ($this->activities as $activity) {
            $id = $activity->id;
            $this->activityCat = $actModel->getActCat($id);
            $this->activityCatId[$id] = $this->activityCat;
        }

        foreach ($this->activities as $actvalue) {
            $id = $actvalue->id;    
            $this->activity = $actModel->getLinkedOp($id);
            $this->fullActivities[$id] = $this->activity;
            $this->linkedOption[$id] = $this->activity;
            $menuId =  $this->linkedOption[$id]->menu_link;
            ////////dump($menuId, "menuId");

            $this->menulink[$id] = $actModel->getMenuLink((int)$this->linkedOption[$id]->menu_link);
 
        }

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
;
            throw new Exception(implode("\n", $errors));
        }

        $this->_prepareDocument();
        parent::display($tpl);
    }

    /**
     * Prepares the document
     */
    protected function _prepareDocument() {
        $app = JFactory::getApplication();
        $menus = $app->getMenu();
        $title = null;

        // Because the application sets a default page title,
        // we need to get it from the menu item itself
        $menu = $menus->getActive();
        if ($menu) {
            $this->params->def('page_heading', $this->params->get('page_title', $menu->title));
        } else {
            $this->params->def('page_heading', JText::_('COM_EASYTIMETABLE_DEFAULT_PAGE_TITLE'));
        }
        $title = $this->params->get('page_title', '');
        if (empty($title)) {
            $title = $app->getCfg('sitename');
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
            $title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
            $title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
        }
        $this->document->setTitle($title);

        if ($this->params->get('menu-meta_description')) {
            $this->document->setDescription($this->params->get('menu-meta_description'));
        }

        if ($this->params->get('menu-meta_keywords')) {
            $this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
        }

        if ($this->params->get('robots')) {
            $this->document->setMetadata('robots', $this->params->get('robots'));
        }
    }

}